<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: bonus.php
| Author: ChSchuetz
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."wir_sind_tippspiel/infusion_db.php";
include "league_admin_menu.php";
include "../inc/del_func.php";

if (!checkrights("WST")) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."wir_sind_tippspiel/locale/German.php";
}

echo "<table width='100%'><tr><td valign='top' align='center'>";

$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
$bullet = "<img src='".THEME."images/bullet.gif' alt='' border='0'>";
$bulletb = "<img src='".THEME."images/bulletb.gif' alt='' border='0'>";

$action = isset($_GET['act']) ? stripinput($_GET['act']) : "";

if ($action == "") echo '<h2>'.$locale['wst100'].'</h2>';
if ($action == "new_bonus") echo '<h2>'.$locale['wst100'].' - '.$locale['wst194'].'</h2>';
if ($action == "list_bonus") echo '<h2>'.$locale['wst100'].' - '.$locale['wst195'].'</h2>';
if ($action == "edt_bonus") echo '<h2>'.$locale['wst100'].' - '.$locale['wst196'].'</h2>';

if ($action == "new_bonus") {
	$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
	if (isset($_POST['start']) && $_POST['start'] == TRUE) {
			$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;			
			$btext = isset($_POST['btext']) ? stripinput($_POST['btext']) : "";
			$bpkt = (isset($_POST['bpkt']) && isNum($_POST['bpkt'])) ? $_POST['bpkt'] : 0;
			$Typ = (isset($_POST['Typ']) && isNum($_POST['Typ'])) ? $_POST['Typ'] : 0;
			$bsize = (isset($_POST['bsize']) && isNum($_POST['bsize'])) ? $_POST['bsize'] : 0;
			$Hour = (isset($_POST['Hour']) && isNum($_POST['Hour'])) ? $_POST['Hour'] : 0;
			$Min = (isset($_POST['Min']) && isNum($_POST['Min'])) ? $_POST['Min'] : 0;
			$Month = (isset($_POST['Month']) && isNum($_POST['Month'])) ? $_POST['Month'] : 0;
			$Day = (isset($_POST['Day']) && isNum($_POST['Day'])) ? $_POST['Day'] : 0;
			$Year = (isset($_POST['Year']) && isNum($_POST['Year'])) ? $_POST['Year'] : 0;
					
			$_date = mktime($Hour,$Min,0,$Month,$Day,$Year);
			$result = dbquery("insert into ".$db_prefix."wst_bonus(league_id, bonus_text, bonus_pkt, bonus_datestamp, bonus_type, bonus_sizeof) 
			values($lid, '$btext', $bpkt, $_date, $Typ, $bsize)");
	}	
	
	opentable("");
		echo '<center><form method="post"><table align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">
				<tr class="tbl2">
				<td align="center" valign="top">'.$locale['wst233'].'</td>
				<td align="center" valign="top">'.$locale['wst126'].'</td>
				<td align="center" valign="top" colspan="3">'.$locale['wst199'].'</td>
				<td align="center" valign="top" colspan="">'.$locale['wst200'].'</td>
				<td align="center" valign="top" colspan="">'.$locale['wst352'].'</td>
				<td align="center" valign="top" colspan="">'.$locale['wst441'].'</td>
				<tr>';
		echo '<td align="center">
				<input type="text" name="btext" class="textbox"></td>
				<td align="center"><input type="text" name="bpkt" size="3" maxlength="3" class="textbox"></td>';
		echo '<td align="center" colspan="3"><SELECT NAME=Day>';
	 	if (isset($data2['team_name'])) {
	 		$datum = getdate($data2['bonus_datestamp']);
	 		echo '<option value="'.$datum['mday'].'" selected>'; 
	  	echo $datum['mday']; 
	  	echo '</option>';
	 	}
	 	echo '<OPTION></OPTION>';
 		$day = 1;
 		while ($day <= 31) {
  		echo "<OPTION VALUE=$day>$day</OPTION>";
   		$day++;
 		}
 		echo "</SELECT>";
 		$year = date("Y");
 		echo "<SELECT NAME=Month>";
		if (isset($data2['team_name'])) {
			$datum = getdate($data2['bonus_datestamp']);
			echo '<option value="'.$datum['mon'].'" selected>'; 
			echo $datum['mon']; 
			echo '</option>';
		}
		echo "<OPTION></OPTION>";
 		$Monat = 1;	
 		while ($Monat <= 12) {
   		echo "<OPTION VALUE=$Monat>$Monat</OPTION>";
   		$Monat++;
 		}
		echo "</SELECT>";
		//Create the day pull-down menu.
			 
		//Create the year pull-down menu.
		echo "<SELECT NAME=Year>"; 
		if (isset($data2['team_name'])) {
			$datum = getdate($data2['bonus_datestamp']);
			echo '<option value="'.$datum['year'].'" selected>'; 
			echo $datum['year']; 
			echo '</option>';
		}
		echo "<OPTION></OPTION>";
		$result_global_config = dbquery("select * from ".$db_prefix."wst_global_config");
		$data_global_config = dbarray($result_global_config);
		$EndYear = $year+$data_global_config['config_jahre'];
 		while ($year <= $EndYear) {
   		echo "<OPTION VALUE=$year>$year</OPTION>";
   		$year++;
 		}
 		echo "</SELECT></td>";
 			
 		echo '<td align="center">';
 		echo "<SELECT NAME=Hour>"; 
		if (isset($data2['team_name'])) {
			$datum = getdate($data2['bonus_datestamp']);
			echo '<option value="'.$datum['hours'].'" selected>'; 
			echo $datum['hours']; 
			echo '</option>';
		}
		echo "<OPTION></OPTION>";
		$hour = $data_global_config['config_start'];
		$EndHour = $data_global_config['config_ende'];
 		while ($hour <= $EndHour) {
   		echo "<OPTION VALUE=$hour>$hour</OPTION>";
   		$hour++;
 		}
 		echo "</SELECT>";
		
		echo "<SELECT NAME=Min>"; 
		if (isset($data2['team_name'])) {
			$datum = getdate($data2['bonus_datestamp']);
	  	echo '<option value="'.$datum['minutes'].'" selected>'; 
	  	echo $datum['minutes']; 
	  	echo '</option>';
	 	}
	 	echo "<OPTION></OPTION>";
 		$min = 0;
 		$EndMin = 59;
 		while ($min <= $EndMin) {
   		echo "<OPTION VALUE=$min>$min</OPTION>";
   		$min = $min+$data_global_config['config_min'];
 		}
 		echo '</SELECT></td>';
 	
 		echo '<td align="center">';
 		echo "<SELECT NAME=Typ>"; 
		for ($i = 1; $i < 5; $i++) {
  		echo "<OPTION VALUE=$i>$i</OPTION>";
 		}
 		echo '</SELECT></td>';
 		echo '<td align="center"><input type="text" name="bsize" maxlength="1" size="1" value="0" class="textbox"></td></tr>';
		echo '<tr class="tbl2"><td align="center" colspan="9"><input type="submit" name="start" value="'.$locale['wst140'].'" class="button"></td></tr></table></form>';
		echo '</center>';
	closetable();	
	
	opentable($locale['wst358']);
		echo '<table align="center" cellpadding="4" cellspacing="1" border="0" class="tbl2">
				<tr class="tbl-border">
				<td align="left" valign="top">
				<b>'.$locale['wst442'].'</b></td><td align="left" valign="top"><b>'.$locale['wst443'].'</b></td></tr>
				<tr class="tbl1"><td align="left" valign="top">'.$locale['wst444'].'</td><td align="left" valign="top">'.$locale['wst448'].'</td></tr>
				<tr><td align="left" valign="top">'.$locale['wst445'].'</td><td align="left" valign="top">'.$locale['wst449'].'</td></tr>
				<tr class="tbl1"><td align="left" valign="top">'.$locale['wst446'].'</td><td align="left" valign="top">'.$locale['wst450'].'</td></tr>
				<tr><td align="left" valign="top">'.$locale['wst447'].'</td><td align="left" valign="top">'.$locale['wst451'].'</td></tr>
				</table>';
	closetable();
}


if ($action == "list_bonus") {
	$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
	$result  = dbquery("Select * from ".$db_prefix."wst_bonus where league_id=$lid order by bonus_id");
	
	opentable("");
		echo '<center><form method="post"><table width="100%" align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">
				<tr class="tbl2">
				<td align="center" valign="top">'.$locale['wst104'].'</td>
				<td align="center" valign="top">'.$locale['wst234'].'</td>
				<td align="center" valign="top">'.$locale['wst198'].'</td>
				<td align="center" valign="top">'.$locale['wst126'].'</td>
				<td align="center" colspan="2" valign="top">'.$locale['wst235'].'</td>
				<td align="center" valign="top">'.$locale['wst352'].'</td>
				<td align="center" valign="top">'.$locale['wst441'].'</td>
				<td align="center" valign="top">'.$locale['wst236'].'</td>
				<td align="center" colspan="4" valign="top">'.$locale['wst153'].'</td><tr>';
	
		while ($data = dbarray($result)) {
			$l_id = $data['league_id'];
			$result2  = dbquery("Select * from ".$db_prefix."wst_leagues where league_id=$l_id");
			$data2 = dbarray($result2);
	
			$datum = getdate($data['bonus_datestamp']);
			echo '<tr class="tbl1"><td align="center">'.$data2['league_name'].'</td>
						<td align="center">'.$data['bonus_id'].'</td>
						<td align="center">'.$data['bonus_text'].'</td>';
			echo '<td align="center">'.$data['bonus_pkt'].'</td><td align="center">
						'.date("d.m.Y", $data['bonus_datestamp']).'</td>';		
			echo '<td align="center">'.date("H:i", $data['bonus_datestamp']).'</td>';
			echo '<td align="center">'.$data['bonus_type'].'</td>
						<td align="center">'.$data['bonus_sizeof'].'</td>';
			
			if ($data['bonus_type'] == 1)	{
				$team = $data['bonus_res'];
				$result3  = dbquery("Select * from ".$db_prefix."wst_teams where team_id=$team");
				$data3 = dbarray($result3);
				echo '<td align="center">'.$data3['team_name'].'</td>';	
			}
		
			if ($data['bonus_type'] == 2)	{
				$team = $data['bonus_res'];
				echo '<td align="center">'.$team.'.</td>';	
			}

			if ($data['bonus_type'] == 3) {
				$team = $data['bonus_res'];
				if ($team == 1)
					echo '<td align="center">'.$locale['wst292'].'</td>';	
				else if ($team == 2)
					echo '<td align="center">'.$locale['wst293'].'</td>';	
				else echo '<td align="center">---</td>';	
			}		
		
			if ($data['bonus_type'] == 4) {
				$teams = explode(",", $data['bonus_res_free']);
				echo '<td align="center">';	
				for ($i = 0; $i < sizeof($teams); $i++) {
					$tid = $teams[$i];
					if (isset($tid) && $tid != 0) {
						$data3  = dbarray(dbquery("Select * from ".$db_prefix."wst_teams where team_id=$tid"));
						echo $data3['team_name'].'<br>';
					} else echo '---<br>';
				} 
				echo '</td>';
			}
		
			if ($data['calc'] == 0 && ($data['bonus_res'] != 0 || $data['bonus_res_free'] != ""))
				echo '<td align="center"><a href="bonus.php?act=calc_bonus&lid='.$lid.'&bid='.$data['bonus_id'].'" title="'.$locale['wst271'].'"><img src="../symbols/calc.gif" border="0"></a></td>';
			else echo '<td align="center">---</td>';
		
			if ($data['calc'] == 1)
				echo '<td align="center"><a href="bonus.php?act=uncalc_bonus&lid='.$lid.'&bid='.$data['bonus_id'].'" title="'.$locale['wst275'].'"><img src="../symbols/undo3.gif" border="0"></a></td>';
			else echo '<td align="center">---</td>';
			
			echo '<td align="center"><a href="bonus.php?act=edt_bonus&lid='.$lid.'&bid='.$data['bonus_id'].'" title="'.$locale['wst276'].'"><img src="../symbols/edit.png" border="0"></a></td>
					<td align="center"><a href="bonus.php?act=del_bonus&lid='.$lid.'&bid='.$data['bonus_id'].'" title="'.$locale['wst277'].'" onclick="return del_bonus(this);"><img src="../symbols/delete.png" border="0"></a></td>
					</tr>';
		}
		echo '<tr class="tbl2"></tr></table></form>';
		echo '</center>';
	closetable();	
	
	opentable($locale['wst358']);
		echo '<table align="center" cellpadding="4" cellspacing="1" border="0" class="tbl2">
				<tr class="tbl-border">
				<td align="left" valign="top">
				<b>'.$locale['wst442'].'</b></td><td align="left" valign="top"><b>'.$locale['wst443'].'</b></td></tr>
				<tr class="tbl1"><td align="left" valign="top">'.$locale['wst444'].'</td><td align="left" valign="top">'.$locale['wst448'].'</td></tr>
				<tr><td align="left" valign="top">'.$locale['wst445'].'</td><td align="left" valign="top">'.$locale['wst449'].'</td></tr>
				<tr class="tbl1"><td align="left" valign="top">'.$locale['wst446'].'</td><td align="left" valign="top">'.$locale['wst450'].'</td></tr>
				<tr><td align="left" valign="top">'.$locale['wst447'].'</td><td align="left" valign="top">'.$locale['wst451'].'</td></tr>
				</table>';
	closetable();
}

if ($action == "calc_bonus") {
	$bid = (isset($_GET['bid']) && isNum($_GET['bid'])) ? $_GET['bid'] : 0;
	$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
	$bdata  = dbarray(dbquery("Select * from ".$db_prefix."wst_bonus where bonus_id=$bid"));
	$result  = dbquery("Select * from ".$db_prefix."wst_userbonus as A left join  ".$db_prefix."wst_bonus as B on A.bonus_id=B.bonus_id where A.bonus_id=$bid");
	
	if ($bdata['bonus_type'] < 4) {
		while ($data = dbarray($result))
			if (isset($data['bonus_res'])) {
				if ($data['res'] == $data['bonus_res'])	{
					$user = $data['user_id'];
					$points = $data['bonus_pkt'];
					$points_wob = $data['bonus_pkt'];
					$result_p = dbquery("select * from ".$db_prefix."wst_userpoints where user_id=$user and league_id=$lid and bonus_id=$bid");
					$data_p = dbarray($result_p);
				
					if (!isset($data_p['user_id']))
						$result2 = dbquery("insert into ".$db_prefix."wst_userpoints(user_id, league_id, bonus_id, points_wob, points)
						values($user, $lid, $bid, $points_wob, $points)");
					else 
						$result2 = dbquery("update ".$db_prefix."wst_userpoints set points=$points, points_wob=$points_wob  where user_id=$user and league_id=$lid and bonus_id=$bid");
				}
			
				if ($data['res'] != $data['bonus_res']) {
					$user = $data['user_id'];
					$points = $data['bonus_pkt'];
					$points_wob = $data['bonus_pkt'];
					$result_p = dbquery("select * from ".$db_prefix."wst_userpoints where user_id=$user and league_id=$lid and bonus_id=$bid");
					$data_p = dbarray($result_p);
				
					if (!isset($data_p['user_id']))
						$result2 = dbquery("insert into ".$db_prefix."wst_userpoints(user_id, league_id, bonus_id, points_wob, points)
						values($user, $lid, $bid, 0, 0)");
					else 
						$result2 = dbquery("update ".$db_prefix."wst_userpoints set points=0, points_wob=0 where user_id=$user and league_id=$lid and bonus_id=$bid");
				}
			}
	}
	
	if ($bdata['bonus_type'] == 4) {
		while ($data = dbarray($result))
			if ($data['bonus_res_free'] != "" && $data['res_free'] != "")	{
				$userfree = explode(",", $data['res_free']);
				$resfree = explode(",", $data['bonus_res_free']);
				$points = 0;
				$points_wob = 0;
				$user = $data['user_id'];			
			
				for ($i=0; $i<sizeof($userfree); $i++) {
					if (in_array($userfree[$i], $resfree)) {
						$points += $data['bonus_pkt'];
						$points_wob += $data['bonus_pkt'];
						$result_p = dbquery("select * from ".$db_prefix."wst_userpoints where user_id=$user and league_id=$lid and bonus_id=$bid");
						$data_p = dbarray($result_p);
					}
				}
				
				if (!isset($data_p['user_id']))
					$result2 = dbquery("insert into ".$db_prefix."wst_userpoints(user_id, league_id, bonus_id, points_wob, points)
					values($user, $lid, $bid, $points_wob, $points)");
				else 
					$result2 = dbquery("update ".$db_prefix."wst_userpoints set points=$points, points_wob=$points_wob  where user_id=$user and league_id=$lid and bonus_id=$bid");
			}
	}
	$result = dbquery("update ".$db_prefix."wst_bonus set calc=1 where bonus_id=$bid and league_id=$lid");
	$url = "bonus.php?act=list_bonus&lid=$lid";
	redirect($url);
}


if ($action == "uncalc_bonus") {
	$bid = (isset($_GET['bid']) && isNum($_GET['bid'])) ? $_GET['bid'] : 0;
	$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
	$result_p = dbquery("delete from ".$db_prefix."wst_userpoints where league_id=$lid and bonus_id=$bid");
	$result = dbquery("update ".$db_prefix."wst_bonus set calc=0 where bonus_id=$bid and league_id=$lid");
	$url = "bonus.php?act=list_bonus&lid=$lid";
	redirect($url);
}


if ($action == "edt_bonus") {
	$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
	$bid = (isset($_GET['bid']) && isNum($_GET['bid'])) ? $_GET['bid'] : 0;
	
	if (isset($_POST['startf']) && $_POST['startf'] == TRUE) {
			$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
			$btext = isset($_POST['btext']) ? stripinput($_POST['btext']) : "";
			$bpkt = (isset($_POST['bpkt']) && isNum($_POST['bpkt'])) ? $_POST['bpkt'] : 0;
			$Typ = (isset($_POST['Typ']) && isNum($_POST['Typ'])) ? $_POST['Typ'] : 0;
			$bsize = (isset($_POST['bsize']) && isNum($_POST['bsize'])) ? $_POST['bsize'] : 0;
			
			$Hour = (isset($_POST['Hour']) && isNum($_POST['Hour'])) ? $_POST['Hour'] : 0;
			$Min = (isset($_POST['Min']) && isNum($_POST['Min'])) ? $_POST['Min'] : 0;
			$Month = (isset($_POST['Month']) && isNum($_POST['Month'])) ? $_POST['Month'] : 0;
			$Day = (isset($_POST['Day']) && isNum($_POST['Day'])) ? $_POST['Day'] : 0;
			$Year = (isset($_POST['Year']) && isNum($_POST['Year'])) ? $_POST['Year'] : 0;
			
			$_date = mktime($Hour,$Min,0,$Month,$Day,$Year);
			$result = dbquery("update ".$db_prefix."wst_bonus set bonus_text='$btext', bonus_pkt=$bpkt, bonus_datestamp=$_date, bonus_type=$Typ, bonus_sizeof=$bsize where bonus_id=$bid");
			$url = "bonus.php?act=edt_bonus&lid=$lid&bid=$bid";
			redirect($url);
	}	
	if (isset($_POST['starta']) && $_POST['starta'] == TRUE) {
		$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
		$teamm = isset($_POST['teamm']) ? $_POST['teamm'] : array();
		$team = (isset($_POST['team']) && isNum($_POST['team'])) ? $_POST['team'] : 0;
		$dbon = dbarray(dbquery("select * from ".$db_prefix."wst_bonus where bonus_id=$bid"));
		if ($dbon['bonus_type'] < 4)
			$result = dbquery("update ".$db_prefix."wst_bonus set bonus_res=$team where bonus_id=$bid");
		if ($dbon['bonus_type'] == 4)	{
			for ($j=0; $j < sizeof($teamm); $j++)	{
				$mteam = $teamm[$j]; 
				if ($j == 0)
					$tlist .= $mteam;
				else
					if ($mteam != "")
						$tlist .= ','.$mteam;
			}
			$result = dbquery("update ".$db_prefix."wst_bonus set bonus_res_free='$tlist' where bonus_id=$bid");
		}		
		$url = "bonus.php?act=edt_bonus&lid=$lid&bid=$bid";
		redirect($url);
	}	
	
	opentable($locale['wst198']);
		$result2 = dbquery("select * from ".$db_prefix."wst_bonus where bonus_id=$bid");
		$data2 = dbarray($result2);
		
		echo '<center><form method="post"><table align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">
					<tr class="tbl2">
					<td align="center" valign="top">'.$locale['wst233'].'</td>
					<td align="center" valign="top">'.$locale['wst126'].'</td>
					<td align="center" valign="top" colspan="3">'.$locale['wst199'].'</td>
					<td align="center" valign="top" colspan="">'.$locale['wst200'].'</td>
					<td align="center" valign="top" colspan="">'.$locale['wst352'].'</td>
					<td align="center" valign="top" colspan="">'.$locale['wst441'].'</td>
					<tr>';
		echo '<td align="center">
					<input type="text" name="btext" class="textbox" value="'.$data2['bonus_text'].'"></td>
					<td align="center"><input type="text" name="bpkt" size="3" maxlength="3" class="textbox" value="'.$data2['bonus_pkt'].'"></td>';
		echo '<td align="center" colspan="3"><SELECT NAME=Day>';
		  		
		if (isset($data2['bonus_id'])) {
			$datum = getdate($data2['bonus_datestamp']);
			echo '<option value="'.$datum['mday'].'" selected>'; 
			echo $datum['mday']; 
			echo '</option>';
		}
		echo '<OPTION></OPTION>';
 		$day = 1;
 		while ($day <= 31) {
  		echo "<OPTION VALUE=$day>$day</OPTION>";
  		$day++;
 		}
 		echo "</SELECT>";
 		$year = date("Y");
 		echo "<SELECT NAME=Month>";
		if (isset($data2['bonus_id'])) {
			$datum = getdate($data2['bonus_datestamp']);
			echo '<option value="'.$datum['mon'].'" selected>'; 
	  	echo $datum['mon']; 
	  	echo '</option>';
	 	}
 		echo "<OPTION></OPTION>";
 		$Monat = 1;	
 		while ($Monat <= 12) {
   		echo "<OPTION VALUE=$Monat>$Monat</OPTION>";
   		$Monat++;
 		}
		echo "</SELECT>";
		//Create the day pull-down menu.
			 
		//Create the year pull-down menu.
		echo "<SELECT NAME=Year>"; 
		if (isset($data2['bonus_id'])) {
			$datum = getdate($data2['bonus_datestamp']);
			echo '<option value="'.$datum['year'].'" selected>'; 
	  	echo $datum['year']; 
	  	echo '</option>';
	 	}
	 	echo "<OPTION></OPTION>";
		$result_global_config = dbquery("select * from ".$db_prefix."wst_global_config");
		$data_global_config = dbarray($result_global_config);
		$EndYear = $year+$data_global_config['config_jahre'];
 		while ($year <= $EndYear) {
   		echo "<OPTION VALUE=$year>$year</OPTION>";
   		$year++;
 		}
 		echo "</SELECT></td>";			
 		echo '<td align="center">';
 		echo "<SELECT NAME=Hour>"; 
		if (isset($data2['bonus_id'])) {
			$datum = getdate($data2['bonus_datestamp']);
			echo '<option value="'.$datum['hours'].'" selected>'; 
			echo $datum['hours']; 
			echo '</option>';
		}
		echo "<OPTION></OPTION>";
		$hour = $data_global_config['config_start'];
		$EndHour = $data_global_config['config_ende'];
 		while ($hour <= $EndHour) {
   		echo "<OPTION VALUE=$hour>$hour</OPTION>";
   		$hour++;
 		}
 		echo "</SELECT>";
 			
 		echo "<SELECT NAME=Min>"; 
		if (isset($data2['bonus_id'])) {
			$datum = getdate($data2['bonus_datestamp']);
			echo '<option value="'.$datum['minutes'].'" selected>'; 
			echo $datum['minutes']; 
			echo '</option>';
	 	}
 		echo "<OPTION></OPTION>";
 		$min = 0;
 		$EndMin = 59;
 		while ($min <= $EndMin) {
   		echo "<OPTION VALUE=$min>$min</OPTION>";
   		$min = $min+$data_global_config['config_min'];
 		}
 		echo '</SELECT></td>';

		echo '<td align="center">';
 		echo "<SELECT NAME=Typ>"; 
		for ($i = 1; $i < 5; $i++) {
 			if ($i == $data2['bonus_type'])
  			echo "<OPTION VALUE=$i selected>$i</OPTION>";
  		else echo "<OPTION VALUE=$i>$i</OPTION>";
 		}
 		echo '</SELECT></td>';
 		echo '<td align="center"><input type="text" name="bsize" maxlength="1" size="1" value="'.$data2['bonus_sizeof'].'" class="textbox"></td></tr>';
		
		echo '<tr class="tbl2"><td align="center" colspan="9"><input type="submit" name="startf" value="'.$locale['wst140'].'" class="button"></td></tr></table></form>';
		echo '</center>';
	closetable();	
	
	opentable($locale['wst236']);
		$result2 = dbquery("select * from ".$db_prefix."wst_bonus where bonus_id=$bid");
		$data2 = dbarray($result2);
		$xyz = $data2['bonus_type'];

	
	if ($xyz == 1) {
		echo '<center><form method="post"><table align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">';
		echo '<tr class="tbl2"><td colspan="2" align="center">'.$locale['wst236'].'</td><td colspan="5" align="center">';		
		echo '<select name="team">';
		$result_t = dbquery("select * from ".$db_prefix."wst_leagueteams as A left join ".$db_prefix."wst_teams as B
		on A.team_id = B.team_id where A.league_id=$lid order by B.team_name");
		while ($data_t = dbarray($result_t)) {
			if ($data2['bonus_res'] == $data_t['team_id'])
				echo '<option value="'.$data_t['team_id'].'" selected>'.$data_t['team_name'].'</option>';
			else echo '<option value="'.$data_t['team_id'].'">'.$data_t['team_name'].'</option>';
		}
		echo '</select></td>'; 			
		echo '<tr class="tbl2"><td align="center" colspan="7"><input type="submit" name="starta" value="'.$locale['wst140'].'" class="button"></td></tr></table></form>';
		echo '</center>';
	}
	
	if ($xyz == 2) {
		echo '<center><form method="post"><table align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">';
		echo '<tr class="tbl2"><td colspan="2" align="center">'.$locale['wst236'].'</td><td colspan="5" align="center">';		
		echo '<select name="team">';
		$result_t = dbarray(dbquery("select count(*) as c from ".$db_prefix."wst_leagueteams where league_id=$lid"));
		for ($i = 0; $i < $result_t['c']; $i++) {
			if ($data2['bonus_res'] == ($i+1))
				echo '<option value="'.($i+1).'" selected>'.($i+1).'.</option>';
			else echo '<option value="'.($i+1).'">'.($i+1).'.</option>';
		}
		echo '</select></td>'; 			
		echo '<tr class="tbl2"><td align="center" colspan="7"><input type="submit" name="starta" value="'.$locale['wst140'].'" class="button"></td></tr></table></form>';
		echo '</center>';
	}
	
	if ($xyz == 3) {
		echo '<center><form method="post"><table align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">';
		echo '<tr class="tbl2"><td colspan="2" align="center">'.$locale['wst236'].'</td><td colspan="5" align="center">';		
		echo '<select name="team">';
		
		if ($data2['bonus_res'] == 1)
			echo '<option value="1" selected>'.$locale['wst292'].'</option>';
		else echo '<option value="1">'.$locale['wst292'].'</option>';
			
		if ($data2['bonus_res'] == 2)
			echo '<option value="2" selected>'.$locale['wst293'].'</option>';
		else echo '<option value="2">'.$locale['wst293'].'</option>';
		echo '</select></td>'; 			
		echo '<tr class="tbl2"><td align="center" colspan="7"><input type="submit" name="starta" value="'.$locale['wst140'].'" class="button"></td></tr></table></form>';
		echo '</center>';
	}
	
	
	if ($xyz == 4) {
		echo '<center><form method="post"><table align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">';
		echo '<tr class="tbl2"><td colspan="2" align="center">'.$locale['wst236'].'</td><td colspan="5" align="center">';		
		$tf = explode(",", $data2['bonus_res_free']);
		for ($i = 0; $i < $data2['bonus_sizeof']; $i++) {
			echo '<select name="teamm[]">';
			$result_t = dbquery("select * from ".$db_prefix."wst_leagueteams as A left join ".$db_prefix."wst_teams as B
			on A.team_id = B.team_id where A.league_id=$lid order by B.team_name");
			while ($data_t = dbarray($result_t)) {
				if ($tf[$i] == $data_t['team_id'])
					echo '<option value="'.$data_t['team_id'].'" selected>'.$data_t['team_name'].'</option>';
				else echo '<option value="'.$data_t['team_id'].'">'.$data_t['team_name'].'</option>';
			}
			echo '</select><br>';
		}
		echo '</td>'; 			
		echo '<tr class="tbl2"><td align="center" colspan="7"><input type="submit" name="starta" value="'.$locale['wst140'].'" class="button"></td></tr></table></form>';
		echo '</center>';
	}
	closetable();
	
	opentable($locale['wst358']);
		echo '<table align="center" cellpadding="4" cellspacing="1" border="0" class="tbl2">
				<tr class="tbl-border">
				<td align="left" valign="top">
				<b>'.$locale['wst442'].'</b></td><td align="left" valign="top"><b>'.$locale['wst443'].'</b></td></tr>
				<tr class="tbl1"><td align="left" valign="top">'.$locale['wst444'].'</td><td align="left" valign="top">'.$locale['wst448'].'</td></tr>
				<tr><td align="left" valign="top">'.$locale['wst445'].'</td><td align="left" valign="top">'.$locale['wst449'].'</td></tr>
				<tr class="tbl1"><td align="left" valign="top">'.$locale['wst446'].'</td><td align="left" valign="top">'.$locale['wst450'].'</td></tr>
				<tr><td align="left" valign="top">'.$locale['wst447'].'</td><td align="left" valign="top">'.$locale['wst451'].'</td></tr>
				</table>';
	closetable();
}

if ($action == "del_bonus") {
	$bid = (isset($_GET['bid']) && isNum($_GET['bid'])) ? $_GET['bid'] : 0;
	$result = dbquery("delete from ".$db_prefix."wst_bonus where bonus_id=$bid");
	$result = dbquery("delete from ".$db_prefix."wst_userbonus where bonus_id=$bid");
	$url = "bonus.php?act=list_bonus&lid=$lid";
	redirect($url);
}
	
if (isset($_GET['lid'])) {
	$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
	$result = dbquery("select * from ".$db_prefix."wst_leagues where league_id=$lid");
	$data = dbarray($result);	
	$l_name = $data['league_name'];
	echo "</td><td align='right'>";
	rightside($lid, $l_name);
} else {
		echo "</td><td align='right'>";
		rightside();
	}

	echo "</td></tr></table>";
require_once THEMES."templates/footer.php";
?>