<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_admin.php
| Author: ChSchuetz
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."wir_sind_tippspiel/infusion_db.php";
include "league_admin_menu.php";
include "../inc/del_func.php";

if (!checkrights("WST")) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."wir_sind_tippspiel/locale/German.php";
}

echo "<table width='100%'><tr><td valign='top' align='center'>";

$bullet = "<img src='".THEME."images/bullet.gif' alt='' border='0'>";
$bulletb = "<img src='".THEME."images/bulletb.gif' alt='' border='0'>";

$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
$action = isset($_GET['act']) ? stripinput($_GET['act']) : "";

$result = dbquery("select * from ".$db_prefix."wst_leagues where league_id=$lid");
$data = dbarray($result);

if ($action == "") echo '<h2>'.$data['league_name'].'</h2>';
if ($action == "list_users") echo '<h2>'.$data['league_name'].' - '.$locale['wst288'].'</h2>';
if ($action == "list_comm") echo '<h2>'.$data['league_name'].' - '.$locale['wst289'].'</h2>';
if ($action == "com_details") echo '<h2>'.$data['league_name'].' - '.$locale['wst290'].'</h2>';
if ($action == "crt_comm") echo '<h2>'.$data['league_name'].' - '.$locale['wst302'].'</h2>';
if ($action == "edt_comm") echo '<h2>'.$data['league_name'].' - '.$locale['wst290'].'</h2>';
if ($action == "mngusrpoints") echo '<h2>'.$data['league_name'].' - '.$locale['wst422'].'</h2>'; //

if ($action == "list_comm") {
	$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
	openside($locale['wst202']);
		$result_c = dbquery("select * from ".$db_prefix."wst_comm order by comm_name");
		echo '<table align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">';
		echo '<tr class="tbl-border"><td align="center">'.$locale['wst191'].'</td><td align="center">'.$locale['wst291'].'</td><td align="center">'.$locale['wst189'].'</td><td align="center">'.$locale['wst209'].'</td><td align="center">'.$locale['wst242'].'</td><td align="center">'.$locale['wst203'].'</td>';

		$rows = dbrows($result_c);
		if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
		if ($rows != 0) $i=1; 

		$result_c = dbquery("select * from ".$db_prefix."wst_comm order by comm_name limit $rowstart, 10");
		while ($data_c = dbarray($result_c)) {
			$cid = $data_c['comm_id'];
			$result_count = dbarray(dbquery("select count(*) as count from ".$db_prefix."wst_usercomm where comm_id=$cid and league_id=$lid"));
		
			echo '<tr class="tbl1"><td align="center">'.$data_c['comm_name'].'</td>';
			echo '<td align="center">'.$result_count['count'].'</td>';
			if ($data_c['comm_prv'] == 1)
				echo '<td align="center">'.$locale['wst292'].'</td>';
			else
				echo '<td align="center">'.$locale['wst293'].'</td>';
			echo '<td align="center"><a href="user_admin.php?act=com_details&lid='.$lid.'&com='.$data_c['comm_id'].'" title="'.$locale['wst294'].'">'.$locale['wst209'].'</a></td>
			<td align="center"><a href="user_admin.php?act=edt_comm&cid='.$data_c['comm_id'].'&lid='.$lid.'" title="'.$locale['wst242'].'">'.$locale['wst242'].'</a></td>
			<td align="center"><a href="user_admin.php?act=delcom&com='.$data_c['comm_id'].'&lid='.$lid.'" title="'.$locale['wst295'].'">'.$locale['wst203'].'</a></td></tr>';
			$i++;
		}
		echo '</table>';
		if ($i < 10) $i=10;
		if ($i >= 10) echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,10,$rows,0,FUSION_SELF."?act=list_comm&lid=".$lid."&")."\n</div>\n";
	closeside();
}


if ($action == "list_users") {
	openside($locale['wst321']);
		$result_c = dbquery("select * from ".$db_prefix."wst_usertipps as a left join ".$db_prefix."users as b 
		on a.user_id=b.user_id where a.league_id=$lid group by a.user_id order by b.user_name");
	
		echo '<table align="center" width="50%"cellpadding="4" cellspacing="1" border="0" class="tbl-border">';
		echo '<tr class="tbl-border"><td align="center"></td><td align="center">'.$locale['wst296'].'</td><td align="center">'.$locale['wst201'].'</td><td align="center" colspan="3">'.$locale['wst153'].'</td>';
		
		$rows = dbrows($result_c);
		if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
		if ($rows != 0) $i=1; 
		
		$result_c = dbquery("select a.user_id, b.user_name, b.user_avatar, b.user_email, b.user_hide_email from ".$db_prefix."wst_usertipps as a left join ".$db_prefix."users as b 
		on a.user_id=b.user_id where a.league_id=$lid group by a.user_id order by b.user_name limit $rowstart, 10");
		
		while ($data_c = dbarray($result_c)) {
			$ava = $data_c['user_avatar'];
			$avaurl = IMAGES."/avatars/".$ava; 
			$profurl = BASEDIR."profile.php?lookup=".$data_c['user_id'];
			$uuu = $data_c['user_id'];

			if ($i%2 == 0) $cell_color = "tbl2"; else $cell_color = "tbl1";
			if (isset($uuu))
				$data_p = dbarray(dbquery("select sum(points) as p from ".$db_prefix."wst_userpoints where league_id=$lid and user_id=$uuu"));
		
			if ($ava != "" && file_exists($avaurl))	{
				echo "<tr class='tbl1'><td align='center' width='1%' class='$cell_color'><a href=$profurl title='".$locale['wst254']."'><img src=$avaurl border='0' width='25'></a></td>";
			} else echo "<tr class='tbl1'><td align='center'  class='$cell_color' width='1%'></td>";
		
			if ($data_c['user_name'] != "")
				echo '<td align="center" class="'.$cell_color.'"><a href="'.$profurl.'" title="'.$locale['wst254'].'">'.$data_c['user_name'].'</a></td>';
			else
				echo '<td align="center" class="'.$cell_color.'">DELETE ME</td>';
			echo "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'>".$data_p['p']."</td>";			
			echo "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'><a href='user_admin.php?act=mngusrpoints&user=".$data_c['user_id']."&lid=".$lid."' title='".$locale['wst422']."'><img src='../symbols/plusminus.gif' border='0'></a></td>";			
			if ($data_c['user_hide_email'] == 0 && iMEMBER)
				echo '<td align="center" width="1%" class="'.$cell_color.'" style="white-space:nowrap"><a href="mailto:'.$data_c['user_email'].'" title="'.$locale['wst257'].'"><img border=0 src="'.THEME.'forum/email.gif""></a></td>';
			else
				echo "<td align='center' width='1%' style='white-space:nowrap'>\n</td>";			
			echo "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'>\n<a href=".BASEDIR."messages.php?msg_send=".$data_c['user_id']." title='".$locale['wst258']."'><img border=0 src='".THEME."forum/pm.gif'></a></td>";
			echo "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'>\n<a href='user_admin.php?act=deluserleague&user=".$data_c['user_id']."&lid=".$lid."' title='".$locale['wst297']."' onclick='return del_user(this);'><img border=0 src='../symbols/delete.png'></a></td>";
			echo '</tr>';
			$i++;
		}
		echo '</table>';
		if ($i < 10) $i=10;
		if ($i >= 10) echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,10,$rows,0,FUSION_SELF."?act=list_users&lid=".$lid."&")."\n</div>\n";
	closeside();
}

if ($action == "delcom") {
	$com = isNum($_GET['com']) ? $_GET['com'] : 0;
	$result = dbquery("delete from ".$db_prefix."wst_comm where comm_id=$com");
	$result = dbquery("delete from ".$db_prefix."wst_usercomm where comm_id=$com");
	$url = "user_admin.php?act=list_comm&lid=".$lid;
	redirect($url);
}

if ($action == "crt_comm") {
	if (isset($_POST['crt_c']) && $_POST['crt_c'] == TRUE) {
		if (isset($_POST['prv']) && $_POST['prv'] == TRUE)
			$prv = 1;
		else 
			$prv = 0;			
		$c_name = isset($_POST['c_name']) ? stripinput($_POST['c_name']) : "";	
		$c_pw = isset($_POST['c_pw']) ? stripinput($_POST['c_pw']) : "";	
		
		if ($c_name != "") {
			if ($prv == 1) {
				$result = dbquery("insert into ".$db_prefix."wst_comm(comm_name, comm_prv, comm_pw) values('$c_name', $prv, md5('$c_pw'))");
				echo "<center><b>".$locale['wst191']." ".$c_name." ".$locale['wst303']."</b></center>";
			} else {
					$result = dbquery("insert into ".$db_prefix."wst_comm(comm_name, comm_prv) values('$c_name', $prv)");
					echo "<center><b>".$locale['wst191']." ".$c_name." ".$locale['wst303']."</b></center>";
			}
		} else echo "<center><b>".$locale['wst240']."</b></center>";
	}
			
	opentable($locale['wst302']);
		echo '<form method="post">
			<table align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">';
		echo '	<tr class="tbl2">
				<td align="center">'.$locale['wst240'].'</td>
				<td align="center"><input type="text" name="c_name" class="textbox"></td>
				<td></td>
			</tr>';
		echo '	<tr class="tbl2">
			<td align="center">'.$locale['wst189'].'<br><input type="checkbox" name="prv"></td><td align="center">
			'.$locale['wst185'].'<br><input type="text" name="c_pw" class="textbox"></td>
			<td align="center"><input type="submit" name="crt_c" value="'.$locale['wst140'].'" class="button"></td>
		</tr>';
		echo '</table></form>';
	closetable();	
}


if ($action == "edt_comm") {
	if (isset($_POST['edt_c']) && $_POST['edt_c'] == TRUE) {
		if (isset($_POST['prv']) && $_POST['prv'] == TRUE)
			$prv = 1;
		else $prv = 0;
					
		$c_name = isset($_POST['c_name']) ? stripinput($_POST['c_name']) : "";	
		$c_id = (isset($_POST['c_id']) && isNum($_POST['c_id'])) ? $_POST['c_id'] : 0;	
		
		if ($c_name != "") {
			if ($prv == 1) {
				$result = dbquery("update ".$db_prefix."wst_comm set comm_name='$c_name', comm_prv=$prv, comm_pw=md5('$c_pw') where comm_id=$c_id");
			} else {
					$result = dbquery("update ".$db_prefix."wst_comm set comm_name='$c_name', comm_prv=$prv, comm_pw='' where comm_id=$c_id");
			}
		} else echo "<center><b>".$locale['wst240']."</b></center>";
		redirect("user_admin.php?act=edt_comm&cid=".$cid."&lid=".$lid);
	}
			
	$cid = (isset($_GET['cid']) && isNum($_GET['cid'])) ? $_GET['cid'] : 0;
	$cdata = dbarray(dbquery("select * from ".$db_prefix."wst_comm where comm_id=$cid"));
	
	opentable($locale['wst242']);
		echo '<form method="post">
			<table align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">';
		echo '	<tr class="tbl2">
				<td align="center">'.$locale['wst240'].'</td>
				<td align="center"><input type="text" name="c_name" value="'.$cdata['comm_name'].'" class="textbox"><input type="hidden" name="c_id" value="'.$cid.'" class="textbox"></td>
				<td></td>
			</tr>';
		echo '	<tr class="tbl2">
			<td align="center">'.$locale['wst189'].'<br>';
			
		if ($cdata['comm_prv'] == 1) {
			echo '<input type="checkbox" checked name="prv">';
			echo '</td><td align="center">'.$locale['wst185'].'<br><input type="text" name="c_pw" value="**********" class="textbox"></td>';
		} else {
			echo '<input type="checkbox" name="prv">';
			echo '</td><td align="center">'.$locale['wst185'].'<br><input type="text" name="c_pw" value="" class="textbox"></td>';
		}		
		echo '<td align="center"><input type="submit" name="edt_c" value="'.$locale['wst140'].'" class="button"></td></tr>';
		echo '</table></form>';
	closetable();	
}


if ($action == "delusercomm") {
	$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
	$user = (isset($_GET['user']) && isNum($_GET['user'])) ? $_GET['user'] : 0;
	$com = (isset($_GET['com']) && isNum($_GET['com'])) ? $_GET['com'] : 0;
	
	$result = dbquery("delete from ".$db_prefix."wst_usercomm where user_id=$user and league_id=$lid and comm_id=$com");
	$url = "user_admin.php?act=com_details&lid=".$lid."&com=".$com;
	redirect($url);
}

if ($action == "deluserleague") {
	$user = (isset($_POST['user']) && isNum($_GET['user'])) ? $_GET['user'] : 0;
	$lid = (isset($_POST['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
	$result = dbquery("delete from ".$db_prefix."wst_usercomm where user_id=$user and league_id=$lid");

	$result_b = dbquery("select * from ".$db_prefix."wst_bonus where league_id=$lid");
	while ($data_b = dbarray($result_b)) {
		$bonus_id = $data_b['bonus_id'];
		$result = dbquery("delete from ".$db_prefix."wst_userbonus where user_id=$user and bonus_id=$bonus_id");
	}
	$result = dbquery("delete from ".$db_prefix."wst_userpoints where user_id=$user and league_id=$lid");
	$result = dbquery("delete from ".$db_prefix."wst_usertipps where user_id=$user and league_id=$lid");
	$url = "user_admin.php?act=list_users&lid=".$lid;
	redirect($url);
}

// Community Details anzeigen
if ($action == "com_details") {
	$cc = (isset($_GET['com']) && isNum($_GET['com'])) ? $_GET['com'] : 0;
	$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
	$res_c = dbarray(dbquery("select * from ".$db_prefix."wst_comm where comm_id=$cc"));
	
	opentable("<center><b>".$res_c['comm_name']."</b></center>");
		echo '<table align="center" width="1%" cellpadding="4" cellspacing="1" border="0" class="tbl-border">';
		$result2 = dbquery("select A.user_id, B.user_name from ".$db_prefix."wst_usercomm as A left join ".$db_prefix."users as B 
		on A.user_id=B.user_id where A.comm_id=$cc group by B.user_name");
		
		$rows = dbrows($result2);
		if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
		if ($rows != 0) $i=1; 
		
		$result2 = dbquery("select A.user_id, B.user_name, B.user_avatar, B.user_email, B.user_hide_email from ".$db_prefix."wst_usercomm as A left join ".$db_prefix."users as B 
		on A.user_id=B.user_id where A.comm_id=$cc and A.league_id=$lid group by B.user_name limit $rowstart, 10");
		
		while ($data2 = dbarray($result2)) {
			if ($i%2 == 0) $cell_color = "tbl1"; else $cell_color = "tbl2";
			echo '<tr class="tbl2">';
			$ava = $data2['user_avatar'];
			$avaurl = IMAGES."/avatars/".$ava; 
			$profurl = BASEDIR."profile.php?lookup=".$data2['user_id'];
			if ($ava != "" && file_exists($avaurl)) {
				echo "<td align='center' class='$cell_color' width='1%'><a href=$profurl title='".$locale['wst254']."'><img src=$avaurl border='0' width='25'></a></td>";
			} else echo "<td align='center' width='1%'></td>";
		
			if ($data2['user_name'] != "")
				echo '<td align="center" class="'.$cell_color.'"><a href="'.$profurl.'" title="'.$locale['wst254'].'">'.$data2['user_name'].'</a></td>';
			else
				echo '<td align="center" class="'.$cell_color.'">DELETE ME</td>';
				
			if ($data2['user_hide_email'] == 0 && iMEMBER)
				echo '<td align="center" width="1%" class="'.$cell_color.'" style="white-space:nowrap"><a href="mailto:'.$data2['user_email'].'" title="'.$locale['wst297'].'"><img border=0 src="'.THEME.'forum/email.gif""></a></td>';
			else
				echo "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'>\n</td>";			
			echo "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'>\n<a href=".BASEDIR."messages.php?msg_send=".$data2['user_id']." title='".$locale['wst298']."'><img border=0 src='".THEME."forum/pm.gif'></a></td>";
			echo "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'>\n<a href='user_admin.php?act=delusercomm&lid=".$lid."&com=".$cc."&user=".$data2['user_id']."' title='".$locale['wst298']."'><img border=0 src='../symbols/delete.png'></a></td>";
			echo '</tr>';
			$i++;
		}
		echo '</table>';
		if ($i < 10) $i=10;
		if ($i >= 10) echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,10,$rows,0,FUSION_SELF."?act=com_details&lid=".$lid."&com=".$cc."&")."\n</div>\n";
	closetable();
		
	openside($locale['wst410']);

		if (isset($_POST['add']) && $_POST['add'] == TRUE) {
			$user = (isset($_POST['user']) && isNum($_POST['user'])) ? $_POST['user'] : 0;
			$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
			$cc = (isset($_GET['com']) && isNum($_GET['com'])) ? $_GET['com'] : 0;
			$res = dbquery("delete from ".$db_prefix."wst_usercomm where user_id=$user and league_id=$lid");	
			$res = dbquery("insert into ".$db_prefix."wst_usercomm(user_id, comm_id, league_id) values($user, $cc ,$lid)");
			$url = "user_admin.php?act=com_details&lid=".$lid."&com=".$cc;
			redirect($url);
		}
		echo '<table align="center" cellpadding="4" cellspacing="1" border="0" class="tbl2"><tr class="tbl1"><td>';
		echo '<form method="post">';

		echo '<b>'.$locale['wst127'].'</b><br><select name="user">';
		$res = dbquery("select * from ".$db_prefix."users where user_status=0 order by user_name");
		while ($data=dbarray($res)) {
			echo '<option value="'.$data['user_id'].'">'.$data['user_name'].'</option>';
		}
		echo '</select><br><input type="submit" name="add" value="'.$locale['wst147'].'" class="button"></td></tr></table></form>';
	closeside();

	echo '<center><a href="javascript:history.back();" title="'.$locale['wst260'].'">'.$locale['wst260'].'</a></center>';
} 
// Community Details

// Community Details anzeigen
if ($action == "mngusrpoints") {	
	$usr = (isset($_GET['user']) && isNum($_GET['user'])) ? $_GET['user'] : 0;
	$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
		
	if (isset($_POST['upd']) && $_POST['upd'] == TRUE) {
		$p1 = (isset($_POST['p1']) && isNum($_POST['p1'])) ? $_POST['p1'] : 0;
		$p3 = (isset($_POST['p3']) && isNum($_POST['p3'])) ? $_POST['p3'] : 0;
		$p5 = (isset($_POST['p5']) && isNum($_POST['p5'])) ? $_POST['p5'] : 0;
		$df = (isset($_POST['df']) && isNum($_POST['df'])) ? $_POST['df'] : 0;
		$wob = (isset($_POST['wob']) && isNum($_POST['wob'])) ? $_POST['wob'] : 0;
		$pp = (isset($_POST['pp']) && isNum($_POST['pp'])) ? $_POST['pp'] : 0;
		
		$data = dbarray(dbquery("select A.user_id, user_name, user_avatar, sum(points_wob) as points_wob, sum(points) as points, 
		sum(points1) as points1, sum(points3) as points3, sum(points5) as points5, sum(pointsd) as pointsd 
		from ".$db_prefix."wst_userpoints as A left join ".$db_prefix."users as B on A.user_id=B.user_id 
		where A.league_id=$lid and matchday_id>0 and A.user_id=$usr group by A.user_id"));
		$n_p1 = $p1 - $data['points1'];
		$n_p3 = $p3 - $data['points3'];
		$n_p5 = $p5 - $data['points5'];
		$n_df = $df - $data['pointsd'];
		$n_wob = $wob - $data['points_wob'];
		$n_pp = $pp - $data['points'];
		
		$chkdata = dbarray(dbquery("select * from ".$db_prefix."wst_userpoints where user_id=$usr and league_id=$lid and matchday_id=0 and match_id=0 and bonus_id=0"));
		
		if (!isset($chkdata['user_id']))
			$data = dbquery("insert into ".$db_prefix."wst_userpoints(user_id, league_id, matchday_id, match_id, points1, points3, points5, pointsd, points_wob, bonus_id, points)
			values($usr, $lid, 0, 0, $n_p1, $n_p3, $n_p5, $n_df, $n_wob, 0, $n_pp)");
		else
			$data = dbquery("update ".$db_prefix."wst_userpoints set points1=$n_p1, points3=$n_p3, points5=$n_p5, pointsd=$n_df, points_wob=$n_wob, points=$n_pp where league_id=$lid and matchday_id=0 and match_id=0 and bonus_id=0 and user_id=$usr");
		redirect("user_admin.php?act=mngusrpoints&user=".$usr."&lid=".$lid);
	}
	
	$result_config = dbquery("select * from ".$db_prefix."wst_config as A left join ".$db_prefix."wst_leagues as B on A.league_id=B.league_id where A.league_id=$lid");
	$data_config = dbarray($result_config);
	$diff_act = $data_config['config_diff_active'];
	$bonus_act = $data_config['config_bonus_active'];
	$funfer_act = $data_config['config_funfer_active'];
	
	$data = dbarray(dbquery("select A.user_id, user_name, user_avatar, sum(points_wob) as points_wob, sum(points) as points, sum(points1) as points1, sum(points3) as points3, sum(points5) as points5, sum(pointsd) as pointsd from ".$db_prefix."wst_userpoints as A left join ".$db_prefix."users as B on A.user_id=B.user_id where A.league_id=$lid and A.user_id=$usr group by A.user_id"));
	$ava = $data['user_avatar'];
	$avaurl = IMAGES."/avatars/".$ava; 
	$profurl = BASEDIR."profile.php?lookup=".$data['user_id'];
	
	opentable($locale['wst422']);
		echo '<form method="post"><table align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">
				<tr class="tbl2">
				<td align="center"></td>
				<td align="center"><b>'.$locale['wst127'].'</b></td>';
		
		echo '<td align="center"><b>'.$locale['wst204'].'</b></td>';
		echo '<td align="center"><b>'.$locale['wst205'].'</b></td>';
		if ($funfer_act==1)
			echo '<td align="center"><b>'.$locale['wst206'].'</b></td>';
		if ($diff_act==1)
			echo '<td align="center"><b>'.$locale['wst207'].'</b></td>';
		if ($bonus_act==1)
			echo '<td align="center"><b>'.$locale['wst208'].'</b></td>';		
		echo '<td align="center"><b>'.$locale['wst126'].'</b></td></tr><tr>';	
		
		if ($ava != "" && file_exists($avaurl)) {
			echo "<td align='center'><a href=$profurl title='".$locale['wst254']."'><img src=$avaurl border='0' width='25'></a></td>";
		} else echo "<td><img src='../img/nologo.gif' border='0'></a></td>";
		
		echo '<td align="center"><a href="'.$profurl.'" title="'.$locale['wst254'].'">'.$data['user_name'].'</a></td>';
		echo '<td align="center"><input type="text" name="p1" value="'.$data['points1'].'" class="textbox" maxlength="5" size="5"></td>';
		echo '<td align="center"><input type="text" name="p3" value="'.$data['points3'].'" class="textbox" maxlength="5" size="5"></td>';
		if ($funfer_act==1)
			echo '<td align="center"><input type="text" name="p5" value="'.$data['points5'].'" class="textbox" maxlength="5" size="5"></td>';
		if ($diff_act==1)
			echo '<td align="center"><input type="text" name="df" value="'.$data['pointsd'].'" class="textbox" maxlength="5" size="5"></td>';
		if ($bonus_act==1)
			echo '<td align="center"><input type="text" name="wob" value="'.$data['points_wob'].'" class="textbox" maxlength="5" size="5"></td>';
		echo '<td align="center"><b><font color="red"><input type="text" name="pp" value="'.$data['points'].'" class="textbox" maxlength="5" size="5"></font></b></td></tr>';	
		echo '<tr class="tbl1"><td colspan="12" align="center"><input type="submit" name="upd" value="'.$locale['wst140'].'" class="button"></td></tr>';
		echo '</table></form>';
	closetable();
}

$result = dbquery("select * from ".$db_prefix."wst_leagues where league_id=$lid");
$data = dbarray($result);	
$l_name = $data['league_name'];
echo "</td><td align='right'>";
rightside($lid, $l_name);
echo "</td></tr></table>";
require_once THEMES."templates/footer.php";
?>