<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: index.php
| Author: ChSchuetz
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."wir_sind_tippspiel/infusion_db.php";

if (!defined("IN_FUSION")) { die("Access Denied"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."wir_sind_tippspiel/locale/German.php";
}

$result_global_config = dbquery("select * from ".$db_prefix."wst_global_config");
$data_global_config = dbarray($result_global_config);

$lcat = isset($_GET['lcat']) ? stripinput($_GET['lcat']) : "";
$lcntry = isset($_GET['lcntry']) ? stripinput($_GET['lcntry']) : "";

if (isset($lcat) && $lcat != "" && (!isset($lcntry) || $lcntry == "")) $pl = "CAT";
if (isset($lcntry) && $lcntry != "" && (!isset($lcat) || $lcat == "")) $pl = "CNTRY";
if (isset($lcntry) && $lcntry != "" && isset($lcat) && $lcat != "") $pl = "CATCNTRY";
if (isset($lcat) && $lcat == "TOP") $pl = "TOP"; else $pl = "";

switch ($pl) {
	case "CAT": {
		if ($lcat == "ALL")	{
			$cats = dbquery("select * from ".$db_prefix."wst_leagues where league_arc=0 and league_parent=0 group by league_cat");
			while ($dcats = dbarray($cats)) {
				$ccccc = $dcats['league_cat'];
				$qry = "select * from ".$db_prefix."wst_leagues where  league_arc=0 and league_vis=1 and league_parent=0 and league_cat='$ccccc' order by league_cat, league_country, ".$data_global_config[config_LgAz];
				print_l($qry, $ccccc);
			}
		} else {
				$qry = "select * from ".$db_prefix."wst_leagues where  league_arc=0 and league_vis=1 and league_parent=0 and league_cat='$lcat' order by league_cat, league_country, ".$data_global_config[config_LgAz];
				print_l($qry, $lcat);
		}
		break;
	}
	
	case "CNTRY": {
		if ($lcntry == "ALL") {
			$cntrys = dbquery("select * from ".$db_prefix."wst_leagues where  league_arc=0 and league_parent=0 group by league_country");
			while ($dcntrys = dbarray($cntrys)) {
				$ccccc = $dcntrys['league_country'];
				$qry = "select * from ".$db_prefix."wst_leagues where  league_arc=0 and league_vis=1 and league_parent=0 and league_country='$ccccc' order by league_cat, league_country, ".$data_global_config[config_LgAz];
				print_l($qry, $ccccc);
			}
		} else {
				$qry = "select * from ".$db_prefix."wst_leagues where  league_arc=0 and league_vis=1 and league_parent=0 and league_country='$lcntry' order by league_cat, league_country, ".$data_global_config[config_LgAz];
				print_l($qry, $lcntry);
		}
		break;
	}	
	
	case "CATCNTRY": {
		if ($lcat != "ALL")
			$l = "and league_cat='$lcat'";
		else 
			$l = "";
		
		if ($lcntry != "ALL")
			$c = "and league_country='$lcntry'";
		else 
			$c = "";	
			
		$qry = "select * from ".$db_prefix."wst_leagues where  league_arc=0 and league_vis=1 and league_parent=0 ".$l." ".$c." order by league_cat, league_country, ".$data_global_config[config_LgAz];
		print_l($qry, $lcat);
		break;
	}	
	
	case "TOP": {
		$qry = "select count(a.team1_tipp) as ccc, b.league_id, b.* from ".$db_prefix."wst_usertipps as a left join ".$db_prefix."wst_leagues as b on a.league_id=b.league_id where b.league_parent=0 
		and league_arc=0 group by a.league_id order by ccc desc limit 3";	
		print_l($qry, "Top 3");
		break;
	}
	
	default: {	
		$cats = dbquery("select * from ".$db_prefix."wst_leagues where league_parent=0 and league_arc=0 group by league_cat");
		while ($dcats = dbarray($cats)) {
			$ccccc = $dcats['league_cat'];
			$qry = "select * from ".$db_prefix."wst_leagues where  league_arc=0 and league_vis=1 and league_parent=0 and league_cat='$ccccc' order by league_cat, league_country, ".$data_global_config['config_LgAz'];
			print_l($qry, $ccccc);
		}
		break;	
	}
}


function print_l($qry, $ccccc) {
	global $db_prefix, $locale;
	opentable("".$ccccc);
		$lcat = isset($_GET['lcat']) ? stripinput($_GET['lcat']) : "";
		$lcntry = isset($_GET['lcntry']) ? stripinput($_GET['lcntry']) : "";
	
		if ($lcat == "TOP") {
			$result = $Tresult;
		} else $result = dbquery($qry);
		$rows = dbrows($result);
		if ($rows > 0) {
			echo '<table width="100%" align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">
						<tr class="tbl2"><td align="center" width="10%"></td><td align="center" width="70%"><b>'.$locale['wst104'].'</b></td><td align="center" width="10%"><i>'.$locale['wst105'].'</i></td><td align="center" width="10%">'.$locale['wst106'].'</td></tr>';

			while ($data = dbarray($result)) {
				echo '<center><tr class="tbl1"><td align="center">';
				if ($data['league_logo']!="") {
					if (file_exists("img/leagues/".$data['league_logo']))
						echo '<a href="league.php?lid='.$data['league_id'].'" title="'.$locale['wst255'].'"><img src="img/leagues/'.$data['league_logo'].'" border="0" height="40"></a></td>';
					else 	
						echo '<img src="img/nologo.gif" height="40"></td>';
				} else echo '<img src="img/nologo.gif" height="40"></td>';
	
				if ($data['istoto'] == 0) $art=$locale['wst107']; else $art=$locale['wst108'];
				echo '<td align="center"><b><a href="league.php?lid='.$data['league_id'].'" title="'.$locale['wst255'].'">'.$data['league_name'].'</a></b>
						<br>'.$data['league_description'].'</td>';
				if ($data['league_tipp'] == 1)
					echo '<td align="center"><i>'.$art.'</i></td>';
				else
					echo '<td align="center"><i>---</i></td>';
				echo '<td align="center"><a href="league.php?lid='.$data['league_id'].'" title="'.$locale['wst255'].'"><img src="symbols/enter.gif" border="0"></a></td></tr>';
			}
			echo '</table></center>';
		} else echo '<center><b>'.$locale['wst301'].'</b></center>'; 
	closetable(); 	
}

$miy = dbarray(dbquery("select min(matchday_datestamp) as mi from ".$db_prefix."wst_matchdays"));
$may = dbarray(dbquery("select max(matchday_datestamp) as ma from ".$db_prefix."wst_matchdays"));

$miny = date("Y", $miy['mi']);
$maxy = date("Y", $may['ma']);

if (isset($_POST['ok']) && $_POST['ok'] == TRUE) {
	$curmon = isNum($_POST['month']) ? $_POST['month'] : 0;
	$curyear = isNum($_POST['year1']) ? $_POST['year1'] : 0;
	$lstmon = $curmon;
	$year = $curyear;
} else {
	$curmon = date("m", time());		
	$curyear = date("Y", time());		
	$lstmon = ($curmon == 1) ? 12 : ($curmon - 1);
	$year = ($curmon == 1) ? ($curyear-1) : ($curyear);
}

echo '<hr><table><tr><td valign="center">';
echo '<form method="POST">';
echo '<select name="month">';
for ($i=1; $i<=12; $i++) {
	switch ($i) {
		case 1  :{$mon = $locale['wst458']; break;}	
		case 2  :{$mon = $locale['wst459']; break;}	
		case 3  :{$mon = $locale['wst460']; break;}	
		case 4  :{$mon = $locale['wst461']; break;}	
		case 5  :{$mon = $locale['wst462']; break;}	
		case 6  :{$mon = $locale['wst463']; break;}	
		case 7  :{$mon = $locale['wst464']; break;}	
		case 8  :{$mon = $locale['wst465']; break;}	
		case 9  :{$mon = $locale['wst466']; break;}	
		case 10 :{$mon = $locale['wst467']; break;}	
		case 11 :{$mon = $locale['wst468']; break;}	
		case 12 :{$mon = $locale['wst469']; break;}	
	}	
	if ($i == $curmon)
		echo '<option value="'.$i.'" selected>'.$mon.'</option>';
	else
		echo '<option value="'.$i.'">'.$mon.'</option>';
}

echo '</select></td>';
echo '<td valign="center"><select name="year1">';
for ($i=$miny; $i<=$maxy; $i++) {	
	if ($i == $curyear)
		echo '<option value="'.$i.'" selected>'.$i.'</option>';
	else
		echo '<option value="'.$i.'">'.$i.'</option>';
}
echo '</select></td>';
echo '<td valign="top"><input type="submit" name="ok" value="OK" class="button"></td></tr></table>';
echo '</form>';

switch ($lstmon) {
	case 1  :{$mon = "Januar"; break;}	
	case 2  :{$mon = "Februar"; break;}	
	case 3  :{$mon = "Mrz"; break;}	
	case 4  :{$mon = "April"; break;}	
	case 5  :{$mon = "Mai"; break;}	
	case 6  :{$mon = "Juni"; break;}	
	case 7  :{$mon = "Juli"; break;}	
	case 8  :{$mon = "August"; break;}	
	case 9  :{$mon = "September"; break;}	
	case 10 :{$mon = "Oktober"; break;}	
	case 11 :{$mon = "November"; break;}	
	case 12 :{$mon = "Dezember"; break;}	
}

opentable("TopTipper ".$mon." ".$year);
	echo '<table align="center" width="100%"><tr align="center">';
	$i=0;
	$qleagues = dbquery("select * from ".$db_prefix."wst_leagues where league_tipp=1 and league_vis=1 and league_parent=0");
	while ($dleagues = dbarray($qleagues)) {
		$result_config = dbquery("select * from ".$db_prefix."wst_config where league_id=".$dleagues['league_id']);
		$data_config = dbarray($result_config);
		$diff_act = $data_config['config_diff_active'];
		$bonus_act = $data_config['config_bonus_active'];
		$funfer_act = $data_config['config_funfer_active'];	
		$order = "points desc";
		if ($bonus_act==1) $order.=", points_wob desc";
		$order.=", points1 desc, points3 desc";
		if ($funfer_act==1) $order.=", points5 desc";
		if ($diff_act==1) $order.=", pointsd desc";
		
		$qrystr = dbquery("select A.user_id, sum(points_wob) as points_wob, sum(points) as points, sum(points1) as points1, sum(points3) as points3, sum(points5) as points5, 
		sum(pointsd) as pointsd from ".$db_prefix."wst_userpoints as A 
		left join ".$db_prefix."wst_matchdays as B on A.league_id=B.league_id and A.matchday_id=B.matchday_id and A.match_id=B.match_id
		where A.league_id=".$dleagues['league_id']." and month(FROM_UNIXTIME(B.matchday_datestamp))=$lstmon and year(FROM_UNIXTIME(B.matchday_datestamp))=$year group by A.user_id order by $order limit 1");
			
		while ($data = dbarray($qrystr)) {
			$user = dbarray(dbquery("select * from ".$db_prefix."users where user_id=".$data['user_id']));
			$ava = $user['user_avatar'];
			if (file_exists(IMAGES."/avatars/".$ava) && $ava != "") $avaurl = '<img src='.IMAGES."avatars/".$ava.' border="0" height="50">'; else $avaurl = '<img src="img/nologo.gif" border="0" height="50">'; 

			$profurl = BASEDIR."profile.php?lookup=".$data['user_id'];
			if ($i%4 == 0) echo '</tr><tr>';
			echo '<td width="25%" valign="top">';
			echo '<table align="center" width="100%"><tr><td align="center" class="tbl-border"><b>'.$dleagues['league_name'].'</b></td></tr>';
			echo '<tr><td align="center"><a href="'.$profurl.'">'.$avaurl.'</a></td></tr>'; //<img src="'.$avaurl.'" border="0" height="50">
			echo '<tr><td  align="center" class="tbl-border"><a href="'.$profurl.'">'.$user['user_name'].'</a></td></tr>';
			echo '<tr><td align="center"><b><font color="red">'.$data['points'].'</font></b>';
			if($bonus_act == 1)
				echo ' ('.$data['points_wob'].')</font></b>';
			echo ' <b>'.$locale['wst201'].'</b></td></tr></table>'; 
		}
		$i++;
	}
	echo '</tr></table><hr>';
closetable();

echo '<center><b>'.$locale['wst100'].'</b> (c) 2007 by <a href="http://www.chschuetz.de" target="_blank">ChSchuetz (aka Sunday)</a><br>'; 
echo '<b>Special Thanks</b> to <a href="http://www.phpfusion-de.com" target="_blank">TOXic</a> for the great assistance since Beta1'; 
echo '<br><b>Also thanks</b> to <a href="http://www.studioamk.com/" target="_blank">Aye Maung Maung Kyi (www.studioamk.com)</a></center>';
$version_check = dbarray(dbquery("select * from ".$db_prefix."infusions where inf_title='Wir sind TippSpiel'"));
$version = $version_check['inf_version'];
echo '<center>Version '.$version.'</center>';
require_once THEMES."templates/footer.php";
?>