<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: index_arc.php
| Author: ChSchuetz
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."wir_sind_tippspiel/infusion_db.php";

if (!defined("IN_FUSION")) { die("Access Denied"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."wir_sind_tippspiel/locale/German.php";
}

// Ligaauswahl
opentable("ARCHIV");
	$result_global_config = dbquery("select * from ".$db_prefix."wst_global_config");
	$data_global_config = dbarray($result_global_config);
	$result = dbquery("select * from ".$db_prefix."wst_leagues where league_arc=1 and league_vis=1 and league_parent=0 order by ".$data_global_config['config_LgAz']);
	$rows = dbrows($result);
	if ($rows > 0) {
		echo '<table width="100%" align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">
					<tr class="tbl2"><td align="center"></td><td align="center" width="75%"><b>'.$locale['wst104'].'</b></td><td align="center"><i>'.$locale['wst105'].'</i></td><td align="center">'.$locale['wst106'].'</td></tr>';
		while ($data = dbarray($result)) {
			echo '<center><tr class="tbl1"><td align="center">';	
			if ($data['league_arc'] == 1)
				echo '<a href="league_admin.php?lid='.$data['league_id'].'" title="'.$locale['wst255'].'"><img src="img/archiv.gif" border="0" height="40"></a></td>';
			else {
				if ($data['league_logo']!="")	{
					if (file_exists("img/leagues/".$data['league_logo']))
						echo '<a href="league.php?lid='.$data['league_id'].'" title="'.$locale['wst255'].'"><img src="img/leagues/'.$data['league_logo'].'" border="0" height="40"></a></td>';
					else 	
						echo '<img src="img/nologo.gif" height="40"></td>';
				} else echo '<img src="img/nologo.gif" height="40"></td>';
			}
	
			if ($data['istoto'] == 0) $art=$locale['wst107']; else $art=$locale['wst108'];
			echo '<td align="center"><b><a href="league.php?lid='.$data['league_id'].'" title="'.$locale['wst255'].'">'.$data['league_name'].'</a></b>
						<br>'.$data['league_description'].'</td>';
			if ($data['league_tipp'] == 1)
				echo '<td align="center"><i>'.$art.'</i></td>';
			else
				echo '<td align="center"><i>---</i></td>';
			echo '<td align="center"><a href="league.php?lid='.$data['league_id'].'" title="'.$locale['wst255'].'"><img src="symbols/enter.gif" border="0"></a></td></tr>';
		}
		echo '</table></center>';
	} else echo '<center><b>'.$locale['wst301'].'</b></center>'; 
closetable(); 
require_once THEMES."templates/footer.php";
?>