<meta http-equiv="refresh" content="60; url="> 
<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: liveticker.php
| Author: ChSchuetz
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEME."theme.php";
include INFUSIONS."wir_sind_tippspiel/infusion_db.php";

if (!defined("IN_FUSION")) { die("Access Denied"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."wir_sind_tippspiel/locale/German.php";
}

if (iMEMBER) {
	
	echo '<style type="text/css">
	<!--
	#WsT_UP { background-color:#00FF40; font-weight:bold;}
	#WsT_CL { background-color:#FFFF80; font-weight:bold;}
	#WsT_UEFA { background-color:#C0C0C0; font-weight:bold;}
	#WsT_DOWN { background-color:#FF0000; font-weight:bold;}
	#WsT_REL { background-color:#FF9933; font-weight:bold;}
	
	a { color:#356481; text-decoration:none; }
	a:hover { color:#356481; text-decoration:underline; }
	a.side { color:#356481; text-decoration:none; }
	a:hover.side { color:#356481; text-decoration:underline; }
	a.white { color:#ccc; text-decoration:none; }
	a:hover.white { color:#ccc; text-decoration:underline; }
	
	body {
		font-family:"trebuchet ms",Verdana,Tahoma,Arial,Sans-Serif;
		font-size:12px;
		margin:10px;
	}
	td { font-family:"trebuchet ms",Verdana,Tahoma,Arial,Sans-Serif; font-size:11px; }
	
	.alt { color:#555; }
	.main-body {
		font-size:11px;
		color:#000;background-color:#fff;
		padding:0px 0px 0px 0px;
	}
	.side-body {
		font-size:11px;
		color:#444;
		padding:4px;
	}
	.border { border:1px #000 solid; }
	.tbl-border { background-color:#ddd; }
	.tbl { font-size:11px; padding:4px; }
	.tbl1 { font-size:11px; color:#000; background-color:#fff; padding:4px; }
	.tbl2 { font-size:11px; color:#000; background-color:#eee; padding:4px; }
	
	.capmain {
		font-family:Verdana,Tahoma,Arial,Sans-Serif;
		font-size:11px; font-weight:bold;
		color:#415d6f;
		padding:2px 4px 4px 4px;
	}
	-->
	</style>';


	$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
	$max = dbarray(dbquery("select max(matchday_id) as m from ".$db_prefix."wst_teampoints where league_id=$lid"));
	$md = $max['m'];

	$data_global_config = dbarray(dbquery("select * from ".$db_prefix."wst_global_config"));
	$count_teams = dbarray(dbquery("select count(*) as count from ".$db_prefix."wst_leagueteams where league_id=$lid"));	
	$counter = $count_teams['count'];
	$result_config = dbarray(dbquery("select * from ".$db_prefix."wst_config where league_id=$lid"));
	$diff_act = $result_config['config_diff_active'];
	$bonus_act = $result_config['config_bonus_active'];
	$funfer_act = $result_config['config_funfer_active'];
	$auf = $result_config['config_auf'];
	$ab = $result_config['config_ab'];
	$rel = $result_config['config_rel'];
	$reld = $result_config['config_reld'];
	$cl = $result_config['config_cl'];
	$uefa = $result_config['config_uefa'];

	$order = "points desc";
	if ($bonus_act==1) $order.=", points_wob desc";
	$order.=", points1 desc, points3 desc";
	if ($funfer_act==1) $order.=", points5 desc";
	if ($diff_act==1) $order.=", pointsd desc";
	?>

	<table  align="center" border="0" class="barmain">
	<tr border="2">
	<td border="0" height="90"><center><img src="liveticker.gif" height="90" width="674"></center>
	</td>
	<td rowspan="3" width="350" border="0" align="center" valign="top">
	
	<?php
	
	opentable("Tabelle");
		echo "<hr>";
		$result = dbquery("select A.team_id, team_name, (count(*)-1) as count, sum(team_win) as wins, sum(team_tie) as ties, sum(team_lose) as lost, sum(points) as points, sum(score_for) as scoref, sum(score_against) as scorea, sum((score_for-score_against)) as diff, team_name, team_logo, team_website from ".$db_prefix."wst_teampoints as A left join ".$db_prefix."wst_teams as B on A.team_id=B.team_id
		where A.league_id=$lid and matchday_id<=($md) group by B.team_name order by points desc, diff desc, scoref desc, scorea");
		
		$result_2 = dbquery("select A.team_id, team_name, (count(*)-1) as count, sum(team_win) as wins, sum(team_tie) as ties, sum(team_lose) as lost, sum(points) as points, sum(score_for) as scoref, sum(score_against) as scorea, sum((score_for-score_against)) as diff, team_name, team_logo, team_website from ".$db_prefix."wst_teampoints as A left join ".$db_prefix."wst_teams as B on A.team_id=B.team_id
		where A.league_id=$lid and matchday_id<=($md-1) group by B.team_name order by points desc, diff desc, scoref desc, scorea");
	
		$txt = $locale['wst141'];
	
		while ($dt1 = dbarray($result_2))	{
			$posa1[] = $dt1['team_id'];
		}
	
		while ($dt2 = dbarray($result))	{
			$posa2[] = $dt2['team_id'];
		}

		echo '<table align="center" cellpadding="4" cellspacing="1" border="0">
				<tr class="tbl2">
				<td align="center"><b>P</b></td>';
		echo '<td align="center"><b>T</b></td><td align="center"><b></b></td>';
		echo '<td align="center"><b>Mannschaft</b></td>';
		echo '<td align="center"><b>Sp</b></td>';
		echo '<td align="center"><b>S</b></td>
				<td align="center"><b>U</b></td>
				<td align="center"><b>N</b></td>
				<td align="center"><b>TD</b></td>
				<td align="center"><b>Pkt</b></td>
				</tr>';
		$tab = 1;
		$result = dbquery("select A.team_id, team_short, (count(*)-1) as count, sum(team_win) as wins, sum(team_tie) as ties, sum(team_lose) as lost, sum(points) as points, sum(score_for) as scoref, sum(score_against) as scorea, sum((score_for-score_against)) as diff, team_name, team_logo, team_website from ".$db_prefix."wst_teampoints as A left join ".$db_prefix."wst_teams as B on A.team_id=B.team_id
		where A.league_id=$lid and matchday_id<=($md) group by B.team_name order by points desc, diff desc, scoref desc, scorea");
		while ($data = dbarray($result)) {
			// 1.2
			if ($tab%2 == 0) {$tox_class = 'tbl2';} else {$tox_class = 'tbl1';}
			if ($auf==0) {
				if ($tab ==1) $tox_id = 'WsT_UP';
				if ($cl!=0) {
					 if ($tab > 1 && $tab <=(1+$cl)) $tox_id = 'WsT_CL';
				} else $tox_id = '';
				
				if ($uefa!=0) {
					 if ($tab > (1+$cl) && $tab <=(1+$cl+$uefa)) $tox_id = 'WsT_UEFA';
				} else $tox_id = '';
				
				if ($cl!=0 && $uefa!=0 and $tab > (1+$cl+$uefa)) $tox_id='';
				
				if ($ab!=0) {
					if ($tab > ($counter-$ab)) $tox_id='Wst_DOWN';
					if ($tab == $reld) $tox_id='WsT_REL';
				}
			} else {
					if ($tab <= $auf) $tox_id = 'WsT_UP'; else $tox_id = '';
					if ($tab == $rel) $tox_id='WsT_REL';
					if ($tab > ($counter-$ab)) $tox_id = 'WsT_DOWN';
					if ($tab == $reld) $tox_id='WsT_REL';
			}	
			// 1.2

			$tid = $data['team_id'];
			for ($pos=0;$pos< sizeof($posa1);$pos++) {
				if ($posa1[$pos] == $tid) {
					$p1 = $pos;
				}
			}

			for ($pos=0;$pos< sizeof($posa2);$pos++) {
				if ($posa2[$pos] == $tid) {
					$p2 = $pos;
				}
			}
					
			if ($p1 > $p2) $img = '<img src="symbols/t+.gif">';
			if ($p1 < $p2) $img = '<img src="symbols/t-.gif">';
			if ($p1 == $p2) $img = '<img src="symbols/t=.gif">';
					
			$team_details = dbarray(dbquery("select * from ".$db_prefix."wst_teaminfo where team_id=$tid"));	

			echo '<tr class="'.$tox_class.'"><td align="right" id="'.$tox_id.'">'.$tab.'.</td><td align="center">';
			$tab++;
			echo $img.'</td><td>';
		
			if ($data['team_logo'] != "") {
				if (file_exists("img/teams/".$data['team_logo'])) {
					echo '<img src="img/teams/'.$data['team_logo'].'" border="0" height="21" title="'.$data['team_name'].'"></td>';
				}
			} else echo '<img src="img/nologo.gif" height="21" title="'.$data['team_name'].'"></td>';
		
			echo '<td align="center">'.$data['team_short'].'</td>';
			echo '<td align="center">'.$data['count'].'</td>';
			echo '<td align="center">'.$data['wins'].'</td>';
			echo '<td align="center">'.$data['ties'].'</td>';
			echo '<td align="center">'.$data['lost'].'</td>';
			echo '<td align="center">'.$data['scoref'].':'.$data['scorea'].'</td>';
			echo '<td align="center"><font color="red"><b>'.$data['points'].'</b></font></td></tr>';
		}
		echo '</table>';
	closetable();
	?>
	</td>
	</tr>
	<tr border="0">
	<td border="0" align="center" valign="top" height="300">
	<?php 
	
	opentable("Spielstnde");
		echo "<hr>";
		echo '<table width="100%" ><tr class="tbl1">';
		echo '<tr class="tbl2"><td align="center">Datum</td><td align="center">Uhrzeit</td>
					<td align="center" colspan="2">Heim</td>
					<td align="center">Erg</td>
					<td align="center" colspan="2">Gast</td>
					<td align="center">Tipp</td>
					<td align="center">Pkt</td>
					</tr>';
		$result = dbquery("select * from ".$db_prefix."wst_matchdays where league_id=$lid and matchday_id=$md order by matchday_datestamp");
		while ($data = dbarray($result)) {
			$datum = getdate($data['matchday_datestamp']);
			$tid = $data['team1']; 		
			$result2 = dbquery("select * from ".$db_prefix."wst_teams where team_id=$tid");
			$data2 = dbarray($result2);
			$team1_details = dbarray(dbquery("select * from ".$db_prefix."wst_teaminfo where team_id=$tid"));	

			echo '<input type="hidden" name="tid[]" value="'.$tid.'">';
			$tid2 = $data['team2'];
			$result3 = dbquery("select * from ".$db_prefix."wst_teams where team_id=$tid2");
			$data3 = dbarray($result3);
			$team2_details = dbarray(dbquery("select * from ".$db_prefix."wst_teaminfo where team_id=$tid2"));	

			echo '<input type="hidden" name="tid2[]" value="'.$tid2.'">';	
			echo '<tr class="tbl1">';
			echo '<td align="center"><input type="hidden" name="m_id[]" value="'.$data['match_id'].'">
			'.date("d.m.Y", $data['matchday_datestamp']).'</td>';		
			echo '<td align="center">'.date("H:i", $data['matchday_datestamp']).'</td>';
			echo '<td align="right">'.$data2['team_name'].'</td>';	
			echo '<td align="center">';

			if ($data2['team_logo'] != "") {
				if (file_exists("img/teams/".$data2['team_logo'])) {
						echo '<img src="img/teams/'.$data2['team_logo'].'" height="21" title="'.$data2['team_name'].'"></td>';
				}
			} else echo '<img src="img/nologo.gif" height="21" title="'.$data2['team_name'].'"></td>';
				
		
			$mmid = $data['match_id'];
			$result4 = dbquery("select * from ".$db_prefix."wst_results where league_id=$lid and matchday_id=$md and match_id=$mmid");
			$data4 = dbarray($result4);						
			
			if (isset($data4['team1']))			
				echo '<td align="center"><b>'.$data4['team1'].':';
			else echo '<td align="center">';
			
			if (isset($data4['team2']))
				echo $data4['team2'].'</b></td>';
			else echo '</td>';
			
			echo '<td align="center">';
			
			if ($data3['team_logo'] != "") 	{
				if (file_exists("img/teams/".$data3['team_logo'])) {
					echo '<img src="img/teams/'.$data3['team_logo'].'" height="21" title="'.$data3['team_name'].'"></td>';
				}
			} else echo '<img src="img/nologo.gif" height="21" title="'.$data3['team_name'].'"></td>';
				
			echo '<td align="left">'.$data3['team_name'].'</td>';	
				
			$result5 = dbquery("select * from ".$db_prefix."wst_usertipps where league_id=$lid and matchday_id=$md and match_id=$mmid and user_id=".$userdata['user_id']);
			$data5 = dbarray($result5);
			$result6 = dbquery("select * from ".$db_prefix."wst_userpoints where league_id=$lid and matchday_id=$md and match_id=$mmid and user_id=".$userdata['user_id']);
			$data6 = dbarray($result6);
			
			if ($data6['points1'] == 1 && $data6['pointsd'] == 0)
				$bgc = $data_global_config['config_bg_1'];
			if ($data6['points3'] == 1)
				$bgc = $data_global_config['config_bg_3'];
			if ($data6['points5'] == 1)
				$bgc = $data_global_config['config_bg_5'];
			if ($data6['pointsd'] == 1 && $data6['points1'] == 1)
				$bgc = $data_global_config['config_bg_1d'];
			if ($data6['points1'] == 0 && $data6['points3'] == 0 && $data6['points5'] == 0 && $data6['pointsd'] == 0)
				$bgc = "";
			
			if ($data5['isbonus'] == 1) {
				if (isset($data5['team1_tipp']))			
					echo '<td align="center" bgcolor="'.$bgc.'"><u>'.$data5['team1_tipp'].':';
				else echo '<td align="center">';
			
				if (isset($data5['team2_tipp']))
					echo $data5['team2_tipp'].'</u></td>';
				else echo '</td>';
			} else {
				if (isset($data5['team1_tipp']))			
					echo '<td align="center" bgcolor="'.$bgc.'">'.$data5['team1_tipp'].':';
				else echo '<td align="center">';
			
				if (isset($data5['team2_tipp']))
					echo $data5['team2_tipp'].'</td>';
				else echo '</td>';
			}
		
			if (isset($data6['points']))			
				echo '<td align="center" bgcolor="'.$bgc.'">'.$data6['points'].'</td>';
			else echo '<td align="center"></td>';
		}
		$resultp = dbquery("select sum(points) as sum from ".$db_prefix."wst_userpoints where league_id=$lid and matchday_id=$md and user_id=".$userdata['user_id']);
		$datap = dbarray($resultp);
	
		echo '</tr><tr><td colspan="8" align="right" class="tbl-border">Gesamt</td><td align="center" class="tbl-border"><b>'.$datap['sum'].'</b></td></tr></table>';
	closetable();
	?>
	</td>
	</tr>
	<tr border="0">
		<td border="0">
			<table width="100%" align="center" border="0">
				<tr border="0">
					<td border="0" width="337" align="center" valign="top">
	<?php	
	opentable("Statistik");
		echo '<hr>';
		$res_max = dbarray(dbquery("select sum(points) as mmax, a.user_id, b.user_name, b.user_avatar from ".$db_prefix."wst_userpoints as a left join 
		".$db_prefix."users as b on a.user_id=b.user_id where a.league_id=$lid and a.matchday_id=$md group by a.user_id order by mmax desc limit 1"));

		echo '<table align="center" border="0"><tr border="0"><td border="0" align="center" valign="top">';
		$ava = $res_max['user_avatar'];
		if (file_exists(IMAGES."/avatars/".$ava) && $ava != "") $avaurl = '<img src='.IMAGES."avatars/".$ava.' border="0" height="50">'; else $avaurl = '<img src="img/nologo.gif" border="0" height="50">'; 

		echo '<table  align="right" cellpadding="4" cellspacing="1" border="0" class="tbl-border">';
		echo '<tr class="tbl2"><td align="center" class="tbl_border"><b>TopTipper</b></td></tr>
		<tr><td align="center" class="tbl1">'.$avaurl.'</td></tr>
		<tr><td align="center" class="tbl1"><b>'.$res_max['user_name'].'</b><br><font color="red"><b>('.$res_max['mmax'].' Punkte)</b></font></td></tr>
		</table>'; 
	
		echo '</td><td>';
		$result = dbquery("select sum(points_wob) as points_wob, count(*) as matches, max(points) as maxpoints, 
		min(points) as minpoints, sum(points) as points, 
		sum(points1) as points1, sum(points3) as points3, sum(points5) as points5, 
		sum(pointsd) as pointsd from ".$db_prefix."wst_userpoints as A where A.league_id=$lid and matchday_id=$md");
	
		echo '<table  align="right" cellpadding="4" cellspacing="1" border="0" class="tbl-border">
					<tr class="tbl2">
					<td align="left"><b>'.$locale['wst218'].'</b></td><td align="center"><b>'.$locale['wst116'].'</b></td></tr>';
		$data = dbarray($result);	
		
		echo '<tr class="tbl1"><td align="left">'.$locale['wst221'].'</td><td align="center">'.$data['points1'].'</td></tr>';
		echo '<tr class="tbl1"><td align="left">'.$locale['wst222'].'</td><td align="center">'.$data['points3'].'</td></tr>';
		echo '<tr class="tbl1"><td align="left">'.$locale['wst223'].'</td><td align="center">'.$data['points5'].'</td></tr>';
		if ($diff_act == 1)
			echo '<tr class="tbl1"><td align="left">'.$locale['wst224'].'</td><td align="center">'.$data['pointsd'].'</td></tr>';
		if ($bonus_act == 1)
			echo '<tr class="tbl1"><td align="left">'.$locale['wst225'].'</td><td align="center">'.$data['points_wob'].'</td></tr>';
		echo '<tr class="tbl1"><td align="left">'.$locale['wst126'].'</td><td align="center">'.$data['points'].'</td></tr>';
		echo '<tr class="tbl1"><td align="left">'.$locale['wst228'].'</td><td align="center">'.$data['maxpoints'].'</td></tr>';
		echo '</tr></table>';
		echo '</td></tr></table>';
	closetable();
	?>
	</td>
	<td border="0" width="337" align="center" valign="top">
	<?php
				
	opentable("Punktestand");			
		echo '<hr>';
		echo '<table align="right" border="0" cellpadding="4" cellspacing="1">
					<tr class="tbl2">
					<td align="center"></td>
					<td align="center"><b>Pl</b></td>
					<td align="center"></td>';
		echo '<td align="center"><b>Username</b></td>';	
		echo '<td align="center"><b>T</b></td>';
		echo '<td align="center"><b>R</b></td>';
		if ($funfer_act==1)
			echo '<td align="center"><b>5</b></td>';
		if ($diff_act==1)
			echo '<td align="center"><b>TD</b></td>';
		if ($bonus_act==1)
			echo '<td align="center"><b>o.B.</b></td>';	
			echo '<td align="center"><b>Pkt</b></td>';
			echo '<td align="center"><b>+</b></td></tr>';	
	
		$qrystr = "select A.user_id, sum(points_wob) as points_wob, sum(points) as points, sum(points1) as points1, sum(points3) as points3, sum(points5) as points5, sum(pointsd) as pointsd from ".$db_prefix."wst_userpoints as A 
		where A.league_id=$lid and A.matchday_id<=($md) group by A.user_id order by $order limit 10";	
		$result = dbquery($qrystr);	
		$tab = 1; 
		while ($data = dbarray($result)) {
			$user = $data['user_id'];							
			$glp = dbquery("select sum(points) as points from ".$db_prefix."wst_userpoints 
			where league_id=$lid and matchday_id=$md and user_id=$user");
			$gpoints = dbarray($glp);
			
			if (isset($gpoints['points']) && $gpoints['points'] != 0) {
				$lp = $gpoints['points'];
			} else {
				$lp = 0;
			}
			if ($tab%2 == 0) {$tox_class = 'tbl2';} else {$tox_class = 'tbl1';}

			$result_u = dbquery("select * from ".$db_prefix."users where user_id=$user");
			$data_u = dbarray($result_u);		
			$ava = $data_u['user_avatar'];
			$avaurl = IMAGES."/avatars/".$ava; 
			$profurl = BASEDIR."profile.php?lookup=".$data['user_id'];
			echo '<tr class="'.$tox_class.'">';
			if ($tab==1)
				echo "<td><img src='symbols/cup_gold.gif' border='0'></td>";
			if ($tab==2)
				echo "<td><img src='symbols/cup_silver.gif' border='0'></td>";
			if ($tab==3)
				echo "<td><img src='symbols/cup_bronze.gif' border='0'></td>";
			if ($tab>3)
				echo '<td></td>';
			echo '<td align="right">'.$tab.'.</td>';
			if ($ava != "" && file_exists($avaurl)) {
				echo "<td align='center'><img src=$avaurl border='0' height='16'></td>";
			} else { 
					echo "<td><img src='img/nologo.gif' border='0' height='16'></a></td>";
			}
			echo '<td align="center">'.$data_u['user_name'].'</td>';
			echo '<td align="center">'.$data['points1'].'</td>';
			echo '<td align="center">'.$data['points3'].'</td>';
			if ($funfer_act==1)
				echo '<td align="center">'.$data['points5'].'</td>';
			if ($diff_act==1)
				echo '<td align="center">'.$data['pointsd'].'</td>';		
			if ($bonus_act==1)
				echo '<td align="center">'.$data['points_wob'].'</td>';
			echo '<td align="center"><b><font color="red">'.$data['points'].'</font></b></td>';
			echo '<td align="right">'.$lp.'</td>';
			$tab++;
		}
		echo '</table>';
	closetable();		
	?>
	</td>
		</tr>
		</table>
			</td>
				</tr>
					</table>
	<?php
}
else echo "<center><h1>Nur fr Mitglieder</h1></center>";
?>