<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: tables.php
| Author: ChSchuetz
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."wir_sind_tippspiel/infusion_db.php";

if (!defined("IN_FUSION")) { die("Access Denied"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."wir_sind_tippspiel/locale/German.php";
}

$result_global_config = dbquery("select * from ".$db_prefix."wst_global_config");
$data_global_config = dbarray($result_global_config);

echo '<table align="center" width="100%"><tr>';
$i=1;
$leagues = dbquery("select * from ".$db_prefix."wst_leagues where league_parent=0 and league_vis=1 and tbl_enabled=1 and league_type=0 and league_arc=0 order by league_country, league_name");
while ($dleagues = dbarray($leagues)) {
	echo '<td width="50%" height="100%" valign="top" class="tbl-border">';
	$lid=$dleagues['league_id'];	
	$result_config = dbarray(dbquery("select * from ".$db_prefix."wst_config where league_id=$lid"));

	openside("<center>".$dleagues['league_name']."</center>");	
		echo '<table align="center" cellpadding="1" cellspacing="1" border="0" class="tbl2">';
			
		$result2 = dbquery("select A.team_id, team_name, (count(*)-1) as count, sum(team_win) as wins, sum(team_tie) as ties, sum(team_lose) as lost, sum(points) as points, sum(score_for) as scoref, sum(score_against) as scorea, sum((score_for-score_against)) as diff, team_short, team_logo, team_website from ".$db_prefix."wst_teampoints as A left join ".$db_prefix."wst_teams as B on A.team_id=B.team_id
		where A.league_id=$lid group by B.team_name order by points desc, diff desc, scoref desc, scorea");
		echo '
				<tr class="tbl2">
				<td align="center">'.$locale['wst211'].'</td>
				<td align="center"></td>
				<td align="center">'.$locale['wst119'].'</td>';
				if ($data_global_config['config_IntStat'] == 1)
					echo '<td align="center"></td>';
				echo '<td align="center">'.$locale['wst212'].'</td>
				<td align="center">'.$locale['wst121'].'</td>
				<td align="center">'.$locale['wst122'].'</td>
				<td align="center">'.$locale['wst123'].'</td>
				<td align="center">'.$locale['wst125'].'</td>
				<td align="center">'.$locale['wst201'].'</td></tr>';
		$tab = 1;
		while ($data2 = dbarray($result2)) {
			if ($tab%2 == 0) {
				$tox_class = "tbl2"; 
				$tox_id = "tbl2"; 
			} else {
					$tox_class = "tbl1";
					$tox_id = "tbl1"; 
			}
			
			$tid = $data2['team_id'];
			$team_details = dbarray(dbquery("select * from ".$db_prefix."wst_teaminfo where team_id=$tid"));	
			echo '<tr class="'.$tox_class.'"><td align="right" id="'.$tox_id.'">'.$tab.'.</td><td align="center">';
			$tab++;
			if ($data2['team_logo'] != "") {
				$img = INFUSIONS."wir_sind_tippspiel/img/teams/".$data2['team_logo'];
				if (file_exists($img)) {
					if (isset($team_details['team_id']))
						echo '<a href="league.php?act=sh_td&lid='.$lid.'&tid='.$tid.'" title="'.$data2['team_name'].'"><img src='.$img.' height="21" border="0"></a></td>';
					else {
						if ($data2['team_website'] != "")
							echo '<a href="'.$data2['team_website'].'" title="'.$data2['team_name'].'" target="_blank"><img src='.$img.' height="21" border="0"></a></td>';
						else
							echo '<img src='.$img.' height="21"></td>';
					}
				} else echo '<img src="img/nologo.gif" height="21"></td>';
			} else echo '<img src="img/nologo.gif" height="21"></td>';	
			
			if (isset($team_details['team_id']))
				echo '<td align="center"><a href="league.php?act=sh_td&lid='.$lid.'&tid='.$tid.'" title="'.$data2['team_name'].'">'.$data2['team_short'].'</a></td>';
			else
				if ($data2['team_website'] != "")
					echo '<td align="center"><a href="'.$data2['team_website'].'" title="'.$data2['team_name'].'" target="_blank">'.$data2['team_short'].'</a></td>';	
				else
					echo '<td align="center">'.$data2['team_short'].'</td>';
				
			if ($data_global_config['config_IntStat'] == 1)
				if (isset($team_details['team_id']))
					echo '<td align="center"><a href="league.php?act=sh_td&lid='.$lid.'&tid='.$tid.'&act2=stat" title="'.$locale['wst218'].'"><img src="symbols/stats.gif" border="0" height="16"></a></td>';
				else
					echo '<td align="center"><a href="league.php?act=sh_td&lid='.$lid.'&tid='.$tid.'&act2=stat" title="'.$locale['wst218'].'"><img src="symbols/stats.gif" border="0" height="16"></a></td>';

				echo '<td align="center">'.$data2['count'].'</td>';
				echo '<td align="center">'.$data2['wins'].'</td>';
				echo '<td align="center">'.$data2['ties'].'</td>';
				echo '<td align="center">'.$data2['lost'].'</td>';
				echo '<td align="center">'.$data2['scoref'].':'.$data2['scorea'].'</td>';
				echo '<td align="center">'.$data2['points'].'</td>';
			echo '</tr>';
		}
		echo '</table>';
		closeside();
		
		if ($i%2==0) echo '</td></tr><tr>';
		else echo '</td>';
		$i++;
}
echo '</tr></table>';		
require_once THEMES."templates/footer.php";
?>