<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: adm_tl.php
| Author: ChSchuetz
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."wir_sind_tippspiel/infusion_db.php";
include "league_admin_menu.php";
include "../inc/del_func.php";

if (!checkrights("WST")) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."wir_sind_tippspiel/locale/German.php";
}

echo "<table width='100%'><tr><td valign='top' align='center'>";

$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
//$lid = $_GET['lid'];
$action = isset($_GET['act']) ? stripinput($_GET['act']) : "";

if ($action == "list_tl") {
	opentable("Liste verfgbarer TippLigen");
		echo '<table align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">';
		echo '<tr class="tbl-border"><td align="center">'.$locale['wst104'].'</td><td align="center">'.$locale['wst347'].'</td><td align="center">'.$locale['wst406'].'</td>
		<td align="center">'.$locale['wst407'].'</td><td align="center">'.$locale['wst279'].'</td><td align="center" colspan="2">'.$locale['wst153'].'</td>';

		$result_c = dbquery("select * from ".$db_prefix."wst_tippleagues where tl_league=$lid order by tl_name");
	
		while ($data_c = dbarray($result_c)) {
			$countu = dbarray(dbquery("select count(*) as c from ".$db_prefix."wst_tippleagueusers where tl_id=".$data_c['tl_id']));
			echo '<tr class="tbl1"><td align="center">'.$data_c['tl_name'].'</td>';
			echo '<td align="center">'.$countu['c'].' / '.$data_c['tl_users'].'</td>';
			echo '<td align="center">'.$data_c['tl_auf'].'</td>';
			echo '<td align="center">'.$data_c['tl_ab'].'</td>';
			echo '<td align="center"><a href="adm_tl.php?act=alo_tlusers&lid='.$lid.'&tl='.$data_c['tl_id'].'" title="'.$locale['wst147'].'">'.$locale['wst147'].'</a></td>
			<td align="center"><a href="adm_tl.php?act=edt_tl&tl='.$data_c['tl_id'].'&lid='.$lid.'" title="'.$locale['wst242'].'">'.$locale['wst242'].'</a></td>
			<td align="center"><a href="adm_tl.php?act=del_tl&tl='.$data_c['tl_id'].'&lid='.$lid.'" title="'.$locale['wst295'].'">'.$locale['wst203'].'</a></td></tr>';
		}
		echo '</table>';
	closetable();
}


if ($action == "del_tl") {
	$tl = (isset($_GET['tl']) && isNum($_GET['tl'])) ? $_GET['tl'] : 0;
	$result = dbquery("delete from ".$db_prefix."wst_tippleagues where tl_id=$tl");
	$result = dbquery("delete from ".$db_prefix."wst_tippleagueusers where tl_id=$tl");
	$url = "adm_tl.php?act=list_tl&lid=".$lid;
	redirect($url);
}


if ($action == "crt_tl") {
	if (isset($_POST['crt_tl']) && $_POST['crt_tl'] == TRUE) {
		$c_name = isset($_POST['c_name']) ? stripinput($_POST['c_name']) : "";
		$user = (isset($_POST['user']) && isNum($_POST['user'])) ? $_POST['user'] : 18;
		$auf = (isset($_POST['auf']) && isNum($_POST['auf'])) ? $_POST['auf'] : 0;
		$ab = (isset($_POST['ab']) && isNum($_POST['ab'])) ? $_POST['ab'] : 0;
						
		if ($c_name != "") {
			$result = dbquery("insert into ".$db_prefix."wst_tippleagues(tl_league, tl_name, tl_auf, tl_ab, tl_users) values($lid, '$c_name', $auf, $ab, $user)");
		}	else echo "<center><b>".$locale['wst240']."</b></center>";
	}
			
	opentable($locale['wst511']);
		echo '<form method="post">
			<table align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">';
		echo '	<tr class="tbl2">
				<td align="center">'.$locale['wst104'].'</td>
				<td align="center"><input type="text" name="c_name" class="textbox"></td>
				<td></td>
			</tr>';
		echo '	<tr class="tbl2">
				<td align="center">'.$locale['wst321'].'</td>
				<td align="center"><input type="text" name="user" maxlength="2" size="3" class="textbox"></td>
				<td></td>
			</tr>';
		echo '	<tr class="tbl2">
				<td align="center">'.$locale['wst406'].'</td>
				<td align="center"><input type="text" name="auf" maxlength="2" size="3" class="textbox"></td>
				<td></td>
			</tr>';
		echo '	<tr class="tbl2">
				<td align="center">'.$locale['wst407'].'</td>
				<td align="center"><input type="text" name="ab" maxlength="2" size="3" class="textbox"></td>
				<td></td>
			</tr>';
		echo '	<tr class="tbl2">
			<td align="center"><input type="submit" name="crt_tl" value="'.$locale['wst511'].'" class="button"></td>
		</tr>';
		echo '</table></form>';
	closetable();
}

if ($action == "alo_tlusers") {
	$tid = (isset($_GET['tl']) && isNum($_GET['tl'])) ? $_GET['tl'] : 0;
	$team_add = isset($_POST['team_add']) ? $_POST['team_add'] : array();
	if (isset($_POST['add']) && $_POST['add'] == TRUE)
	for ($i=0; $i<sizeof($team_add); $i++) {
		$usr = $team_add[$i];
		$result_p = dbquery("select * from ".$db_prefix."wst_tippleagueusers where tl_id=$tid and user_id=$usr");
		$data_p = dbarray($result_p);		
		
		if (!isset($data_p['user_id'])) {
			$result_add = dbquery("insert into ".$db_prefix."wst_tippleagueusers values($tid, $usr)");
		}
	}
	
	if (isset($_POST['rmv']) && $_POST['rmv'] == TRUE) {
		$team_rmv = isset($_POST['team_rmv']) ? $_POST['team_rmv'] : array();
		for ($i=0; $i<sizeof($team_rmv); $i++) {
			$usr = $team_rmv[$i];
			$result_p = dbquery("delete from ".$db_prefix."wst_tippleagueusers where tl_id=$tid and user_id=$usr");
		}
	}
	$result  = dbquery("Select * from ".$db_prefix."wst_tippleagueusers as A left join ".$db_prefix."users as B on A.user_id=B.user_id where A.tl_id=$tid order by B.user_name");	
	echo '<center><form method="post"><table align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">
				<tr class="tbl1"><td align="center" valign="top">';	
				
	opentable($locale['wst512']);
		$result_t  = dbquery("Select * from ".$db_prefix."users where user_status=0 order by user_name");
		echo '<center><select name="team_add[]" size="18" multiple>';
		while ($data_t = dbarray($result_t)) {
			echo '<option value="'.$data_t['user_id'].'">'.$data_t['user_name'].'</option>';
  	}
  	echo '</select><br><input type="submit" name="add" value="'.$locale['wst147'].'" class="button"></center></td>';
  closetable();
		
	echo '<td align="center" valign="top">';	
	
	opentable($locale['wst513']);	
		echo '<center><select name="team_rmv[]" size="18" multiple>';
		while ($data = dbarray($result)) {
			echo '<option value="'.$data['user_id'].'">'.$data['user_name'].'</option>';
		}
		echo '</select><br><input type="submit" name="rmv" value="'.$locale['wst148'].'" class="button"></center></td>';
	closetable();	
	echo '</td></tr></form></table></center>';
}


if ($action == "edt_tl") {
	$tl = (isset($_POST['tl']) && isNum($_GET['tl'])) ? $_GET['tl'] : 0;
	$tl = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
	if (isset($_POST['edt_c']) && $_POST['edt_c'] == TRUE)
	{			
		$c_name = isset($_POST['c_name']) ? stripinput($_POST['c_name']) : "";	
		$c_id = (isset($_POST['tl']) && isNum($_POST['tl'])) ? $_POST['tl'] : 0;	
		$users = (isset($_POST['user']) && isNum($_POST['user'])) ? $_POST['user'] : 0;	
		$auf = (isset($_POST['auf']) && isNum($_POST['auf'])) ? $_POST['auf'] : 0;	
		$ab = (isset($_POST['ab']) && isNum($_POST['ab'])) ? $_POST['ab'] : 0;	
		
		if ($c_name != "") {
			$result = dbquery("update ".$db_prefix."wst_tippleagues set tl_name='$c_name', tl_auf=$auf, tl_ab=$ab, tl_users=$users where tl_id=$c_id");
		} else echo "<center><b>".$locale['wst240']."</b></center>";
		redirect("adm_tl.php?act=edt_tl&tl=".$tl."&lid=".$lid);
	}	
	$cdata = dbarray(dbquery("select * from ".$db_prefix."wst_tippleagues where tl_id=$tl"));
	
	opentable($locale['wst514']);
		echo '<form method="post">
			<table align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">';
		echo '	<tr class="tbl2">
				<td align="center">'.$locale['wst104'].'</td>
				<td align="center"><input type="text" name="c_name" value="'.$cdata['tl_name'].'" class="textbox"><input type="hidden" name="tl" value="'.$tl.'" class="textbox"></td>
				<td></td>
			</tr>';
		echo '	<tr class="tbl2">
				<td align="center">'.$locale['wst513'].'</td>
				<td align="center"><input type="text" name="user" value="'.$cdata['tl_users'].'" maxlength="2" size="3" class="textbox"></td>
				<td></td>
			</tr>';
		echo '	<tr class="tbl2">
				<td align="center">'.$locale['wst406'].'</td>
				<td align="center"><input type="text" name="auf" value="'.$cdata['tl_auf'].'" maxlength="2" size="3" class="textbox"></td>
				<td></td>
			</tr>';
		echo '	<tr class="tbl2">
				<td align="center">'.$locale['wst407'].'</td>
				<td align="center"><input type="text" name="ab" value="'.$cdata['tl_ab'].'" maxlength="2" size="3" class="textbox"></td>
				<td></td>
			</tr>';
			echo '<tr class="tbl2"><td align="center" colspan="2"><input type="submit" name="edt_c" value="'.$locale['wst140'].'" class="button"></td></tr>';
		echo '</table></form>';
	closetable();	
}

$result = dbquery("select * from ".$db_prefix."wst_leagues where league_id=$lid");
$data = dbarray($result);	
$l_name = $data['league_name'];
echo "</td><td align='right'>";
rightside($lid, $l_name); 
	echo "</td></tr></table>";
require_once THEMES."templates/footer.php";
?>