<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: admin_menu.php
| Author: ChSchuetz
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";

if (!checkrights("WST")) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."wir_sind_tippspiel/locale/German.php";
}

//Funktionen
function rightside() {
	global $theme_width_r, $locale;
	$bullet = "<img src='".THEME."images/bullet.gif' alt=''>";
	echo "<td width='175' valign='top' class='main-body'>\n";
	
	$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
	$l_name = (isset($_GET['l_name']) && isNum($_GET['l_name'])) ? $_GET['l_name'] : "";
	
	openside("".$locale['wst307']);
		echo '<div class="side-label"><center><b> '.$locale['wst100'].'</b></center></div><br>';
		
		echo '<div class="side-label"><b> '.$locale['wst110'].'</b></div>';
		echo $bullet.'<a href="teams.php?act=new_team" title="'.$locale['wst143'].'" class="side">'.$locale['wst230'].'</a><br>';	
		echo $bullet.'<a href="teams.php?act=list_teams" title="'.$locale['wst144'].'" class="side"> '.$locale['wst144'].'</a><br>';	
		
		echo '<div class="side-label"><b> '.$locale['wst145'].'</b></div>';
		echo $bullet.'<a href="leagues.php?act=new_league" title="'.$locale['wst143'].'" class="side">'.$locale['wst230'].'</a><br>';
		echo $bullet.'<a href="leagues.php?act=list_leagues" title="'.$locale['wst146'].'" class="side"> '.$locale['wst146'].' (ALLE)</a><br>';
		echo $bullet.'<a href="leagues.php?act=list_smplleagues" title="'.$locale['wst146'].'" class="side"> '.$locale['wst146'].' (SMPL)</a><br>';
		echo $bullet.'<a href="leagues.php?act=list_cmplxleagues" title="'.$locale['wst146'].'" class="side"> '.$locale['wst146'].' (KMPLX)</a><br>';
		echo $bullet.'<a href="leagues.php?act=list_arcleagues" title="'.$locale['wst146'].'" class="side"> '.$locale['wst146'].' (ARC)</a><br>';	
				
		echo '<div class="side-label"><b>'.$locale['wst328'].'</b></div>';
		echo $bullet.'<a href="adm_options.php?lid='.$lid.'&l_name='.$l_name.'" title="'.$locale['wst328'].'" class="side"> '.$locale['wst328'].'</a><br>';	
	
		echo '<div class="side-label"><b>'.$locale['wst424'].'</b></div>';
		echo $bullet.'<a href="../img/leagueupload.php" target="_blank" title="'.$locale['wst425'].'" class="side"> '.$locale['wst425'].'</a><br>';	
		echo $bullet.'<a href="../img/teamupload.php" target="_blank" title="'.$locale['wst426'].'" class="side"> '.$locale['wst426'].'</a><br>';	
		echo $bullet.'<a href="../img/stadiumupload.php" target="_blank" title="'.$locale['wst427'].'" class="side"> '.$locale['wst427'].'</a><br>';	
	
		echo '<div class="side-label"><b>'.$locale['wst323'].'</b></div>';
		echo $bullet.'<a href="wst_admin.pdf" title="'.$locale['wst324'].'" target="_blank" class="side"> '.$locale['wst324'].'</a><br>';

		echo '<div class="side-label"><b>'.$locale['wst337'].'</b></div>';
		echo $bullet.'<a href="leagues.php?act=credits" title="'.$locale['wst337'].'" class="side"> '.$locale['wst337'].'</a><br>';
		
		echo '<br><br><div class="side-label"><b>'.$locale['wst338'].'</b></div>';
		include("version_check.php");
	closeside();
	echo "</td>\n";
}
?>