<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: league_admin_menu.php
| Author: ChSchuetz
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";

if (!checkrights("WST")) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."wir_sind_tippspiel/locale/German.php";
}

$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;

$resultAMK = dbquery("select * from ".$db_prefix."wst_leagues where league_arc=0 order by league_name");
echo '<SCRIPT language="JavaScript">
function reload(form){
var val=form.cboJump.options[form.cboJump.options.selectedIndex].value;
self.location="league_admin.php?lid=" + val ;
}</script>';
	
$rowsAMK = dbrows($resultAMK);
if ($rowsAMK >= 1) {
	echo '<form method="POST"><select size="1" name="cboJump" onchange="reload(this.form)" onload="reload(this.form)">';		
	while ($dataAMK = dbarray($resultAMK)) {
		echo '<option value="'.$dataAMK['league_id'].'"';
		if ($lid == $dataAMK['league_id']) echo ' selected ';
		//if ($dataAMK['league_id'] == $data_ll['league_parent']) echo ' selected ';
		echo '>'.$dataAMK['league_name'].'</option>';
	}
	echo '</form></select>';
}

//Funktionen
function rightside($lid, $l_name) {	
	global $theme_width_r, $locale, $db_prefix;
	$matchdid = 1;
	$datum = time();
	$result = dbquery("select * from ".$db_prefix."wst_matchdays where league_id=$lid order by matchday_datestamp asc");
	if (dbrows($result))
	while($data = dbarray($result)) {
		if ($data['matchday_datestamp'] >= ($datum-43200)) {
			$today=1;
			$matchdid=$data['matchday_id'];
			$result_2 = dbquery("select * from ".$db_prefix."wst_matchdays where league_id=$lid and matchday_id=$matchdid and match_id=0");
			$data_2 = dbarray($result_2);
			$matchdescr=$data_2['matchday_descr'];
			break;
		} 
	}
	else $matchdid = 1;
	
	$bullet = "<img src='".THEME."images/bullet.gif' alt=''>";	
	echo "<td width='175' valign='top' class='main-body'>\n";
	
	openside("".$locale['wst307']);
		echo '<div class="side-label"><center><b>'.$l_name.'</b>
		</center></div><br>';
		
		echo '<div class="side-label"><b> '.$locale['wst110'].'</b></div>';
		echo $bullet.'<a href="teams.php?act=new_team" title="'.$locale['wst143'].'" class="side"> '.$locale['wst143'].'</a><br>';	
		echo $bullet.'<a href="teams.php?act=list_teams" title="'.$locale['wst144'].'" class="side"> '.$locale['wst144'].'</a><br>';	
		echo $bullet.'<a href="teams.php?act=list_leagueteams&lid='.$lid.'" title="'.$locale['wst238'].'" class="side"> '.$locale['wst238'].'</a><br>';	
		echo $bullet.'<a href="league_admin.php?act=alo_teams&lid='.$lid.'" title="'.$locale['wst154'].'" class="side"> '.$locale['wst154'].'</a><br>';	
		
		echo '<div class="side-label"><b> '.$locale['wst145'].'</b></div>';
		echo $bullet.'<a href="leagues.php?act=new_league" title="'.$locale['wst143'].'" class="side"> '.$locale['wst143'].'</a><br>';
		echo $bullet.'<a href="leagues.php?act=list_leagues" title="'.$locale['wst146'].'" class="side"> '.$locale['wst146'].' (ALL)</a><br>';
		echo $bullet.'<a href="leagues.php?act=list_smplleagues" title="'.$locale['wst146'].'" class="side"> '.$locale['wst146'].' (SMPL)</a><br>';
		echo $bullet.'<a href="leagues.php?act=list_cmplxleagues" title="'.$locale['wst146'].'" class="side"> '.$locale['wst146'].' (KMPLX)</a><br>';
		echo $bullet.'<a href="leagues.php?act=list_arcleagues" title="'.$locale['wst146'].'" class="side"> '.$locale['wst146'].' (ARC)</a><br>';	
		echo $bullet.'<a href="leagues.php?act=edt_league&lid='.$lid.'" title="'.$locale['wst164'].'" class="side"> '.$locale['wst164'].'</a><br>';
		echo $bullet.'<a href="leagues.php?act=config_league&lid='.$lid.'" title="'.$locale['wst165'].'" class="side"> '.$locale['wst165'].'</a><br>';
		
		echo '<div class="side-label"><b> '.$locale['wst155'].'</b></div>';
		echo $bullet.'<a href="league_admin.php?act=admin_fixtures&lid='.$lid.'&md='.$matchdid.'" title="'.$locale['wst156'].'" class="side"> '.$locale['wst156'].'</a><br>';
		echo $bullet.'<a href="league_admin.php?act=admin_results&lid='.$lid.'&md='.$matchdid.'" title="'.$locale['wst157'].'" class="side"> '.$locale['wst157'].'</a><br>';
		
		echo '<div class="side-label"><b>'.$locale['wst231'].'</b></div>';
		echo $bullet.'<a href="bonus.php?act=new_bonus&lid='.$lid.'" title="'.$locale['wst230'].'" class="side"> '.$locale['wst230'].'</a><br>';
		echo $bullet.'<a href="bonus.php?act=list_bonus&lid='.$lid.'" title="'.$locale['wst232'].'" class="side"> '.$locale['wst232'].'</a><br>';
		
		echo '<div class="side-label"><b>'.$locale['wst321'].'</b></div>';
		echo $bullet.'<a href="user_admin.php?act=list_users&lid='.$lid.'" title="'.$locale['wst279'].'" class="side"> '.$locale['wst279'].'</a><br>';
		echo $bullet.'<a href="user_admin.php?act=list_comm&lid='.$lid.'" title="'.$locale['wst280'].'" class="side"> '.$locale['wst280'].'</a><br>';
		echo $bullet.'<a href="user_admin.php?act=crt_comm&lid='.$lid.'" title="'.$locale['wst302'].'" class="side"> '.$locale['wst322'].'</a><br>';
		
		echo '<div class="side-label"><b>'.$locale['wst504'].'</b></div>';
		echo $bullet.'<a href="adm_tl.php?act=crt_tl&lid='.$lid.'" title="'.$locale['wst515'].'" class="side"> '.$locale['wst515'].'</a><br>';
		echo $bullet.'<a href="adm_tl.php?act=list_tl&lid='.$lid.'" title="'.$locale['wst516'].'" class="side"> '.$locale['wst516'].'</a><br>';
		
		echo '<div class="side-label"><b>'.$locale['wst328'].'</b></div>';
		echo $bullet.'<a href="adm_options.php?lid='.$lid.'&l_name='.$l_name.'" title="'.$locale['wst328'].'" class="side"> '.$locale['wst328'].'</a><br>';	
		
		echo '<div class="side-label"><b>'.$locale['wst424'].'</b></div>';
		echo $bullet.'<a href="../img/leagueupload.php" target="_blank" title="'.$locale['wst425'].'" class="side"> '.$locale['wst425'].'</a><br>';	
		echo $bullet.'<a href="../img/teamupload.php" target="_blank" title="'.$locale['wst426'].'" class="side"> '.$locale['wst426'].'</a><br>';	
		echo $bullet.'<a href="../img/stadiumupload.php" target="_blank" title="'.$locale['wst427'].'" class="side"> '.$locale['wst427'].'</a><br>';	
		
		echo '<div class="side-label"><b>'.$locale['wst323'].'</b></div>';
		echo $bullet.'<a href="wst_admin.pdf" title="'.$locale['wst324'].'" target="_blank" class="side"> '.$locale['wst324'].'</a><br>';
		
		echo '<div class="side-label"><b>'.$locale['wst337'].'</b></div>';
		echo $bullet.'<a href="league_admin.php?act=credits&lid='.$lid.'" title="'.$locale['wst337'].'" class="side"> '.$locale['wst337'].'</a><br>';
		
		echo '<br><br><div class="side-label"><b>'.$locale['wst338'].'</b></div>';
		include("version_check.php");
	closeside();
	echo "</td>\n";
}
?>