<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: leagues.php
| Author: ChSchuetz
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."wir_sind_tippspiel/infusion_db.php";
include "../inc/del_func.php";

if (!checkrights("WST")) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."wir_sind_tippspiel/locale/German.php";
}

echo "<table width='100%'><tr><td valign='top' align='center'>";

$bullet = "<img src='".THEME."images/bullet.gif' alt='' border='0'>";
$bulletb = "<img src='".THEME."images/bulletb.gif' alt='' border='0'>";

$action = isset($_GET['act']) ? stripinput($_GET['act']) : "";
if (isset($_GET['aid']) || $action == "") {$action = "list_leagues";}

if (isset($_GET['lid'])) {
	$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
	$result = dbquery("select * from ".$db_prefix."wst_leagues where league_id=$lid");
	$data = dbarray($result);
}


if (isset($_GET['lid']))
	include "league_admin_menu.php";
else include "admin_menu.php";


if ($action == "credits") {
	include("credits.php");
}


if ($action == "new_league") {
	if (isset($_POST['save']) && $_POST['save'] == TRUE) {
		if (isset($_POST['tipp']) && $_POST['tipp'] == TRUE)
			$t=1;
		else $t=0;
		if (isset($_POST['toto']) && $_POST['toto'] == TRUE)
			$to=1;
		else $to=0;
		if (isset($_POST['table']) && $_POST['table'] == TRUE && !isset($_POST['toto']))
			$tbl=1;
		else $tbl=0;
		if (isset($_POST['visible']) && $_POST['visible'] == TRUE)
			$vis=1;
		else $vis=0;
		if (isset($_POST['enbonus']) && $_POST['enbonus'] == TRUE)
			$bonus=1;
		else $bonus=0;
		if (isset($_POST['encomm']) && $_POST['encomm'] == TRUE)
			$comm=1;
		else $comm=0;
		if (isset($_POST['isarc']) && $_POST['isarc'] == TRUE)
			$arc=1;
		else $arc=0;		
		$leaguename = isset($_POST['leaguename']) ? stripinput($_POST['leaguename']) : "";
		$image = isset($_POST['image']) ? stripinput($_POST['image']) : "";
		$description = isset($_POST['description']) ? stripinput($_POST['description']) : "";
		$l_type = (isset($_POST['l_type']) && isNum($_POST['l_type'])) ? $_POST['l_type'] : 0;
		$l_parent = (isset($_POST['l_parent']) && isNum($_POST['l_parent'])) ? $_POST['l_parent'] : 0;
		$lcat = isset($_POST['l_cat']) ? stripinput($_POST['l_cat']) : "";
		$lcntry = isset($_POST['l_cntry']) ? stripinput($_POST['l_cntry']) : "";
		
				
		$result = dbquery("INSERT INTO ".$db_prefix."wst_leagues(league_name, league_logo, league_description, league_tipp, league_vis, league_type, istoto, tbl_enabled, league_parent, league_enbonus, league_encomm, league_cat, league_country, league_arc) 
		VALUES ('$leaguename', '$image', '$description', $t, $vis, $l_type, $to, $tbl, $l_parent, $bonus, $comm, '$lcat', '$lcntry', $arc)");
		$result2 = dbquery("select * from ".$db_prefix."wst_leagues where league_name='$leaguename'");
		$data = dbarray($result2);
		$lid=$data['league_id'];
		$toto=$data['istoto'];	
		
		if ($toto == 0)
			$result = dbquery("
			insert into ".$db_prefix."wst_config(league_id, config_richtig, config_tendenz, config_diff, config_funfer,
			config_diff_active, config_funfer_active, config_tippzeit, config_auf, config_ab, config_cl, config_uefa, config_diff_tie, config_vic, config_tie, config_rel, config_reld, config_logo) 
			VALUES($lid, 3, 1, 1, 5, 1, 1, 30, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0)");
		else 
			$result = dbquery("
			insert into ".$db_prefix."wst_config(league_id, config_richtig, config_tendenz, config_diff, config_funfer,
			config_diff_active, config_funfer_active, config_tippzeit, config_auf, config_ab, config_cl, config_uefa, config_diff_tie, config_vic, config_tie, config_rel, config_reld, config_logo) 
			VALUES($lid, 0, 1, 0, 0, 0, 0, 30, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0)");
		$url = "leagues.php?act=list_leagues";
		redirect($url);
	}
	
	opentable($locale['wst158']);
		echo '<form method="post">';
		echo '<table align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">		
					<tr class="tbl2">
					<td align="center">'.$locale['wst104'].'</td>';
		echo '<td align="center">'.$locale['wst159'].'</td><td align="center">'.$locale['wst160'].'</td>
					</tr><tr class="tbl1">
	  			<td align="center" valign="top"><input type="text" name="leaguename" value="" maxlength="30" class="textbox"></td>';
		echo '<td align="center" valign="top">
	  			<select name="image">
	  			<option value="">---</option>';
		$verz=opendir(INFUSIONS . "wir_sind_tippspiel/img/leagues/");
		while($file = readdir($verz)) {
			if($file != '.' && $file != '..')	{
				echo '<option>'.$file .'</option>';
			}
		}
		closedir($verz);
		echo '</select></td>';
		echo '<td align="center" valign="center" rowspan="7"><textarea cols="40" rows="9" name="description" maxlength="" class="textbox" wrap="hard"></textarea></td>';
		echo '<tr class="tbl1"><td align="center">'.$locale['wst161'].'</td><td align="center"><input type="checkbox" name="tipp"></td></tr>';
		echo '<tr class="tbl1"><td align="center">'.$locale['wst281'].'</td><td align="center"><input type="checkbox" name="visible"></td></tr>';
		echo '<tr class="tbl1"><td align="center">'.$locale['wst162'].'</td><td align="center"><input type="checkbox" name="toto"></td></tr>';
		echo '<tr class="tbl1"><td align="center">'.$locale['wst141'].'</td><td align="center"><input type="checkbox" name="table"></td></tr>';
		echo '<tr class="tbl1">
		<td align="center">'.$locale['wst181'].'</td>
	  <td align="center"><input type="checkbox" name="enbonus" class="textbox"></td>
		</tr>';
		echo '<tr class="tbl1">
		<td align="center">'.$locale['wst202'].'</td>
	  <td align="center"><input type="checkbox" name="encomm" class="textbox"></td>
		</tr>';
		echo '<tr class="tbl1"><td align="center">'.$locale['wst352'].'</td><td align="center"><select name="l_type">
		<option value="0">'.$locale['wst107'].'</option><option value="1">'.$locale['wst351'].'</option>
		</select></td><td></td></tr>';		

		$listleagues = dbquery("select * from ".$db_prefix."wst_leagues where league_parent=0 order by league_name");
		echo '<tr class="tbl1"><td align="center">'.$locale['wst428'].'</td><td align="center"><select name="l_parent">';
		echo '<option value="0">-----</option>';
		while ($dataleagues = dbarray($listleagues))
			echo '<option value="'.$dataleagues['league_id'].'">'.$dataleagues['league_name'].'</option>';
		echo '</select></td><td></td></tr>';	
		
		$cats = explode(";", $locale['wst997']);
		$cncod = explode(";", $locale['wst998']);
		$cntr = explode(";", $locale['wst999']);
		
		echo '<tr class="tbl1"><td align="center">'.$locale['wst521'].'</td><td align="center"><select name="lcat">';
		for ($i=0; $i<sizeof($cats); $i++)
			if ($data['league_cat'] == $cats[$i])
				echo '<option value="'.$cats[$i].'" selected>'.$cats[$i].'</option>';
			else echo '<option value="'.$cats[$i].'">'.$cats[$i].'</option>';
		echo '</select></td><td></td></tr>';	
		
		echo '<tr class="tbl1"><td align="center">'.$locale['wst522'].'</td><td align="center"><select name="lcntry">';
		for ($i=0; $i<sizeof($cntr); $i++)
			if ($data['league_country'] == $cncod[$i])
				echo '<option value="'.$cncod[$i].'" selected>'.$cntr[$i].'</option>';
			else echo '<option value="'.$cncod[$i].'">'.$cntr[$i].'</option>';
		echo '</select></td><td></td></tr>';
			
		echo '<tr class="tbl1"><td align="center">'.$locale['wst523'].'</td><td align="center"><select name="isarc">';
		echo '<option value="0" selected>'.$locale['wst293'].'</option>';
		echo '<option value="1">'.$locale['wst292'].'</option>';
		echo '</select></td><td></td></tr>';		
		
		echo '<tr class="tbl2"><td align="center" colspan="3"><input type="submit" name="save" value="'.$locale['wst140'].'" class="button"></td></tr></table>';
		echo '</form>';   
	closetable();
}


if ($action == "list_leagues") {
	opentable($locale['wst146']);
		echo '<table width="100%" align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">
				<tr class="tbl2"><td align="center">'.$locale['wst305'].'</td><td align="center"></td><td align="center"><b>'.$locale['wst104'].'</b></td>
				<td align="center">'.$locale['wst163'].'</td><td align="center">'.$locale['wst281'].'</td><td align="center">'.$locale['wst108'].'</td><td align="center">'.$locale['wst141'].'</td>
				<td align="center">'.$locale['wst136'].'</td><td align="center">'.$locale['wst440'].'</td>
				<td align="center" colspan="4">'.$locale['wst153'].'</td>
				</tr>';
		$result_global_config = dbquery("select * from ".$db_prefix."wst_global_config");
		$data_global_config = dbarray($result_global_config);
		$result = dbquery("select * from ".$db_prefix."wst_leagues where league_parent=0  and league_arc=0 order by ".$data_global_config['config_LgAz']);

		while ($data = dbarray($result)) {
			$curl = $data['league_id'];
			$result_parent = dbquery("select * from ".$db_prefix."wst_leagues where league_parent=$curl  and league_arc=0 order by league_name, league_id");
			echo '<center><tr class="tbl1"><td align="center">'.$data['league_id'].'</td><td align="center">';
		
			if ($data['league_arc'] == 1)
				echo '<a href="league_admin.php?lid='.$data['league_id'].'" title="'.$locale['wst255'].'"><img src="../img/archiv.gif" border="0" height="40"></a></td>';
			else {
				if ($data['league_logo']!="")	{
					if (file_exists("../img/leagues/".$data['league_logo']))
						echo '<a href="league_admin.php?lid='.$data['league_id'].'" title="'.$locale['wst255'].'"><img src="../img/leagues/'.$data['league_logo'].'" border="0" height="40"></a></td>';
					else echo '<img src="../img/nologo.gif" height="40"></td>';
				} else echo '<img src="../img/nologo.gif" height="40"></td>';
			}
			
			echo '<td align="center"><b><a href="league_admin.php?lid='.$data['league_id'].'" title="'.$locale['wst255'].'">'.$data['league_name'].'</a></b>';
			echo '</td>';
			if ($data['league_tipp'] == 1) 
				echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
			else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
			if ($data['league_vis'] == 1) 
				echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
			else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
			if ($data['istoto'] == 1) 
				echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
			else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
			if ($data['tbl_enabled'] == 1) 
				echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
			else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
			if ($data['league_enbonus'] == 1) 
				echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
			else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
			if ($data['league_encomm'] == 1) 
				echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
			else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
				
			echo '<td align="center"><a href="leagues.php?act=edt_league&lid='.$data['league_id'].'" title="'.$locale['wst282'].'"><img src="../symbols/edit.png" border="0"></a></td>';
			echo '<td align="center"><a href="leagues.php?act=config_league&lid='.$data['league_id'].'" title="'.$locale['wst283'].'"><img src="../symbols/config.png" border="0"></a></td>';
		
			if (dbrows($result_parent) == 0) {
				echo '<td align="center"><a href="leagues.php?act=del_league&lid='.$data['league_id'].'" title="'.$locale['wst284'].'" onclick="return delleague(this);"><img src="../symbols/delete.png" border="0"></a></td>';
				echo '<td align="center"><a href="leagues.php?act=cleanup_league&lid='.$data['league_id'].'" title="'.$locale['wst285'].'" onclick="return cleanleague(this);"><img src="../symbols/cleanup.gif" width="20" border="0"></a></td></tr>';
			} else {
					echo '<td align="center"></td>';
					echo '<td align="center"></td></tr>';
			}
		
			// Show Child Leagues
			while ($data_parent = dbarray($result_parent)) {			
				echo '<center><tr class="tbl1"><td align="center">'.$data_parent['league_id'].'</td><td align="center">';
				echo '<a href="league_admin.php?lid='.$data_parent['league_id'].'" title="'.$locale['wst255'].'"><img src="../symbols/arrow.right.black.gif" border="0"></a></td>';
				echo '<td align="center"><b><a href="league_admin.php?lid='.$data_parent['league_id'].'" title="'.$locale['wst255'].'">'.$data_parent['league_name'].'</a></b>';
				echo '</td>';
				if ($data_parent['league_tipp'] == 1) 
					echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
				else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
				if ($data_parent['league_vis'] == 1) 
					echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
				else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
				if ($data_parent['istoto'] == 1) 
					echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
				else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
				if ($data_parent['tbl_enabled'] == 1) 
					echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
				else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
				if ($data_parent['league_enbonus'] == 1) 
					echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
				else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
				if ($data_parent['league_encomm'] == 1) 
					echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
				else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
				echo '<td align="center"><a href="leagues.php?act=edt_league&lid='.$data_parent['league_id'].'" title="'.$locale['wst282'].'"><img src="../symbols/edit.png" border="0"></a></td>';
				echo '<td align="center"><a href="leagues.php?act=config_league&lid='.$data_parent['league_id'].'" title="'.$locale['wst283'].'"><img src="../symbols/config.png" border="0"></a></td>';
				echo '<td align="center"><a href="leagues.php?act=del_league&lid='.$data_parent['league_id'].'" title="'.$locale['wst284'].'" onclick="return delleague(this);"><img src="../symbols/delete.png" border="0"></a></td>';
				echo '<td align="center"><a href="leagues.php?act=cleanup_league&lid='.$data_parent['league_id'].'" title="'.$locale['wst285'].'" onclick="return cleanleague(this);"><img src="../symbols/cleanup.gif" width="20" border="0"></a></td></tr>';
			}
			// Show Child Leagues			
		}
		echo '</table></center>';
	closetable();
}


if ($action == "list_arcleagues") {
	opentable($locale['wst146']);
		echo '<table width="100%" align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">
				<tr class="tbl2"><td align="center">'.$locale['wst305'].'</td><td align="center"></td><td align="center"><b>'.$locale['wst104'].'</b></td>
				<td align="center">'.$locale['wst163'].'</td><td align="center">'.$locale['wst281'].'</td><td align="center">'.$locale['wst108'].'</td><td align="center">'.$locale['wst141'].'</td>
				<td align="center">'.$locale['wst136'].'</td><td align="center">'.$locale['wst440'].'</td>
				<td align="center" colspan="4">'.$locale['wst153'].'</td>
				</tr>';
		$result_global_config = dbquery("select * from ".$db_prefix."wst_global_config");
		$data_global_config = dbarray($result_global_config);
		$result = dbquery("select * from ".$db_prefix."wst_leagues where league_parent=0 and league_arc=1 order by ".$data_global_config['config_LgAz']);
	
		while ($data = dbarray($result)) {
			$curl = $data['league_id'];
			$result_parent = dbquery("select * from ".$db_prefix."wst_leagues where league_parent=$curl  and league_arc=1 order by league_name, league_id");
		
			echo '<center><tr class="tbl1"><td align="center">'.$data['league_id'].'</td><td align="center">';
		
			if ($data['league_arc'] == 1)
				echo '<a href="league_admin.php?lid='.$data['league_id'].'" title="'.$locale['wst255'].'"><img src="../img/archiv.gif" border="0" height="40"></a></td>';
			else {
				if ($data['league_logo']!="") {
					if (file_exists("../img/leagues/".$data['league_logo']))
						echo '<a href="league_admin.php?lid='.$data['league_id'].'" title="'.$locale['wst255'].'"><img src="../img/leagues/'.$data['league_logo'].'" border="0" height="40"></a></td>';
					else echo '<img src="../img/nologo.gif" height="40"></td>';
				} else echo '<img src="../img/nologo.gif" height="40"></td>';
			}
		
			echo '<td align="center"><b><a href="league_admin.php?lid='.$data['league_id'].'" title="'.$locale['wst255'].'">'.$data['league_name'].'</a></b>
			<br>'.$data['league_description'];
			echo '</td>';
			if ($data['league_tipp'] == 1) 
				echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
			else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
			if ($data['league_vis'] == 1) 
				echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
			else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
			if ($data['istoto'] == 1) 
				echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
			else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
			if ($data['tbl_enabled'] == 1) 
				echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
			else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
			if ($data['league_enbonus'] == 1) 
				echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
			else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
			if ($data['league_encomm'] == 1) 
				echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
			else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';

			echo '<td align="center"><a href="leagues.php?act=edt_league&lid='.$data['league_id'].'" title="'.$locale['wst282'].'"><img src="../symbols/edit.png" border="0"></a></td>';
			echo '<td align="center"><a href="leagues.php?act=config_league&lid='.$data['league_id'].'" title="'.$locale['wst283'].'"><img src="../symbols/config.png" border="0"></a></td>';
			
			if (dbrows($result_parent) == 0) {
				echo '<td align="center"><a href="leagues.php?act=del_league&lid='.$data['league_id'].'" title="'.$locale['wst284'].'" onclick="return delleague(this);"><img src="../symbols/delete.png" border="0"></a></td>';
				echo '<td align="center"><a href="leagues.php?act=cleanup_league&lid='.$data['league_id'].'" title="'.$locale['wst285'].'" onclick="return cleanleague(this);"><img src="../symbols/cleanup.gif" width="20" border="0"></a></td></tr>';
			} else {
				echo '<td align="center"></td>';
				echo '<td align="center"></td></tr>';
			}
		
			// Show Child Leagues
			while ($data_parent = dbarray($result_parent)) {			
				echo '<center><tr class="tbl1"><td align="center">'.$data_parent['league_id'].'</td><td align="center">';
				echo '<a href="league_admin.php?lid='.$data_parent['league_id'].'" title="'.$locale['wst255'].'"><img src="../symbols/arrow.right.black.gif" border="0"></a></td>';
				echo '<td align="center"><b><a href="league_admin.php?lid='.$data_parent['league_id'].'" title="'.$locale['wst255'].'">'.$data_parent['league_name'].'</a></b>';
				echo '</td>';
				if ($data_parent['league_tipp'] == 1) 
					echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
				else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
				if ($data_parent['league_vis'] == 1) 
					echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
				else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
				if ($data_parent['istoto'] == 1) 
					echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
				else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
				if ($data_parent['tbl_enabled'] == 1) 
					echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
				else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
				if ($data_parent['league_enbonus'] == 1) 
					echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
				else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
				if ($data_parent['league_encomm'] == 1) 
					echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
				else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
				echo '<td align="center"><a href="leagues.php?act=edt_league&lid='.$data_parent['league_id'].'" title="'.$locale['wst282'].'"><img src="../symbols/edit.png" border="0"></a></td>';
				echo '<td align="center"><a href="leagues.php?act=config_league&lid='.$data_parent['league_id'].'" title="'.$locale['wst283'].'"><img src="../symbols/config.png" border="0"></a></td>';
				echo '<td align="center"><a href="leagues.php?act=del_league&lid='.$data_parent['league_id'].'" title="'.$locale['wst284'].'" onclick="return delleague(this);"><img src="../symbols/delete.png" border="0"></a></td>';
				echo '<td align="center"><a href="leagues.php?act=cleanup_league&lid='.$data_parent['league_id'].'" title="'.$locale['wst285'].'" onclick="return cleanleague(this);"><img src="../symbols/cleanup.gif" width="20" border="0"></a></td></tr>';
			}
			// Show Child Leagues		
		}
		echo '</table></center>';
	closetable();
}


if ($action == "list_cmplxleagues") {
	opentable($locale['wst146']);
		echo '<table width="100%" align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">
				<tr class="tbl2"><td align="center">'.$locale['wst305'].'</td><td align="center"></td><td align="center"><b>'.$locale['wst104'].'</b></td>
				<td align="center">'.$locale['wst163'].'</td><td align="center">'.$locale['wst281'].'</td><td align="center">'.$locale['wst108'].'</td><td align="center">'.$locale['wst141'].'</td>
				<td align="center">'.$locale['wst136'].'</td><td align="center">'.$locale['wst440'].'</td>
				<td align="center" colspan="4">'.$locale['wst153'].'</td>
				</tr>';
		$result_global_config = dbquery("select * from ".$db_prefix."wst_global_config");
		$data_global_config = dbarray($result_global_config);
		
		$getp = dbquery("select * from ".$db_prefix."wst_leagues where league_parent!=0 group by league_parent order by league_parent");
		while ($dtap = dbarray($getp)) {
			$pl = $dtap['league_parent'];
			$result = dbquery("select * from ".$db_prefix."wst_leagues where league_parent=0 and league_id=".$pl);

			while ($data = dbarray($result)) {
				$curl = $data['league_id'];
				$result_parent = dbquery("select * from ".$db_prefix."wst_leagues where league_parent=$curl  order by league_name, league_id");
		
				echo '<center><tr class="tbl-border"><td align="center">'.$data['league_id'].'</td><td align="center">';
		
				if ($data['league_arc'] == 1)
					echo '<a href="league_admin.php?lid='.$data['league_id'].'" title="'.$locale['wst255'].'"><img src="../img/archiv.gif" border="0" height="40"></a></td>';
				else {
					if ($data['league_logo']!="") {
						if (file_exists("../img/leagues/".$data['league_logo']))
							echo '<a href="league_admin.php?lid='.$data['league_id'].'" title="'.$locale['wst255'].'"><img src="../img/leagues/'.$data['league_logo'].'" border="0" height="40"></a></td>';
						else echo '<img src="../img/nologo.gif" height="40"></td>';
					} else echo '<img src="../img/nologo.gif" height="40"></td>';
				}
		
				echo '<td align="center"><b><a href="league_admin.php?lid='.$data['league_id'].'" title="'.$locale['wst255'].'">'.$data['league_name'].'</a></b>
				<br>'.$data['league_description'];
				echo '</td>';
				if ($data['league_tipp'] == 1) 
					echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
				else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
				if ($data['league_vis'] == 1) 
					echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
				else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
				if ($data['istoto'] == 1) 
					echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
				else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
				if ($data['tbl_enabled'] == 1) 
					echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
				else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
				if ($data['league_enbonus'] == 1) 
					echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
				else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
				if ($data['league_encomm'] == 1) 
					echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
				else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
						
				echo '<td align="center"><a href="leagues.php?act=edt_league&lid='.$data['league_id'].'" title="'.$locale['wst282'].'"><img src="../symbols/edit.png" border="0"></a></td>';
				echo '<td align="center"><a href="leagues.php?act=config_league&lid='.$data['league_id'].'" title="'.$locale['wst283'].'"><img src="../symbols/config.png" border="0"></a></td>';
				
				if (dbrows($result_parent) == 0) {
					echo '<td align="center"><a href="leagues.php?act=del_league&lid='.$data['league_id'].'" title="'.$locale['wst284'].'" onclick="return delleague(this);"><img src="../symbols/delete.png" border="0"></a></td>';
					echo '<td align="center"><a href="leagues.php?act=cleanup_league&lid='.$data['league_id'].'" title="'.$locale['wst285'].'" onclick="return cleanleague(this);"><img src="../symbols/cleanup.gif" width="20" border="0"></a></td></tr>';
				} else {
						echo '<td align="center"></td>';
						echo '<td align="center"></td></tr>';
				}
				
				// Show Child Leagues
				while ($data_parent = dbarray($result_parent)) {			
					echo '<center><tr class="tbl1"><td align="center">'.$data_parent['league_id'].'</td><td align="center">';
					echo '<a href="league_admin.php?lid='.$data_parent['league_id'].'" title="'.$locale['wst255'].'"><img src="../symbols/arrow.right.black.gif" border="0"></a></td>';
					echo '<td align="center"><b><a href="league_admin.php?lid='.$data_parent['league_id'].'" title="'.$locale['wst255'].'">'.$data_parent['league_name'].'</a></b>';
					echo '</td>';
					if ($data_parent['league_tipp'] == 1) 
						echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
					else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
					if ($data_parent['league_vis'] == 1) 
						echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
					else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
					if ($data_parent['istoto'] == 1) 
						echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
					else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
					if ($data_parent['tbl_enabled'] == 1) 
						echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
					else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
					if ($data_parent['league_enbonus'] == 1) 
						echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
					else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
					if ($data_parent['league_encomm'] == 1) 
						echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
					else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
					echo '<td align="center"><a href="leagues.php?act=edt_league&lid='.$data_parent['league_id'].'" title="'.$locale['wst282'].'"><img src="../symbols/edit.png" border="0"></a></td>';
					echo '<td align="center"><a href="leagues.php?act=config_league&lid='.$data_parent['league_id'].'" title="'.$locale['wst283'].'"><img src="../symbols/config.png" border="0"></a></td>';
					echo '<td align="center"><a href="leagues.php?act=del_league&lid='.$data_parent['league_id'].'" title="'.$locale['wst284'].'" onclick="return delleague(this);"><img src="../symbols/delete.png" border="0"></a></td>';
					echo '<td align="center"><a href="leagues.php?act=cleanup_league&lid='.$data_parent['league_id'].'" title="'.$locale['wst285'].'" onclick="return cleanleague(this);"><img src="../symbols/cleanup.gif" width="20" border="0"></a></td></tr>';
				}
				// Show Child Leagues		
			}
		}/////
		echo '</table></center>';
	closetable();
}


if ($action == "list_smplleagues") {
	opentable($locale['wst146']);
		echo '<table width="100%" align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">
				<tr class="tbl2"><td align="center">'.$locale['wst305'].'</td><td align="center"></td><td align="center"><b>'.$locale['wst104'].'</b></td>
				<td align="center">'.$locale['wst163'].'</td><td align="center">'.$locale['wst281'].'</td><td align="center">'.$locale['wst108'].'</td><td align="center">'.$locale['wst141'].'</td>
				<td align="center">'.$locale['wst136'].'</td><td align="center">'.$locale['wst440'].'</td>
				<td align="center" colspan="4">'.$locale['wst153'].'</td>
				</tr>';
		$result_global_config = dbquery("select * from ".$db_prefix."wst_global_config");
		$data_global_config = dbarray($result_global_config);
		
			$result = dbquery("select * from ".$db_prefix."wst_leagues where league_parent=0 and league_arc!=1 and 
			league_id not in(select league_parent from ".$db_prefix."wst_leagues where league_parent!=0 group by league_parent order by league_parent)");
	
		while ($data = dbarray($result)) {
			$curl = $data['league_id'];
			echo '<center><tr class="tbl1"><td align="center">'.$data['league_id'].'</td><td align="center">';
		
			if ($data['league_arc'] == 1)
				echo '<a href="league_admin.php?lid='.$data['league_id'].'" title="'.$locale['wst255'].'"><img src="../img/archiv.gif" border="0" height="40"></a></td>';
			else {
				if ($data['league_logo']!="") {
					if (file_exists("../img/leagues/".$data['league_logo']))
						echo '<a href="league_admin.php?lid='.$data['league_id'].'" title="'.$locale['wst255'].'"><img src="../img/leagues/'.$data['league_logo'].'" border="0" height="40"></a></td>';
					else echo '<img src="../img/nologo.gif" height="40"></td>';
				} else echo '<img src="../img/nologo.gif" height="40"></td>';
			}
		
			echo '<td align="center"><b><a href="league_admin.php?lid='.$data['league_id'].'" title="'.$locale['wst255'].'">'.$data['league_name'].'</a></b>
			<br>'.$data['league_description'];
			echo '</td>';
			if ($data['league_tipp'] == 1) 
				echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
			else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
			if ($data['league_vis'] == 1) 
				echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
			else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
			if ($data['istoto'] == 1) 
				echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
			else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
			if ($data['tbl_enabled'] == 1) 
				echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
			else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
			if ($data['league_enbonus'] == 1) 
				echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
			else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
			if ($data['league_encomm'] == 1) 
				echo '<td align="center"><img src="../symbols/yes.gif" border="0"></td>';
			else echo '<td align="center"><img src="../symbols/no.gif" border="0"></td>';
			echo '<td align="center"><a href="leagues.php?act=edt_league&lid='.$data['league_id'].'" title="'.$locale['wst282'].'"><img src="../symbols/edit.png" border="0"></a></td>';
			echo '<td align="center"><a href="leagues.php?act=config_league&lid='.$data['league_id'].'" title="'.$locale['wst283'].'"><img src="../symbols/config.png" border="0"></a></td>';
			echo '<td align="center"></td>';
			echo '<td align="center"></td></tr>';
		}
		echo '</table></center>';
	closetable();
}


if ($action == "edt_league") {
	$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;

	if (isset($_POST['cleanup']) && $_POST['cleanup'] == TRUE) {
		$result = dbquery("delete ".$db_prefix."wst_usertipps where league_id=$lid");
		$result = dbquery("delete ".$db_prefix."wst_bonus where league_id=$lid");
		$result = dbquery("delete ".$db_prefix."wst_usercomm where league_id=$lid");
	}
	
	if (isset($_POST['save']) && $_POST['save'] == TRUE) {
		if (isset($_POST['tipp']) && $_POST['tipp'] == TRUE)
			$t=1;
		else $t=0;
		if (isset($_POST['toto']) && $_POST['toto'] == TRUE)
			$to=1;
		else $to=0;
		if (isset($_POST['table']) && $_POST['table'] == TRUE && !isset($_POST['toto']))
			$tbl=1;
		else $tbl=0;
		if (isset($_POST['visible']) && $_POST['visible'] == TRUE)
			$vis=1;
		else $vis=0;
		if (isset($_POST['enbonus']) && $_POST['enbonus'] == TRUE)
			$bonus=1;
		else $bonus=0;
		if (isset($_POST['encomm']) && $_POST['encomm'] == TRUE)
			$comm=1;
		else $comm=0;
		if (isset($_POST['isarc']) && $_POST['isarc'] == TRUE)
			$arc=1;
		else $arc=0;		
		$leaguename = isset($_POST['leaguename']) ? stripinput($_POST['leaguename']) : "";
		$image = isset($_POST['image']) ? stripinput($_POST['image']) : "";
		$description = isset($_POST['description']) ? stripinput($_POST['description']) : "";
		$l_type = (isset($_POST['l_type']) && isNum($_POST['l_type'])) ? $_POST['l_type'] : 0;
		$l_parent = (isset($_POST['l_parent']) && isNum($_POST['l_parent'])) ? $_POST['l_parent'] : 0;
		$lcat = isset($_POST['l_cat']) ? stripinput($_POST['l_cat']) : "";
		$lcntry = isset($_POST['l_cntry']) ? stripinput($_POST['l_cntry']) : "";

		$result = dbquery("update ".$db_prefix."wst_leagues set league_name='$leaguename', league_logo='$image', league_description='$description', league_tipp=$t, league_vis=$vis, league_type=$l_type, istoto=$to, tbl_enabled=$tbl, league_parent=$l_parent, league_enbonus=$bonus, league_encomm=$comm, league_cat='$lcat', league_country='$lcntry', league_arc=$arc where league_id=$lid");
		$url = "leagues.php?act=edt_league&lid=".$lid;
		redirect($url);
	}
		
	opentable($locale['wst164']);
		echo '<form method="post">
				<table align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">
				<tr class="tbl2"><td align="center" valign="center" colspan="3">'.$locale['wst164'].'</td></tr>
				<tr class="tbl1"><td align="center" valign="center" rowspan="14">';
			
		$result = dbquery("select * from ".$db_prefix."wst_leagues where league_id=$lid");
		$data = dbarray($result);	
		if ($data['league_logo']!="") {
			if (file_exists("../img/leagues/".$data['league_logo']))
				echo '<center><img src="../img/leagues/'.$data['league_logo'].'" height="40"><br>';
			else echo '<center><img src="../img/nologo.gif" height="40"><br>';
		} else echo '<center><img src="../img/nologo.gif" height="40"><br>';	
		echo '<h1>'.$data['league_name'].'</h1></center></td>';
	
		$teams_old = $data['league_teams'];
		echo '<input type="hidden" name="to" size="2" value="'.$teams_old.'" readonly class="textbox">';
		echo '<td align="center">'.$locale['wst104'].'</td>';
		echo '<td align="center">'.$locale['wst159'].'</td></tr>
					<tr class="tbl1">
	 				<td align="center"><input type="text" name="leaguename" value="'.$data['league_name'].'" maxlength="30" class="textbox"></td>';
	 	echo '<td align="center">
					<select name="image">
	 				<option value="'.$data['league_logo'].'">'.$data['league_logo'].'</option>
	 				<option value="">- NoLogo -</option>';
	
		$verz=opendir(INFUSIONS . "wir_sind_tippspiel/img/leagues/");
		while($file = readdir($verz)) {
			if($file != '.' && $file != '..') {
				echo '<option>'.$file .'</option>';
			}
		}
		closedir($verz);
		echo '</select></td></tr>
					<tr class="tbl1"><td align="center" colspan="2">'.$locale['wst160'].'<br><textarea cols="40" rows="5" name="description" class="textbox" wrap="soft">'.$data['league_description'].'</textarea></td></tr>';
					
		if ($data['league_tipp']==0)
			echo '<tr class="tbl1"><td align="center">'.$locale['wst163'].'</td><td align="center"><input type="checkbox" name="tipp"></td></tr>';
		else echo '<tr class="tbl1"><td align="center">'.$locale['wst163'].'</td><td align="center"><input type="checkbox" name="tipp" checked></td></tr>';
			
		if ($data['league_vis']==0)
			echo '<tr class="tbl1"><td align="center">'.$locale['wst281'].'</td><td align="center"><input type="checkbox" name="visible"></td></tr>';
		else echo '<tr class="tbl1"><td align="center">'.$locale['wst281'].'</td><td align="center"><input type="checkbox" name="visible" checked></td></tr>';		
			
		if ($data['istoto']==0)	
			echo '<tr class="tbl1"><td align="center">'.$locale['wst108'].'</td><td align="center"><input type="checkbox" name="toto"><br></td></tr>';
		else echo '<tr class="tbl1"><td align="center">'.$locale['wst108'].'</td><td align="center"><input type="checkbox" name="toto" checked><br></td></tr>';
			
		if ($data['tbl_enabled']==0)	
			echo '<tr class="tbl1"><td align="center">'.$locale['wst141'].'</td><td align="center"><input type="checkbox" name="table"></td></tr>';
		else echo '<tr class="tbl1"><td align="center">'.$locale['wst141'].'</td><td align="center"><input type="checkbox" name="table" checked></td></tr>';	
		
		if ($data['league_enbonus']==0)	
			echo '<tr class="tbl1"><td align="center">'.$locale['wst181'].'</td><td align="center"><input type="checkbox" name="enbonus" class="textbox"></td></tr>';
		else echo '<tr class="tbl1"><td align="center">'.$locale['wst181'].'</td><td align="center"><input type="checkbox" name="enbonus" checked class="textbox"></td></tr>';
		
		if ($data['league_encomm']==0)	
			echo '<tr class="tbl1"><td align="center">'.$locale['wst202'].'</td><td align="center"><input type="checkbox" name="encomm" class="textbox"></td></tr>';
		else echo '<tr class="tbl1"><td align="center">'.$locale['wst202'].'</td><td align="center"><input type="checkbox" name="encomm" checked class="textbox"></td></tr>';
		
		echo '<tr class="tbl1"><td align="center">'.$locale['wst352'].'</td><td align="center"><select name="l_type">';
		if ($data['league_type'] == 0)
			echo '<option value="0" selected>'.$locale['wst107'].'</option><option value="1">'.$locale['wst351'].'</option>';
		else echo '<option value="0">'.$locale['wst107'].'</option><option value="1" selected>'.$locale['wst351'].'</option>';
		echo '</select></td></tr>';	
		
		$listleagues = dbquery("select * from ".$db_prefix."wst_leagues order by league_name");
		echo '<tr class="tbl1"><td align="center">'.$locale['wst428'].'</td><td align="center"><select name="l_parent">';
		echo '<option value="0">-----</option>';
		while ($dataleagues = dbarray($listleagues)) {
			if ($data['league_parent'] == $dataleagues['league_id'])
				echo '<option value="'.$dataleagues['league_id'].'" selected>'.$dataleagues['league_name'].'</option>';
			else echo '<option value="'.$dataleagues['league_id'].'">'.$dataleagues['league_name'].'</option>';
		}
		echo '</select></td></tr>';	
		
		$cats = explode(";", $locale['wst997']);
		$cncod = explode(";", $locale['wst998']);
		$cntr = explode(";", $locale['wst999']);
		
		echo '<tr class="tbl1"><td align="center">'.$locale['wst521'].'</td><td align="center"><select name="lcat">';
		for ($i=0; $i<sizeof($cats); $i++)
			if ($data['league_cat'] == $cats[$i])
				echo '<option value="'.$cats[$i].'" selected>'.$cats[$i].'</option>';
			else echo '<option value="'.$cats[$i].'">'.$cats[$i].'</option>';
		echo '</select></td></tr>';	
		
		echo '<tr class="tbl1"><td align="center">'.$locale['wst522'].'</td><td align="center"><select name="lcntry">';
		for ($i=0; $i<sizeof($cntr); $i++)
			if ($data['league_country'] == $cncod[$i])
				echo '<option value="'.$cncod[$i].'" selected>'.$cntr[$i].'</option>';
			else echo '<option value="'.$cncod[$i].'">'.$cntr[$i].'</option>';
		echo '</select></td></tr>';
		
		
		echo '<tr class="tbl1"><td align="center">'.$locale['wst523'].'</td><td align="center"><select name="isarc">';
		if ($data['league_arc'] == 0)
			echo '<option value="0" selected>'.$locale['wst293'].'</option><option value="1">'.$locale['wst292'].'</option>';
		else echo '<option value="0">'.$locale['wst293'].'</option><option value="1" selected>'.$locale['wst292'].'</option>';
		echo '</select></td></tr>';	
		
		echo '<tr class="tbl2">
			  <td align="center" colspan="4"><input type="submit" name="save" value="'.$locale['wst140'].'" class="button">
			  </td></tr>
  			</table></form>';
	closetable();
	
	openside($locale['wst154']);
		include("alo_teams.php");
	closeside();
}


if ($action == "config_league") {
	if (isset($_POST['save']) && $_POST['save'] == TRUE) {
		$result = dbquery("select * from ".$db_prefix."wst_leagues where league_id=$l_id");
		$data = dbarray($result);
		
		if ($data['istoto'] == 0) {
			if (isset($_POST['endiff']) && $_POST['endiff'] == TRUE) 
				$endiff=1; 
			else $endiff=0;
			if (isset($_POST['enfunfer']) && $_POST['enfunfer'] == TRUE) 
				$enfunfer=1; 
			else $enfunfer=0;
			if (isset($_POST['enchampion']) && $_POST['enchampion'] == TRUE) 
				$enchampion=1; 
			else $enchampion=0;
			if (isset($_POST['enbonus']) && $_POST['enbonus'] == TRUE) 
				$enbonus=1; 
			else $enbonus=0;
			if (isset($_POST['difftie']) && $_POST['difftie'] == TRUE) 
				$difftie=1; 
			else $difftie=0;
			if (isset($_POST['tipplogo']) && $_POST['tipplogo'] == TRUE) 
				$tipplogo=1; 
			else $tipplogo=0;
			$l_id = (isset($_POST['l_id']) && isNum($_POST['l_id'])) ? $_POST['l_id'] : 0;	
			$crichtig = (isset($_POST['crichtig']) && isNum($_POST['crichtig'])) ? $_POST['crichtig'] : 0;	
			$ctendenz = (isset($_POST['ctendenz']) && isNum($_POST['ctendenz'])) ? $_POST['ctendenz'] : 0;	
			$cdiff = (isset($_POST['cdiff']) && isNum($_POST['cdiff'])) ? $_POST['cdiff'] : 0;	
			$cfunfer = (isset($_POST['cfunfer']) && isNum($_POST['cfunfer'])) ? $_POST['cfunfer'] : 0;	
			$cbonus = (isset($_POST['cbonus']) && isNum($_POST['cbonus'])) ? $_POST['cbonus'] : 0;	
			$zeit = (isset($_POST['zeit']) && isNum($_POST['zeit'])) ? $_POST['zeit'] : 0;	
			$auf = (isset($_POST['auf']) && isNum($_POST['auf'])) ? $_POST['auf'] : 0;	
			$ab = (isset($_POST['ab']) && isNum($_POST['ab'])) ? $_POST['ab'] : 0;	
			$cl = (isset($_POST['cl']) && isNum($_POST['cl'])) ? $_POST['cl'] : 0;	
			$uefa = (isset($_POST['uefa']) && isNum($_POST['uefa'])) ? $_POST['uefa'] : 0;	
			$vic = (isset($_POST['vic']) && isNum($_POST['vic'])) ? $_POST['vic'] : 0;	
			$tie = (isset($_POST['tie']) && isNum($_POST['tie'])) ? $_POST['tie'] : 0;	
			$rel = (isset($_POST['rel']) && isNum($_POST['rel'])) ? $_POST['rel'] : 0;	
			$reld = (isset($_POST['reld']) && isNum($_POST['reld'])) ? $_POST['reld'] : 0;	
			
			$result = dbquery("update ".$db_prefix."wst_config set config_richtig=$crichtig, config_tendenz=$ctendenz,
			config_diff=$cdiff, config_funfer=$cfunfer, config_bonus=$cbonus, config_diff_active=$endiff,
			config_funfer_active=$enfunfer, config_bonus_active=$enbonus, config_tippzeit=$zeit, config_auf=$auf,
			config_ab=$ab, config_cl=$cl, config_uefa=$uefa, config_diff_tie=$difftie, config_vic=$vic, config_tie=$tie,
			config_rel=$rel, config_reld=$reld, config_logo=$tipplogo where league_id=$l_id");	
			$url = "leagues.php?act=config_league&lid=".$lid;
			redirect($url);
		}

		if ($data['istoto'] == 1) {
			if ($enbonus) 
				$enbonus=1; 
			else $enbonus=0;
			$result = dbquery("update ".$db_prefix."wst_config set config_tendenz=$ctendenz, config_bonus=$cbonus, 
			config_bonus_active=$enbonus, config_tippzeit=$zeit where league_id=$l_id");	
		}		
	}
	
	opentable($locale['wst165']);
		$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
		$result = dbquery("select * from ".$db_prefix."wst_config as A left join ".$db_prefix."wst_leagues as B on A.league_id=B.league_id where A.league_id=$lid");
		$data = dbarray($result);
	
		if ($data['league_logo']!="") {
			if (file_exists("../img/leagues/".$data['league_logo']))
				echo '<center><img src="../img/leagues/'.$data['league_logo'].'" height="40"><br>';
			else echo '<center><img src="../img/nologo.gif" height="40"><br>';
		} else echo '<center><img src="../img/nologo.gif" height="40"><br>';	
		
		echo '<h1>'.$data['league_name'].'</h1></center>';
		if ($data['istoto'] == 0)	{
			echo '<form method="post">
					<table align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">
					<tr class="tbl2">
					<td>'.$locale['wst305'].'</td><td><b>'.$data['league_id'].'<input type="hidden" name="l_id" value="'.$data['league_id'].'"></b></td><td></td></tr>
					<tr class="tbl1">
					<td>'.$locale['wst166'].'</td><td><input type="text" size="2" maxlength="2" name="crichtig" value="'.$data['config_richtig'].'" class="textbox"></td><td></td></tr>
					<tr class="tbl2">
					<td>'.$locale['wst167'].'</td><td><input type="text" size="2" maxlength="2" name="ctendenz" value="'.$data['config_tendenz'].'" class="textbox"></td><td></td></tr>
					<tr class="tbl1">
					<td>'.$locale['wst168'].'</td><td><input type="text" size="2" maxlength="2" name="cdiff" value="'.$data['config_diff'].'" class="textbox"></td><td>';
					
					
			if ($data['config_diff_active']==0) 
				echo '<input type="checkbox" name="endiff" class="checkbox"></td></tr>';
			else echo '<input type="checkbox" name="endiff" class="checkbox" checked></td></tr>';	
			
			echo '<tr class="tbl2"><td>'.$locale['wst429'].'</td><td></td><td>';
			if ($data['config_diff_tie']==0) 
				echo '<input type="checkbox" name="difftie" class="checkbox"></td></tr>';
			else echo '<input type="checkbox" name="difftie" class="checkbox" checked></td></tr>';	
			
			echo '<tr class="tbl2"><td>'.$locale['wst169'].'</td><td><input type="text" size="2" maxlength="2" name="cfunfer" value="'.$data['config_funfer'].'" class="textbox"></td><td>';
			if ($data['config_funfer_active']==0) 
				echo '<input type="checkbox" name="enfunfer" class="checkbox"></td></tr>';
			else echo '<input type="checkbox" name="enfunfer" class="checkbox" checked></td></tr>';	
			echo '<tr class="tbl1"><td>'.$locale['wst171'].'</td><td><input type="text" size="2" maxlength="2" name="cbonus" value="'.$data['config_bonus'].'" class="textbox"></td><td>';
			if ($data['config_bonus_active']==0) 
				echo '<input type="checkbox" name="enbonus" class="checkbox"></td></tr>';
			else echo '<input type="checkbox" name="enbonus" class="checkbox" checked></td></tr>';	
					
			echo '<tr class="tbl2"><td>'.$locale['wst237'].' '.$locale['wst306'].'</td><td><input type="text" size="3" maxlength="3" name="zeit" value="'.$data['config_tippzeit'].'" class="textbox"></td><td>';	
			echo '<tr class="tbl1"><td colspan="3"></td></tr>';			
			echo '<tr class="tbl1" align="center"><td colspan="3"><b>'.$locale['wst405'].'<b></td></tr>';		
			echo '<tr class="tbl2"><td>'.$locale['wst406'].'</td><td><input type="text" size="1" maxlength="1" name="auf" value="'.$data['config_auf'].'" class="textbox"></td><td>';	
			echo '<tr class="tbl1"><td>'.$locale['wst407'].'</td><td><input type="text" size="1" maxlength="1" name="ab" value="'.$data['config_ab'].'" class="textbox"></td><td>';	
			echo '<tr class="tbl2"><td>'.$locale['wst408'].'</td><td><input type="text" size="1" maxlength="1" name="cl" value="'.$data['config_cl'].'" class="textbox"></td><td>';	
			echo '<tr class="tbl1"><td>'.$locale['wst409'].'</td><td><input type="text" size="1" maxlength="1" name="uefa" value="'.$data['config_uefa'].'" class="textbox"></td><td>';	
			echo '<tr class="tbl2"><td>'.$locale['wst519'].'</td><td><input type="text" size="2" maxlength="2" name="rel" value="'.$data['config_rel'].'" class="textbox"></td><td>';	
			echo '<tr class="tbl1"><td>'.$locale['wst520'].'</td><td><input type="text" size="2" maxlength="2" name="reld" value="'.$data['config_reld'].'" class="textbox"></td><td>';	
			echo '<tr class="tbl1"><td colspan="3"></td></tr>';			
			echo '<tr class="tbl1" align="center"><td colspan="3"><b>'.$locale['wst165'].'<b></td></tr>';		
			echo '<tr class="tbl2"><td>'.$locale['wst456'].'</td><td><input type="text" size="2" maxlength="2" name="vic" value="'.$data['config_vic'].'" class="textbox"></td><td>';	
			echo '<tr class="tbl1"><td>'.$locale['wst457'].'</td><td><input type="text" size="2" maxlength="2" name="tie" value="'.$data['config_tie'].'" class="textbox"></td><td>';	
			echo '<tr class="tbl2"><td>'.$locale['wst524'].'</td><td></td><td>';
			if ($data['config_logo']==0) 	
				echo '<input type="checkbox" name="tipplogo" class="checkbox"></td></tr>';
			else echo '<input type="checkbox" name="tipplogo" class="checkbox" checked></td></tr>';	

			echo '<tr class="tbl1"><td align="center" colspan="3"><input type="submit" name="save" value="'.$locale['wst140'].'" class="button"></td></tr></table></form>';	
		}
	
		if ($data['istoto'] == 1)	{
			echo '<form method="post">
					<table align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">
					<tr class="tbl1">
					<td>Liga ID</td><td><input type="text" readonly size="2" maxlength="2" name="l_id" value="'.$data['league_id'].'" class="textbox"></td><td></td></tr>
					<tr class="tbl1">
					<td>'.$locale['wst167'].'</td><td><input type="text" size="2" maxlength="2" name="ctendenz" value="'.$data['config_tendenz'].'" class="textbox"></td><td></td></tr>';
			echo '<tr class="tbl1">
					<td>'.$locale['wst171'].'</td><td><input type="text" size="2" maxlength="2" name="cbonus" value="'.$data['config_bonus'].'" class="textbox"></td><td>';
			if ($data['config_bonus_active']==0) 
				echo '<input type="checkbox" name="enbonus" class="checkbox">'.$locale['wst173'].'</td></tr>';
			else echo '<input type="checkbox" name="enbonus" class="checkbox" checked>'.$locale['wst172'].'</td></tr>';
			echo '<tr class="tbl1"><td>'.$locale['wst237'].' '.$locale['wst306'].'</td><td><input type="text" size="3" maxlength="3" name="zeit" value="'.$data['config_tippzeit'].'" class="textbox"></td><td>';	
			echo '<tr class="tbl2"><td align="center" colspan="3"><input type="submit" name="save" value="'.$locale['wst140'].'" class="button"></td></tr></table></form>';	
		}
	closetable();
}


if ($action == "del_league") {
	$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
	$result = dbquery("delete from ".$db_prefix."wst_leagues where league_id=$lid");
	$result_b = dbquery("select * from ".$db_prefix."wst_bonus where league_id=$lid");
	while ($data_b = dbarray($result_b)) {
		$bonus_id = $data_b['bonus_id'];
		$result = dbquery("delete from ".$db_prefix."wst_userbonus where user_id=$user and bonus_id=$bonus_id");
	}
	$result = dbquery("delete from ".$db_prefix."wst_bonus where league_id=$lid");
	$result = dbquery("delete from ".$db_prefix."wst_matchdays where league_id=$lid");
	$result = dbquery("delete from ".$db_prefix."wst_results where league_id=$lid");
	$result = dbquery("delete from ".$db_prefix."wst_usertipps where league_id=$lid");
	$result = dbquery("delete from ".$db_prefix."wst_userpoints where league_id=$lid");
	$result = dbquery("delete from ".$db_prefix."wst_teampoints where league_id=$lid");
	$url = "leagues.php?act=list_leagues";
	redirect($url);
}

if ($action == "cleanup_league")
{
	$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
	$result = dbquery("update ".$db_prefix."wst_leagues set league_tipp=0 where league_id=$lid");
	
	$result_b = dbquery("select * from ".$db_prefix."wst_bonus where league_id=$lid");
	while ($data_b = dbarray($result_b)) {
		$bonus_id = $data_b['bonus_id'];
		$result = dbquery("delete from ".$db_prefix."wst_userbonus where user_id=$user and bonus_id=$bonus_id");
	}
	$result = dbquery("delete from ".$db_prefix."wst_bonus where league_id=$lid");
	$result = dbquery("delete from ".$db_prefix."wst_usertipps where league_id=$lid");
	$result = dbquery("delete from ".$db_prefix."wst_userpoints where league_id=$lid");
	$result = dbquery("delete from ".$db_prefix."wst_usercomm where league_id=$lid");
	$url = "leagues.php?act=list_leagues";
	redirect($url);
}



if (isset($_GET['lid']))
{
	$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
	$result = dbquery("select * from ".$db_prefix."wst_leagues where league_id=$lid");
	$data = dbarray($result);	
	$l_name = $data['league_name'];
	echo "</td><td align='right'>";
	rightside($lid, $l_name);
} else {
		echo "</td><td align='right'>";
		rightside();
	}
	echo "</td></tr></table>";
require_once THEMES."templates/footer.php";
?>