<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: teams.php
| Author: ChSchuetz
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."wir_sind_tippspiel/infusion_db.php";
include "../inc/del_func.php";

if (!checkrights("WST")) { redirect("../index.php"); }

$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;

if (isset($lid) && $lid != 0)
	include "league_admin_menu.php";
else
	include "admin_menu.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."wir_sind_tippspiel/locale/German.php";
}

echo "<table width='100%'><tr><td valign='top' align='center'>";

$bullet = "<img src='".THEME."images/bullet.gif' alt='' border='0'>";
$bulletb = "<img src='".THEME."images/bulletb.gif' alt='' border='0'>";

$action = isset($_GET['act']) ? stripinput($_GET['act']) : "";
$tid = (isset($_GET['tid']) && isNum($_GET['tid'])) ? $_GET['tid'] : 0;

if ($tid != 0) {
	$result = dbquery("select * from ".$db_prefix."wst_teams where team_id=$tid");
	$data = dbarray($result);
	if ($action == "edt_team") echo '<h2>'.$data['team_name'].' - '.$locale['wst179'].'</h2>';
}

if ($action == "") echo '<h2>'.$locale['wst100'].'</h2>';
if ($action == "new_team") echo '<h2>'.$locale['wst100'].' - '.$locale['wst174'].'</h2>';
if ($action == "list_teams") echo '<h2>'.$locale['wst100'].' - '.$locale['wst144'].'</h2>';
if ($action == "list_leagueteams") echo '<h2>'.$locale['wst100'].' - '.$locale['wst238'].'</h2>';
if ($action == "list_mngteampoints") echo '<h2>'.$locale['wst100'].' - '.$locale['wst411']." / ".$locale['wst412'].'</h2>';


if ($action == "new_team") {
	$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid']:0;

	if (isset($_POST['start']) && $_POST['start'] == TRUE) {
		$name = isset($_POST['teamname']) ? stripinput($_POST['teamname']) : "";
		$teamshort = isset($_POST['team_short']) ? stripinput($_POST['team_short']) : ""; 
		$timage = isset($_POST['image']) ? stripinput($_POST['image']) : "";
		$twebsite = isset($_POST['website']) ? stripinput($_POST['website']) : "";
				
		if ($name != "" && $teamshort != "") {
			$result = dbquery("insert into ".$db_prefix."wst_teams(team_name, team_short, team_logo, team_website) values('$name', '$teamshort', '$timage', '$twebsite')");
			echo "<center><b>".$locale['wst119']." ".$name." ".$locale['wst303']."</b></center>";
		} else echo "<center><b>".$locale['wst437']."</b></center>";
	}	
	opentable($locale['wst174']);
		echo '<center><form method="POST"><table align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">
				<tr class="tbl2">
				<td align="center" valign="top">'.$locale['wst128'].'</td>
				<td align="center" valign="top">'.$locale['wst129'].'</td>
				<td align="center" valign="top">'.$locale['wst175'].'</td>
				<td align="center" valign="top">'.$locale['wst176'].'</td>
				<tr>';
		echo '<td align="center">
				<input type="text" name="teamname" class="textbox"></td>
				<td align="center"><input type="text" name="team_short" size="3" maxlength="3" class="textbox"></td>
				<td align="center">
				<select name="image">
			  <option value="'.$data['team_logo'].'">'.$data['team_logo'].'</option>
			  <option value="">'.$locale['wst177'].'</option>';
		
		$verz=opendir(INFUSIONS . "wir_sind_tippspiel/img/teams/");
		while($file = readdir($verz)) {
  		if($file != '.' && $file != '..') {
				echo '<option>'.$file .'</option>';
			}
		}
		closedir($verz);
		
		echo '</select></td><td align="center"><input type="text" maxlength="50" name="website" class="textbox"></td></tr>';
		echo '<tr class="tbl2"><td align="center" colspan="7"><input type="submit" name="start" value="'.$locale['wst140'].'" class="button"></td></tr></table></form>';
		echo '</center>';
	closetable();	
}


if ($action == "list_teams") {
	$rowstart = (isset($_GET['rowstart']) && isNum($_GET['rowstart'])) ? $_GET['rowstart'] : 0;
	$sortby = (isset($_GET['sortby'])) ? $_GET['sortby'] : "";
	if (!isset($sortby)) $sortby = "all";
	$orderby = ($sortby == "all" ? "" : " WHERE team_name LIKE '".stripinput($sortby)."%'");
	$result  = dbquery("Select * from ".$db_prefix."wst_teams".$orderby." order by team_name");
	$rows = dbrows($result);
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	if ($rows != 0) $i=1; 
	
	$search = array(
		"A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R",
		"S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9"
	);
	
	echo "<br /><table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>\n<tr>\n";
	echo "<td rowspan='2' class='tbl2'><a href='".FUSION_SELF."?act=list_teams&sortby=all'>".$locale['wst239']."</a></td>";
	for ($i=0;$i < 36!="";$i++) {
		echo "<td align='center' class='tbl1'><div class='small'><a href='".FUSION_SELF."?act=list_teams&sortby=".$search[$i]."'>".$search[$i]."</a></div></td>";
		echo ($i==17 ? "<td rowspan='2' class='tbl2'><a href='".FUSION_SELF."?act=list_teams&sortby=all'>".$locale['wst239']."</a></td>\n</tr>\n<tr>\n" : "\n");
	}
	echo "</tr>\n</table>\n<br /><hr><br />";
	
	opentable($locale['wst144']);
		echo '<center><form method="post"><table width="100%" align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">
				<tr class="tbl2">
				<td align="center" valign="top">'.$locale['wst304'].'</td>
				<td align="center" valign="top">'.$locale['wst128'].'</td>
				<td align="center" valign="top">'.$locale['wst129'].'</td>
				<td align="center" valign="top">'.$locale['wst175'].'</td>
				<td align="center" valign="top">'.$locale['wst178'].'</td>
				<td align="center" colspan="2" valign="top">'.$locale['wst153'].'</td><tr>';
	
		$result  = dbquery("Select * from ".$db_prefix."wst_teams".$orderby." order by team_name limit $rowstart, 20");
		while ($data = dbarray($result)) {
			echo '<tr class="tbl1">
					<td align="center">'.$data['team_id'].'</td>
					<td align="center">'.$data['team_name'].'</td>
					<td align="center">'.$data['team_short'].'</td>
					<td align="center">';
			if ($data['team_logo'] != "") {
				if (file_exists("../img/teams/".$data['team_logo'])) {
					if ($data['team_website'] != "")
						echo '<a href="'.$data['team_website'].'" title="'.$data['team_name'].'" target="_blank"><img src="../img/teams/'.$data['team_logo'].'" border="0" height="21"></a></td>';
					else
						echo '<img src="../img/teams/'.$data['team_logo'].'" height="21"></td>';
				} else echo '<img src="../img/nologo.gif" height="21"></td>';
			} else echo '<img src="../img/nologo.gif" height="21"></td>';
			
			echo '<td align="center">'.$data['team_website'].'</td>
					<td align="center"><a href="teams.php?act=edt_team&tid='.$data['team_id'].'&rowstart='.$rowstart.'" title="'.$locale['wst286'].'"><img src="../symbols/edit.png" border="0"></a></td>
					<td align="center"><a href="teams.php?act=del_team&tid='.$data['team_id'].'&rowstart='.$rowstart.'" title="'.$locale['wst287'].'" onclick="return delteam(this);"><img src="../symbols/delete.png" border="0"></a></td>
					</tr>';
			$i++;
		}
		echo '<tr class="tbl2"></tr></table></form>';
		echo '</center>';
		if ($i < 20) $i=20;
		if ($i >= 20) echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,20,$rows,0,FUSION_SELF."?act=list_teams&sortby=$sortby&")."\n</div>\n";
	closetable();	
}

if ($action == "list_leagueteams") {
	opentable($locale['wst238']);
		echo '<center><form method="post"><table width="100%" align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">
				<tr class="tbl2">
				<td align="center" valign="top">'.$locale['wst304'].'</td>
				<td align="center" valign="top">'.$locale['wst128'].'</td>
				<td align="center" valign="top">'.$locale['wst129'].'</td>
				<td align="center" valign="top">'.$locale['wst175'].'</td>
				<td align="center" valign="top">'.$locale['wst411'].'</td>
				<td align="center" valign="top">'.$locale['wst412'].'</td>
				<td align="center" valign="top">'.$locale['wst153'].'</td>
				<tr>';
	
		$result  = dbquery("Select * from ".$db_prefix."wst_teams as a left join ".$db_prefix."wst_leagueteams as b on a.team_id=b.team_id where b.league_id=$lid order by a.team_name");
		while ($data = dbarray($result)) {
			$teamp  = dbarray(dbquery("Select * from ".$db_prefix."wst_teampoints where league_id=$lid and matchday_id=0 and match_id=0 and team_id=".$data['team_id']));
			if ($teamp['points'] < 0) {
				$strafp = (-1)*$teamp['points'];
				$bonusp = 0;
			}
			if ($teamp['points'] > 0) {
				$bonusp = $teamp['points'];
				$strafp = 0;
			}
			if ($teamp['points'] == 0) {
				$strafp = 0;
				$bonusp = 0;
			}
			echo '<tr class="tbl1">
					<td align="center">'.$data['team_id'].'</td>
					<td align="center">'.$data['team_name'].'</td>
					<td align="center">'.$data['team_short'].'</td>
					<td align="center">';
			if ($data['team_logo'] != "") {
				if (file_exists("../img/teams/".$data['team_logo'])) {
					if ($data['team_website'] != "")
						echo '<a href="'.$data['team_website'].'" title="'.$data['team_name'].'" target="_blank"><img src="../img/teams/'.$data['team_logo'].'" border="0" height="21"></a></td>';
					else
						echo '<img src="../img/teams/'.$data['team_logo'].'" height="21"></td>';
				} else echo '<img src="../img/nologo.gif" height="21"></td>';
			} else echo '<img src="../img/nologo.gif" height="21"></td>';
			echo '<td align="center">'.$strafp.'</td>';
			echo '<td align="center">'.$bonusp.'</td>';
			echo '<td align="center"><a href="teams.php?act=mngteampoints&tid='.$data['team_id'].'&lid='.$lid.'"><img src="../symbols/plusminus.gif" border="0"></a></td></tr>';
		}
		echo '<tr class="tbl2"></tr></table></form>';
		echo '</center>';
	closetable();	
}

if ($action == "mngteampoints") {
	if (isset($_POST['savepoints']) && $_POST['savepoints'] == TRUE) {
		$straf = (isset($_POST['straf']) && isNum($_POST['straf'])) ? $_POST['straf']: 0;
		$bonus = (isset($_POST['bonus']) && isNum($_POST['bonus'])) ? $_POST['bonus']: 0;
		
		if ($straf != 0 && $bonus == 0) {
			$straf = (-1)*$straf;
			$teamp  = dbquery("update ".$db_prefix."wst_teampoints set points=$straf where league_id=$lid and matchday_id=0 and match_id=0 and team_id=".$data['team_id']);
		}
		if ($bonus != 0 && $straf == 0)	{
			$teamp  = dbquery("update ".$db_prefix."wst_teampoints set points=$bonus where league_id=$lid and matchday_id=0 and match_id=0 and team_id=".$data['team_id']);
		}
		if ($bonus == 0 && $straf == 0)	{
			$teamp  = dbquery("update ".$db_prefix."wst_teampoints set points=0 where league_id=$lid and matchday_id=0 and match_id=0 and team_id=".$data['team_id']);
		}
	}
		
	$tid = (isset($_GET['tid']) && isNum($_GET['tid'])) ? $_GET['tid'] : 0;
	
	opentable($locale['wst411']." / ".$locale['wst412']);
		echo '<center><form method="post"><table width="100%" align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">
				<tr class="tbl2">
				<td align="center" valign="top">'.$locale['wst304'].'</td>
				<td align="center" valign="top">'.$locale['wst128'].'</td>
				<td align="center" valign="top">'.$locale['wst129'].'</td>
				<td align="center" valign="top">'.$locale['wst175'].'</td>
				<td align="center" valign="top">'.$locale['wst411'].'</td>
				<td align="center" valign="top">'.$locale['wst412'].'</td>
				<td align="center" valign="top"></td>
				<tr>';
	
		$result  = dbquery("Select * from ".$db_prefix."wst_teams where team_id=$tid");
		while ($data = dbarray($result)) {
			$teamp  = dbarray(dbquery("Select * from ".$db_prefix."wst_teampoints where league_id=$lid and matchday_id=0 and match_id=0 and team_id=".$data['team_id']));
			if ($teamp['points'] < 0) {
				$strafp = (-1)*$teamp['points'];
				$bonusp = 0;
			}
			if ($teamp['points'] > 0) {
				$bonusp = $teamp['points'];
				$strafp = 0;
			}
			if ($teamp['points'] == 0) {
				$strafp = 0;
				$bonusp = 0;
			}
		
			echo '<tr class="tbl1">
					<td align="center">'.$data['team_id'].'</td>
					<td align="center">'.$data['team_name'].'</td>
					<td align="center">'.$data['team_short'].'</td>
					<td align="center">';
			if ($data['team_logo'] != "")	{
				if (file_exists("../img/teams/".$data['team_logo'])) {
					if ($data['team_website'] != "")
						echo '<a href="'.$data['team_website'].'" title="'.$data['team_name'].'" target="_blank"><img src="../img/teams/'.$data['team_logo'].'" border="0" height="21"></a></td>';
					else
						echo '<img src="../img/teams/'.$data['team_logo'].'" height="21"></td>';
				} else echo '<img src="../img/nologo.gif" height="21"></td>';
			}	else echo '<img src="../img/nologo.gif" height="21"></td>';
			
			echo '<td align="center"><input type="text" size="3" maxlength="3" name="straf" value="'.$strafp.'" class="textbox"></td>';
			echo '<td align="center"><input type="text" size="3" maxlength="3" name="bonus" value="'.$bonusp.'" class="textbox"></td>';
			echo '<td align="center"><input type="submit" name="savepoints" value="'.$locale['wst140'].'" class="button"></td></tr>';
		}
		echo '<tr class="tbl2"></tr></table></form>';
		echo '</center>';
	closetable();	
}


if ($action == "edt_team") {
	$rowstart = isNum($_GET['rowstart']) ? $_GET['rowstart'] : 0;
	if (isset($_POST['start']) && $_POST['start'] == TRUE) {
		$name = isset($_POST['teamname']) ? stripinput($_POST['teamname']) : "";
		$teamshort = isset($_POST['team_short']) ? stripinput($_POST['team_short']) : ""; 
		$timage = isset($_POST['image']) ? stripinput($_POST['image']) : "";
		$twebsite = isset($_POST['website']) ? stripinput($_POST['website']) : "";
		$tid = (isset($_POST['id']) && isNum($_POST['id'])) ? $_POST['id'] : 0;
		$result_upd = dbquery("UPDATE ".$db_prefix."wst_teams set team_name='$name', team_short='$teamshort', team_logo='$timage', team_website='$twebsite' where team_id=$tid");
		$url = "teams.php?act=list_teams&rowstart=".$rowstart;
		redirect($url);
	}

	$result = dbquery("select * from ".$db_prefix."wst_teams where team_id=$tid");
	$data = dbarray($result);
	
	opentable("Edit Team");
		echo '<center><form method="post"><table align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">
				<tr class="tbl2">
				<td align="center" valign="top"></td>
				<td align="center" valign="top">'.$locale['wst128'].'</td>
				<td align="center" valign="top">'.$locale['wst129'].'</td>
				<td align="center" valign="top">'.$locale['wst175'].'</td>
				<td align="center" valign="top">'.$locale['wst176'].'</td><tr>';
		echo '<tr class="tbl1"><td align="center">';	
		if ($data['team_logo']!="") {
			if (file_exists("../img/teams/".$data['team_logo']))
				echo '<img src="../img/teams/'.$data['team_logo'].'" height="21"></td>';
			else 	
				echo '<img src="../img/nologo.gif" height="21"></td>';
		} else echo '<img src="../img/nologo.gif" height="21"></td>';	
		echo '<td align="center">
				<input type="hidden" name="id" size="2" value="'.$data['team_id'].'" readonly class="textbox">
				<input type="text" name="teamname" value="'.$data['team_name'].'" class="textbox"></td>
				<td align="center"><input type="text" name="team_short" size="3" maxlength="3" value="'.$data['team_short'].'" class="textbox"></td>
				<td align="center">
				<select name="image">
		    <option value="'.$data['team_logo'].'">'.$data['team_logo'].'</option>
		    <option value="">'.$locale['wst177'].'</option>';
		    
		$verz=opendir(INFUSIONS . "wir_sind_tippspiel/img/teams/");
		while($file = readdir($verz))	{
  		if($file != '.' && $file != '..') {
				echo '<option>'.$file .'</option>';
			}
		}
		closedir($verz);
		echo '</select></td>
				<td align="center"><input type="text" maxlength="50" name="website" value="'.$data['team_website'].'" class="textbox"></td>
				</tr>';
		echo '<tr class="tbl2"><td align="center" colspan="7"><input type="submit" name="start" value="'.$locale['wst140'].'" class="button"></td></tr></table></form>';
		echo '</center>';
	closetable();	
	include("adm_td.php");
}

if ($action == "del_team") {
	$tid = (isset($_GET['tid']) && isNum($_GET['tid'])) ? $_GET['tid'] : 0;
	$rowstart = (isset($_GET['rowstart']) && isNum($_GET['rowstart'])) ? $_GET['rowstart'] : 0;
	$result = dbquery("delete from ".$db_prefix."wst_teams where team_id=$tid");
	$result = dbquery("delete from ".$db_prefix."wst_leagueteams where team_id=$tid");
	$result = dbquery("delete from ".$db_prefix."wst_teaminfo where team_id=$tid");
	$url = "teams.php?act=list_teams&rowstart=".$rowstart;
	redirect($url);
}

if (isset($lid)) {
	$result = dbarray(dbquery("select * from ".$db_prefix."wst_leagues where league_id=$lid"));
	echo "</td><td align='right'>";
	rightside($lid, $result['league_name']);	
} else {
		echo "</td><td align='right'>";
		rightside();	
	}

	echo "</td></tr></table>";
require_once THEMES."templates/footer.php";
?>