<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: leagues.php
| Author: ChSchuetz
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."wir_sind_tippspiel/infusion_db.php";

if (!defined("IN_FUSION")) { die("Access Denied"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."wir_sind_tippspiel/locale/German.php";
}

$bullet = "<img src='".THEME."images/bullet.gif' alt='' border='0'>";
$bulletb = "<img src='".THEME."images/bulletb.gif' alt='' border='0'>";
$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
$md = (isset($_GET['md']) && isNum($_GET['md'])) ? $_GET['md'] : 0;
$action = isset($_GET['act']) ? stripinput($_GET['act']) : "";
if (iMEMBER)
	$uid = $userdata['user_id'];
else $uid = 0;

$result = dbquery("select * from ".$db_prefix."wst_leagues where league_id=$lid");
$data_ll = dbarray($result);
$lt = $data_ll['league_tipp'];
$toto = $data_ll['istoto'];

$result_c = dbquery("select * from ".$db_prefix."wst_config where league_id=$lid");
$data_c = dbarray($result_c);

$result2 = dbquery("select max(matchday_id) as maxmd from ".$db_prefix."wst_matchdays where league_id=$lid");
$data2 = dbarray($result2);

if ($data_ll['league_parent'] == 0) {
		if ($data_ll['league_logo']!="" && file_exists("img/leagues/".$data_ll['league_logo']))	{
			$limage = "img/leagues/".$data_ll['league_logo'];
		} else $limage = "img/nologo.gif";
	}	else {
		$result_pp = dbquery("select * from ".$db_prefix."wst_leagues where league_id=".$data_ll['league_parent']);
		$data_pp = dbarray($result_pp);
		
		if ($data_pp['league_logo']!="" && file_exists("img/leagues/".$data_pp['league_logo']))	{
			$limage = "img/leagues/".$data_pp['league_logo'];
		} else $limage = "img/nologo.gif";
	}
	
$haschild = dbarray(dbquery("select count(*) as c, league_parent from ".$db_prefix."wst_leagues where league_id!=$lid and league_parent=$lid group by league_parent"));
$resultAMK = dbquery("select * from ".$db_prefix."wst_leagues where league_vis=1 and league_parent=0 and league_arc=0 order by league_name");

//AMK Modification, inserting help link and quick jump
echo '<SCRIPT language="JavaScript">
function reload(form){
var val=form.cboJump.options[form.cboJump.options.selectedIndex].value;
self.location="league.php?lid=" + val ;
}</script>';

$rowsAMK = dbrows($resultAMK);
if ($rowsAMK >= 1) {
	echo '<table class="tbl1" border="0" cellpadding="4" cellspacing="1"><tr class="tbl2" valign="center">
	<td align="center" valign="bottom"><img src="'.$limage.'" ></td>
	<td align="center" valign="top">Quick Link<br><form method="POST"><select size="1" name="cboJump" onchange="reload(this.form)" onload="reload(this.form)">';

	$datum = time();
	$result = dbquery("select * from ".$db_prefix."wst_matchdays where league_id=$lid order by matchday_datestamp asc");
	if (dbrows($result) > 0)
	while($data = dbarray($result)) {
		if ($data['matchday_datestamp'] >= ($datum-43200)) {
			$today=1;
			$matchdid=$data['matchday_id'];
			$result_2 = dbquery("select * from ".$db_prefix."wst_matchdays where league_id=$lid and matchday_id=$matchdid and match_id=0");
			$data_2 = dbarray($result_2);
			$matchdescr=$data_2['matchday_descr'];
			break;
		}
		else $matchdid = 1;
	}
	else $matchdid = 1;

	while ($dataAMK = dbarray($resultAMK)) {
		echo '<option value="'.$dataAMK['league_id'].'"';
		if ($lid == $dataAMK['league_id']) echo ' selected ';
		if ($dataAMK['league_id'] == $data_ll['league_parent']) echo ' selected ';
		echo '>'.$dataAMK['league_name'].'</option>';
	}
	echo '</form></select></td>';
	
	if (iADMIN && $haschild['c'] == 0)
		echo '<td align="left" valign="top" class="tbl1">
		'.$bullet.' <a href="admin/league_admin.php?act=admin_results&lid='.$lid.'&md='.$matchdid.'"  title="'.$locale['wst157'].'" target="_blank">'.$locale['wst157'].'</a><br>
		'.$bullet.' <a href="admin/league_admin.php?act=admin_fixtures&lid='.$lid.'&md='.$matchdid.'" title="'.$locale['wst151'].'" target="_blank">'.$locale['wst151'].'</a>
		</td>
		<td align="left" valign="top" class="tbl1">
		'.$bullet.' <a href="admin/user_admin.php?act=list_users&lid='.$lid.'&md='.$matchdid.'" title="'.$locale['wst279'].'" target="_blank">'.$locale['wst279'].'</a><br>
		'.$bullet.' <a href="admin/leagues.php?act=list_leagues" title="'.$locale['wst419'].'" target="_blank">'.$locale['wst419'].'</a>
		</td>';
	echo '</tr></table>';
} else {
echo '<table class="tbl1" border="0" cellpadding="4" cellspacing="1"><tr class="tbl2" valign="center">
<td align="center" valign="bottom"><img src="'.$limage.'" ></td></tr></table>';
}
//End of AMK Modification

if ($haschild['c'] != 0 || $data_ll['league_parent'] != 0)
	include "inc/nav_parent.php";

include "inc/nav_user.php";

if ($action == "sh_td") {
	include("sh_td.php");
}

if ($action == "sh_tstats") {
	include("sh_tstats.php");
}

if ($action == "sh_tl") {
	if (iMEMBER) {
		$action2 = isset($_GET['act2']) ? stripinput($_GET['act2']) : "";
		include("inc/nav_points.php");
		include("sh_tl.php");
	} else redirect("index.php");
}

if ($action == "show_commpoints_parent") {
	include("sh_commpoints_parent.php");
}

if ($action == "sh_details") {
	$lid = isNum($_GET['lid']) ? $_GET['lid'] : 0;
	$md = isNum($_GET['md']) ? $_GET['md'] : 0;
	$mid = isNum($_GET['mid']) ? $_GET['mid'] : 0;
	include("sh_details.php");
}

// Bonusfragen
if ($action == "set_bonus") {
	if ($lt == 1) {
		if (iMEMBER)
			include("bonus.php");	
		else redirect("index.php");
	}
	else redirect("index.php");
}
// Ende Bonusfragen

// Community auswhlen
if ($action == "set_comm") {
	if ($lt == 1 && iMEMBER) {
		include("set_comm.php");
	}
	else redirect("index.php");
} 
// Ende Community auswhlen

// Community verlassen
if ($action == "unset_comm") {
	if ($lt == 1 && iMEMBER) {
		$lid = isNum($_GET['lid']) ? $_GET['lid'] : 0;
		$comid = isNum($_GET['com']) ? $_GET['com'] : 0;
		$result = dbquery("delete from ".$db_prefix."wst_usercomm where user_id=$uid and league_id=$lid and comm_id=$comid");
		redirect("league.php?act=set_comm&lid=".$lid);
	}
	else redirect("league.php?act=set_comm&lid=".$lid);
} 
// Ende Community verlassen

// Community Details anzeigen
if ($action == "com_details") {
	if ($lt == 1 && iMEMBER) {
		include("com_details.php");
	}
	else redirect("index.php");
} 
// Community Details

// Tabelle der Liga anzeigen
if ($action == "show_table") {	
	if ($data['league_tbl'] == 1)	{
		if ($st_wahl) $md = isNum($st_list) ? $st_list : 0; 
		include "inc/md_select.php";
		include "inc/table.php";
	}
	else redirect("index.php");
} 
// Ende Tabelle der Liga anzeigen

// Punktestand anzeigen
if ($action == "show_points") {	
	if ($lt == 1 && iMEMBER) {
		if (isset($st_wahl)) {
			$mds = (isset($st_list) && isNum($st_list)) ? $st_list : 0; 
			$md = (isset($st_list) && isNum($st_list)) ? $st_list : 0; 
		}
		include "inc/md_select.php";
		include "sh_points.php";
	}
	else redirect("index.php");
}
// Ende Punktestand anzeigen

// Community Punktestand anzeigen
if ($action == "show_commpoints") {	
	if ($lt == 1 && iMEMBER) {	
		if (isset($_POST['select_c']) && $_POST['select_c'] == TRUE) {
			$cid = (isset($_POST['comm']) && isNum($_POST['comm'])) ? $_POST['comm'] : 0;
			$md = (isset($_POST['st_list']) && isNum($_POST['st_list'])) ? $_POST['st_list'] : 0; 
		} else $cid = 1;
		include "inc/nav_points.php";		
		include("sh_commpoints.php");
	}
	else redirect("index.php");
}
// Ende Community Punktestand anzeigen

// Alle Tipps anzeigen
if ($action == "show_tipps") {	
	if ($lt == 1 && iMEMBER) {
		if (isset($_POST['st_wahl']) && $_POST['st_wahl'] == TRUE) {
			$mds = (isset($_POST['st_list']) && isNum($_POST['st_list'])) ? $_POST['st_list'] : 0; 
			$md = (isset($_POST['st_list']) && isNum($_POST['st_list'])) ? $_POST['st_list'] : 0; 
			//$cid = (isset($_POST['comm']) && isNum($_POST['comm'])) ? $_POST['comm'] : 0;
		}
		include "inc/md_select.php";
		include "sh_tipps.php";
	}
	else redirect("index.php");
}
// Ende Alle Tipps anzeigen

// Ergebnisse anzeigen
if ($action == "show_results") {		
	$action2 = isset($_GET['act2']) ? stripinput($_GET['act2']) : "";
	include("inc/nav_table.php");

	// Spiel suchen
	include ("match_search_form.php");
	if (isset($_POST['st_wahl']) && $_POST['st_wahl'] == TRUE) {
		$md = (isset($st_list) && isNum($st_list)) ? $st_list : 0; 
		$t = (isset($st_list) && isNum($st_list)) ? $st_list : 0; 
	}
	if ($action2 == "results" || $action2 == "") {
		include "inc/md_select.php";
		include "sh_results.php";
	}
	
	if ((isset($_POST['st_wahl']) && $_POST['st_wahl'] == TRUE) || isset($matchdid)) {
		if (isset($matchdid) && !isset($_POST['st_wahl'])) $md=$matchdid;	
		$result = dbquery("select * from ".$db_prefix."wst_leagues where league_id=$lid");
		$data = dbarray($result);	
		if ($data['tbl_enabled'] == 1)
			include "inc/table.php";	
	}
}
// Ende Ergebnisse anzeigen

// Tipps abgeben
if ($action == "md") {
	if ($lt == 1 && iMEMBER) {
		$mds = (isset($_GET['md']) && isNum($_GET['md'])) ? $_GET['md'] : 0;
		include("tipps.php");	
	}
	else redirect("index.php");
}
// Ende Tipps abgeben	


if (!isset($action) || $action == "") {
	include("overview.php");
}

// Spielerstats anzeigen
if ($action == "pl_stats") {
	if ($lt == 1 && iMEMBER) {
		$uuser = isNum($_GET['uid']) ? $_GET['uid'] : 0;
		
		//$uuser = $_GET['uid'];
		$result_usr = dbquery("select * from ".$db_prefix."users where user_id=$uuser");
		$data_usr = dbarray($result_usr);		
				
		$result_config = dbquery("select * from ".$db_prefix."wst_config as A left join ".$db_prefix."wst_leagues as B on A.league_id=B.league_id where A.league_id=$lid");
		$data_config = dbarray($result_config);
		$diff_act = $data_config['config_diff_active'];
		$bonus_act = $data_config['config_bonus_active'];
		$funfer_act = $data_config['config_funfer_active'];		
	
		if (isset($_POST['st_wahl']) && $_POST['st_wahl'] == TRUE) {
			$md = isNum($st_list) ? $st_list : 0; 
			$t = isNum($st_list) ? $st_list : 0; 
		}
		include "inc/md_select.php";
		include "pl_stats.php";
	}
	else redirect("index.php");
}
// Ende SpielerStats anzeigen
require_once THEMES."templates/footer.php";
?>