<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: mywst.php
| Author: ChSchuetz
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."wir_sind_tippspiel/infusion_db.php";

if (!defined("IN_FUSION")) { die("Access Denied"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."wir_sind_tippspiel/locale/German.php";
}

$act = isset($_GET['act']) ? stripinput($_GET['act']) : "";
$id = (isset($_GET['id']) && isNum($_GET['id'])) ? $_GET['id'] : 0;

switch ($act) {
	case "rmvf": {
		$delfav = dbquery("delete from ".$db_prefix."wst_favs where user_id=".$userdata['user_id']." and league_id=$id");
		break;	
	}	
	case "rmvr": {
		$delrem = dbquery("delete from ".$db_prefix."wst_reminder where user_id=".$userdata['user_id']." and league_id=$id");
		break;	
	}	
	case "addf": {
		$addfav = dbquery("insert into ".$db_prefix."wst_favs(user_id, league_id) values(".$userdata['user_id'].", $id)");
		redirect("mywst.php");
		break;	
	}	
	case "addr": {
		$addrem = dbquery("insert into ".$db_prefix."wst_reminder(user_id, league_id) values(".$userdata['user_id'].", $id)");
		redirect("mywst.php");
		break;	
	}	
}

$bullet = "<img src='".THEME."images/bullet.gif' alt='' border='0'>";
opentable("My Wst");
closetable();
	
opentable("My WsT Favorites");
	$getfavs = dbquery("select * from ".$db_prefix."wst_favs as a left join ".$db_prefix."wst_leagues as b on a.league_id=b.league_id where a.user_id=".$userdata['user_id']." order by b.league_name");
	if (dbrows($getfavs) != 0) {
		echo "<table>";
		while ($favs = dbarray($getfavs)) {
			$getl = dbarray(dbquery("select * from ".$db_prefix."wst_leagues where league_id=".$favs['league_id']));
			echo '<tr><td width="1%">'.$bullet.'</td><td width="35%"><a href="'.INFUSIONS.'wir_sind_tippspiel/league.php?act=md&lid='.$getl['league_id'].'" title="'.$getl['league_name'].'">'.$getl['league_name'].'</a></td><td><a href="mywst.php?act=rmvf&id='.$getl['league_id'].'">'.$locale['wst476'].'</a></td>';
			echo '<td>';
			if ($getl['league_tipp'] == 0 || $getl['league_arc'] == 1) echo '<font color="red"><b>'.$locale['wst474'].'</b></font>';
			echo '</td>';
			echo '</tr>';
		}
		echo "</table><hr>";
	}
	else echo "<center>".$locale['wst475']."</center><hr>";
		
	$getnfavs = dbquery("select * from ".$db_prefix."wst_leagues where league_id not in(select league_id from ".$db_prefix."wst_favs where user_id=".$userdata['user_id'].") and league_parent=0 and league_arc=0 and league_tipp=1 order by league_name");
	if (dbrows($getnfavs) != 0)	{
		echo "<table>";
		while ($nfavs = dbarray($getnfavs))	{
			$getl = dbarray(dbquery("select * from ".$db_prefix."wst_leagues where league_id=".$nfavs['league_id']));
			echo '<tr><td width="1%">'.$bullet.'</td><td width="35%"><a href="'.INFUSIONS.'wir_sind_tippspiel/league.php?act=md&lid='.$getl['league_id'].'" title="'.$getl['league_name'].'">'.$getl['league_name'].'</a></td><td><a href="mywst.php?act=addf&id='.$getl['league_id'].'">'.$locale['wst477'].'</a></td></tr>';
		}
		echo "</table><hr>";
	}		
closetable();
	
$gc = dbarray(dbquery("select * from ".$db_prefix."wst_global_config"));
if (iMEMBER && $gc['config_enrem'] == 1) {
	opentable("My WsT Reminders");
		$getrem = dbquery("select * from ".$db_prefix."wst_reminder as a left join ".$db_prefix."wst_leagues as b on a.league_id=b.league_id where a.user_id=".$userdata['user_id']." order by b.league_name");
		if (dbrows($getrem) != 0)	{
			echo "<table>";
			while ($rem = dbarray($getrem))	{
				$getl = dbarray(dbquery("select * from ".$db_prefix."wst_leagues where league_id=".$rem['league_id']));
				echo '<tr><td width="1%">'.$bullet.'</td><td width="35%"><a href="'.INFUSIONS.'wir_sind_tippspiel/league.php?act=md&lid='.$getl['league_id'].'" title="'.$getl['league_name'].'">'.$getl['league_name'].'</a></td><td><a href="mywst.php?act=rmvr&id='.$getl['league_id'].'">'.$locale['wst478'].'</a></td>';
				echo '<td>';
				if ($getl['league_tipp'] == 0 || $getl['league_arc'] == 1) echo '<font color="red"><b>'.$locale['wst474'].'</b></font>';
				echo '</td>';
				echo '</tr>';	
			}
			echo "</table><hr>";
		}
		else echo "<center>".$locale['wst480']."</center><hr>";
			
		$getnrem = dbquery("select * from ".$db_prefix."wst_leagues where league_id not in(select league_id from ".$db_prefix."wst_reminder where user_id=".$userdata['user_id'].") and league_parent=0 and league_arc=0 and league_tipp=1 order by league_name");
		if (dbrows($getnrem) != 0) {
			echo "<table>";
			while ($nrem = dbarray($getnrem)) {
				$getl = dbarray(dbquery("select * from ".$db_prefix."wst_leagues where league_id=".$nrem['league_id']));
				echo '<tr><td width="1%">'.$bullet.'</td><td width="35%"><a href="'.INFUSIONS.'wir_sind_tippspiel/league.php?act=md&lid='.$getl['league_id'].'" title="'.$getl['league_name'].'">'.$getl['league_name'].'</a></td><td><a href="mywst.php?act=addr&id='.$getl['league_id'].'">'.$locale['wst479'].'</a></td></tr>';
			}
			echo "</table><hr>";
		}
	closetable();
}
require_once THEMES."templates/footer.php";
?>