<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: sh_rstats.php
| Author: ChSchuetz
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."wir_sind_tippspiel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."wir_sind_tippspiel/locale/German.php";
}

$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;
$md = (isset($_GET['md']) && isNum($_GET['md'])) ? $_GET['md'] : 0;
$mmid = (isset($_GET['mid']) && isNum($_GET['mid'])) ? $_GET['mid'] : 0;

$gett1 = dbarray(dbquery("select * from ".$db_prefix."wst_matchdays as a left join ".$db_prefix."wst_teams as b on a.team1=b.team_id
 where a.league_id=$lid and a.matchday_id=$md and a.match_id=$mmid"));
$gett2 = dbarray(dbquery("select * from ".$db_prefix."wst_matchdays as a left join ".$db_prefix."wst_teams as b on a.team2=b.team_id
 where a.league_id=$lid and a.matchday_id=$md and a.match_id=$mmid"));

echo '<center><b>'.$gett1['team_name'].' - '.$gett2['team_name'].'</b><br>';
$heimtipp = 0;
$tietipp = 0;
$auswtipp = 0;
$ftipp = 0;
$bonus = 0;

$gettipps = dbquery("select * from ".$db_prefix."wst_usertipps where league_id=$lid and matchday_id=$md and match_id=$mmid");
$rows = dbrows($gettipps);
while ($dtipps = dbarray($gettipps)) {
	if ($dtipps['team1_tipp'] > $dtipps['team2_tipp'])
		$heimtipp += 1;
	if ($dtipps['team1_tipp'] == $dtipps['team2_tipp'])
		$tietipp += 1;
	if ($dtipps['team2_tipp'] > $dtipps['team1_tipp'])
		$auswtipp += 1;
	if (($dtipps['team2_tipp'] + $dtipps['team1_tipp'])>=5)
		$ftipp += 1;
	if ($dtipps['isbonus'] == 1)
		$bonus += 1;
}

echo "<br><b><u>".$locale['wst525']."</u></b>";

if ($rows != 0) {
	echo '<br>'.$heimtipp.' '.$locale['wst527'].' ['.round(($heimtipp/$rows*100),2).'%]<br>';
	echo $tietipp.' '.$locale['wst528'].' ['.round(($tietipp/$rows*100),2).'%]<br>';
	echo $auswtipp.' '.$locale['wst529'].' ['.round(($auswtipp/$rows*100),2).'%]<br>';
	echo $ftipp.' '.$locale['wst530'].' ['.round(($ftipp/$rows*100),2).'%]<br>';
	echo $bonus.' '.$locale['wst531'].' ['.round(($bonus/$rows*100),2).'%]<br>';
} else {
		echo '<br>'.$heimtipp.' '.$locale['wst527'].' [0%]<br>';
		echo $tietipp.' '.$locale['wst528'].' [0%]<br>';
		echo $auswtipp.' '.$locale['wst529'].' [0%]<br>';
		echo $ftipp.' '.$locale['wst530'].' [0%]<br>';
		echo $bonus.' '.$locale['wst531'].' [0%]<br>';
}

echo "<br><b><u>".$locale['wst526']."</b></u>";
$gettipps = dbquery("select * from ".$db_prefix."wst_results where league_id=$lid and matchday_id=$md and match_id=$mmid and calc=1");
$rows = dbrows($gettipps);
if ($rows != 0) {
	$get1 = dbarray(dbquery("select count(*) as c from ".$db_prefix."wst_userpoints where league_id=$lid and matchday_id=$md and match_id=$mmid"));
	$get = dbarray(dbquery("select sum(points1) as p1, sum(points3) as p3, sum(points5) as p5, sum(pointsd) as pd from ".$db_prefix."wst_userpoints where league_id=$lid and matchday_id=$md and match_id=$mmid"));
	$rows = $get1['c'];
	if ($rows != 0) {
		echo '<br>'.$get['p1'].' '.$locale['wst532'].' ['.round(($get['p1']/$rows*100),2).'%]<br>';
		echo ''.$get['p3'].' '.$locale['wst205'].' ['.round(($get['p3']/$rows*100),2).'%]<br>';
		echo ''.$get['p5'].' '.$locale['wst206'].' ['.round(($get['p5']/$rows*100),2).'%]<br>';
		echo ''.$get['pd'].' '.$locale['wst533'].' ['.round(($get['pd']/$rows*100),2).'%]<br></center>';
	} else {
			echo '<br>0 '.$locale['wst532'].' [0%]<br>';
			echo '0 '.$locale['wst205'].' [0%]<br>';
			echo '0 '.$locale['wst206'].' [0%]<br>';
			echo '0 '.$locale['wst533'].' [0%]<br></center>';
	}
} else {
		echo "<br>".$locale['wst534']."</center>";
}
?>