<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: sh_stats_match.php
| Author: ChSchuetz
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
$teamid = (isset($_GET['tid']) && isNum($_GET['tid'])) ? $_GET['tid'] : 0;
$teamid2 = (isset($_GET['tid2']) && isNum($_GET['tid2'])) ? $_GET['tid2'] : 0;
$lid = (isset($_GET['lid']) && isNum($_GET['lid'])) ? $_GET['lid'] : 0;

$team = dbarray(dbquery("select * from ".$db_prefix."wst_teams where team_id=$teamid"));
$team2 = dbarray(dbquery("select * from ".$db_prefix."wst_teams where team_id=$teamid2"));

$max = dbarray(dbquery("select max(matchday_id) as m from ".$db_prefix."wst_matchdays where league_id=$lid"));
$md_max = $max['m'];

$result = dbquery("select A.team_id, team_name, (count(*)-1) as count, sum(team_win) as wins, sum(team_tie) as ties, sum(team_lose) as lost, sum(points) as points, sum(score_for) as scoref, sum(score_against) as scorea, sum((score_for-score_against)) as diff, team_name, team_logo, team_website from ".$db_prefix."wst_teampoints as A left join ".$db_prefix."wst_teams as B on A.team_id=B.team_id
where A.league_id=$lid and matchday_id<=($md_max) group by B.team_name order by points desc, diff desc, scoref desc, scorea");
		
while ($dt1 = dbarray($result)) {
	$posa1[] = $dt1['team_id'];
}
	
for ($pos=0;$pos< sizeof($posa1);$pos++) {
	if ($posa1[$pos] == $teamid) {
		$p1 = $pos;
	}
}

for ($pos=0;$pos< sizeof($posa1);$pos++) {
	if ($posa1[$pos] == $teamid2)	{
		$p2 = $pos;
	}
}

echo '<table align="center" width="90%" cellpadding="4" cellspacing="1" border="0" class="tbl2">';
echo '<tr class="tbl1" valign="top">';
echo '<td colspan="1" align="center" valign="top" class="tbl2">';

if ($team['team_logo'] != "") {
	if (file_exists("img/teams/".$team['team_logo'])) {
		echo '<img src="img/teams/'.$team['team_logo'].'" height="21">';
	} else echo '<img src="img/nologo.gif" height="21">';
} else echo '<img src="img/nologo.gif" height="21">';	

echo '<br><b>'.$team['team_name'].'</b> ('.($p1+1).'.)';
echo '</td>';
echo '<td colspan="1" align="center" valign="top" class="tbl2">';

if ($team2['team_logo'] != "") {
	if (file_exists("img/teams/".$team2['team_logo'])) {
		echo '<img src="img/teams/'.$team2['team_logo'].'" height="21">';
	} else echo '<img src="img/nologo.gif" height="21">';
} else echo '<img src="img/nologo.gif" height="21">';	

echo '<br><b>'.$team2['team_name'].'</b> ('.($p2+1).'.)';
echo '</td>';
echo '</tr>';
echo '<tr class="tbl1" valign="top"><td>';

opentable($locale['wst363']);
	$maxdiff = 0;
	$mindiff = 0;
	$hgoals = 0;
	$hagoals = 0;
	$ohneT = 0;
	$ohneGT = 0;
	echo '<table align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">';
	echo '<tr class="tbl1">';
	$res = dbquery("select * from ".$db_prefix."wst_matchdays where league_id=$lid and team1=$teamid");
	while ($data = dbarray($res)) {
		$llll = $data['league_id'];
		$mdmd = $data['matchday_id'];
		$mmmm = $data['match_id'];
		$res2 = dbquery("select * from ".$db_prefix."wst_results where league_id=$llll and matchday_id=$mdmd and match_id=$mmmm");
		while ($data2 = dbarray($res2)) {
			if ($data2['team1'] > $data2['team2']) {
				$diff = $data2['team1'] - $data2['team2'];
				if ($diff > $maxdiff) {
					$maxdiff = $diff;
					$maxllll = $data2['league_id'];
					$maxmdmd = $data2['matchday_id'];
					$maxmmmm = $data2['match_id'];
					$erg = $data2['team1'].':'.$data2['team2'];
				}
			}
			if ($data2['team1'] < $data2['team2']) {
				$diff = $data2['team1'] - $data2['team2'];
				if ($diff < $mindiff) {
					$mindiff = $diff;
					$minllll = $data2['league_id'];
					$minmdmd = $data2['matchday_id'];
					$minmmmm = $data2['match_id'];
					$erg2 = $data2['team1'].':'.$data2['team2'];
				}
			}
			$hgoals +=$data2['team1'];
			$hagoals +=$data2['team2'];
		}	
	}

	if ($maxdiff != 0) {
		$res = dbarray(dbquery("select * from ".$db_prefix."wst_matchdays where league_id=$maxllll and matchday_id=$maxmdmd and match_id=$maxmmmm"));
		$gegner = dbarray(dbquery("select * from ".$db_prefix."wst_teams where team_id=".$res['team2']));
		echo '<tr class="tbl1"><td>'.$locale['wst364'].'<br>'.$gegner['team_name'].' ('.$erg.')</td></tr>';
	}

	if ($mindiff != 0) {
		$res = dbarray(dbquery("select * from ".$db_prefix."wst_matchdays where league_id=$minllll and matchday_id=$minmdmd and match_id=$minmmmm"));
		$gegner2 = dbarray(dbquery("select * from ".$db_prefix."wst_teams where team_id=".$res['team2']));
		echo '<tr class="tbl1"><td>'.$locale['wst365'].'<br>'.$gegner2['team_name'].' ('.$erg2.')</td></tr>';
	}

	echo '<tr class="tbl1"><td>'.$hgoals.' '.$locale['wst366'].'</td></tr>';
	echo '<tr class="tbl1"><td>'.$hagoals.' '.$locale['wst367'].'</td></tr>';
	
	// Heimserien
	$sif=0;
	$nif=0;
	$ung=0;
	$ngw=0;
	
	$serie = dbquery("select * from ".$db_prefix."wst_matchdays where league_id=$lid and team1=$teamid order by matchday_id, matchday_datestamp");
	while ($data_serie = dbarray($serie)) {
		$llll = $data_serie['league_id'];
		$mdmd = $data_serie['matchday_id'];
		$mmmm = $data_serie['match_id'];
		$res2 = dbquery("select * from ".$db_prefix."wst_results where league_id=$llll and matchday_id=$mdmd and match_id=$mmmm");
		while ($data_res2 = dbarray($res2))	{	
			if ($data_res2['team1']	> $data_res2['team2']) {
				$sif += 1;
				$ung += 1;
				$nif = 0;
				$ngw = 0;
			} 
			if ($data_res2['team1']	== $data_res2['team2']) {
				$sif = 0;
				$ung += 1;
				$nif = 0;
				$ngw += 1;
			} 
			if ($data_res2['team1']	< $data_res2['team2']) {
				$sif = 0;
				$ung = 0;
				$nif += 1;
				$ngw += 1;
			} 
		}
	}

	if ($sif > 0) echo '<tr class="tbl1"><td>'.$sif.' '.$locale['wst368'].'</td></tr>';
	if ($ung > 0) echo '<tr class="tbl1"><td>'.$locale['wst370'].' '.$ung.' '.$locale['wst369'].'</td></tr>';
	if ($nif > 0) echo '<tr class="tbl1"><td>'.$nif.' '.$locale['wst371'].'</td></tr>';
	if ($ngw > 0) echo '<tr class="tbl1"><td>'.$ngw.' '.$locale['wst372'].'</td></tr>';
	echo '</table>';
closetable();

echo '</td><td>';

/////////////////////////////////////////////////////////////////////////////////////////////////////////
opentable($locale['wst373']);
	// Auswrts
	echo '<table align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">';
	echo '<tr class="tbl1">';
	$maxdiff = 0;
	$mindiff = 0;
	$agoals = 0;
	$aagoals = 0;
	$res = dbquery("select * from ".$db_prefix."wst_matchdays where league_id=$lid and team2=$teamid2");
	while ($data = dbarray($res)) {
		$llll = $data['league_id'];
		$mdmd = $data['matchday_id'];
		$mmmm = $data['match_id'];
	
		$res2 = dbquery("select * from ".$db_prefix."wst_results where league_id=$llll and matchday_id=$mdmd and match_id=$mmmm");
		while ($data2 = dbarray($res2)) {
			if ($data2['team1'] < $data2['team2']) {
				$diff = $data2['team2'] - $data2['team1'];
				if ($diff > $maxdiff) {
					$maxdiff = $diff;
					$maxllll = $data2['league_id'];
					$maxmdmd = $data2['matchday_id'];
					$maxmmmm = $data2['match_id'];
					$erg = $data2['team2'].':'.$data2['team1'];
				}
			}
			if ($data2['team1'] > $data2['team2']) {
				$diff = $data2['team2'] - $data2['team1'];
				if ($diff < $mindiff) {
					$mindiff = $diff;
					$minllll = $data2['league_id'];
					$minmdmd = $data2['matchday_id'];
					$minmmmm = $data2['match_id'];
					$erg2 = $data2['team2'].':'.$data2['team1'];
				}
			}
			$agoals +=$data2['team2'];
			$aagoals +=$data2['team1'];
		}	
	}

	if ($maxdiff != 0) {
		$res = dbarray(dbquery("select * from ".$db_prefix."wst_matchdays where league_id=$maxllll and matchday_id=$maxmdmd and match_id=$maxmmmm"));
		$gegner = dbarray(dbquery("select * from ".$db_prefix."wst_teams where team_id=".$res['team1']));
		echo '<tr class="tbl1"><td>'.$locale['wst374'].'<br>'.$gegner['team_name'].' ('.$erg.')</td></tr>';
	}

	if ($mindiff != 0) {
		$res = dbarray(dbquery("select * from ".$db_prefix."wst_matchdays where league_id=$minllll and matchday_id=$minmdmd and match_id=$minmmmm"));
		$gegner2 = dbarray(dbquery("select * from ".$db_prefix."wst_teams where team_id=".$res['team1']));
		echo '<tr class="tbl1"><td>'.$locale['wst375'].'<br>'.$gegner2['team_name'].' ('.$erg2.')</td></tr>';
	}

	echo '<tr class="tbl1"><td>'.$agoals.' '.$locale['wst376'].'</td></tr>';
	echo '<tr class="tbl1"><td>'.$aagoals.' '.$locale['wst377'].'</td></tr>';

	// Auswrtsserien
	$sif=0;
	$nif=0;
	$ung=0;
	$ngw=0;
	
	$serie = dbquery("select * from ".$db_prefix."wst_matchdays where league_id=$lid and team2=$teamid2 order by matchday_id, matchday_datestamp");
	while ($data_serie = dbarray($serie)) {
		$llll = $data_serie['league_id'];
		$mdmd = $data_serie['matchday_id'];
		$mmmm = $data_serie['match_id'];
		$res2 = dbquery("select * from ".$db_prefix."wst_results where league_id=$llll and matchday_id=$mdmd and match_id=$mmmm");
		while ($data_res2 = dbarray($res2))	{	
			if ($data_res2['team2']	> $data_res2['team1']) {
				$sif += 1;
				$ung += 1;
				$nif = 0;
				$ngw = 0;
			} 
			if ($data_res2['team1']	== $data_res2['team2']) {
				$sif = 0;
				$ung += 1;
				$nif = 0;
				$ngw += 1;
			} 
			if ($data_res2['team2']	< $data_res2['team1']) {
				$sif = 0;
				$ung = 0;
				$nif += 1;
				$ngw += 1;
			} 
		}
	}
	
	if ($sif > 0) echo '<tr class="tbl1"><td>'.$sif.' '.$locale['wst378'].'</td></tr>';
	if ($ung > 0) echo '<tr class="tbl1"><td>'.$locale['wst370'].' '.$ung.' '.$locale['wst379'].'</td></tr>';
	if ($nif > 0) echo '<tr class="tbl1"><td>'.$nif.' '.$locale['wst380'].'</td></tr>';
	if ($ngw > 0) echo '<tr class="tbl1"><td>'.$ngw.' '.$locale['wst381'].'</td></tr>';
	echo '</table>';
closetable();
echo '</td>';
echo '</tr></table>';
echo '<center><a href="javascript:history.back();" title="'.$locale['wst260'].'">'.$locale['wst260'].'</a></center>';
?>